# NLP written by GAMS Convert at 02/17/22 17:18:03
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         7        7        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        14       14        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        25        8       17
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,2), initialize=1.745)
m.x2 = Var(within=Reals, bounds=(0,1.6), initialize=1.2)
m.x3 = Var(within=Reals, bounds=(0,1.2), initialize=1.1)
m.x4 = Var(within=Reals, bounds=(0,5), initialize=3.048)
m.x5 = Var(within=Reals, bounds=(0,2), initialize=1.974)
m.x6 = Var(within=Reals, bounds=(0.85,0.93), initialize=0.893)
m.x7 = Var(within=Reals, bounds=(0.9,0.95), initialize=0.928)
m.x8 = Var(within=Reals, bounds=(3,12), initialize=8)
m.x9 = Var(within=Reals, bounds=(1.2,4), initialize=3.6)
m.x10 = Var(within=Reals, bounds=(1.45,1.62), initialize=1.45)
m.x11 = Var(within=Reals, bounds=(0.99,1.01010101010101), initialize=1)
m.x12 = Var(within=Reals, bounds=(0.99,1.01010101010101), initialize=1)
m.x13 = Var(within=Reals, bounds=(0.9,1.11111111111111), initialize=1)
m.x14 = Var(within=Reals, bounds=(0.99,1.01010101010101), initialize=1)

m.obj = Objective(sense=minimize, expr= -6.3 * m.x4 * m.x7 + 5.04 * m.x1 + 0.35
    * m.x2 + m.x3 + 3.36 * m.x5)

m.e1 = Constraint(expr= -0.819672131147541 * m.x1 + m.x4 - 0.819672131147541 *
    m.x5 == 0)
m.e2 = Constraint(expr= -m.x6 * (0.01 * m.x4 * m.x9 + m.x3) + 0.98 * m.x3 == 0)
m.e3 = Constraint(expr= -m.x1 * m.x8 + 10 * m.x2 + m.x5 == 0)
m.e4 = Constraint(expr= m.x4 * m.x11 - m.x1 * (-0.0067 * m.x8 * m.x8 + 0.13167
    * m.x8 + 1.12) == 0)
m.e5 = Constraint(expr= m.x7 * m.x12 - 0.01 * (-0.038 * m.x8 * m.x8 + 1.098 *
    m.x8) - 0.325 * m.x6 == 0.57425)
m.e6 = Constraint(expr= m.x9 * m.x13 + 22.2 * m.x10 == 35.82)
m.e7 = Constraint(expr= m.x10 * m.x14 - 3 * m.x7 == -1.33)
