# NLP written by GAMS Convert at 02/17/22 17:18:03
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         9        9        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        12       12        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        23       21        2
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(100,180), initialize=100)
m.x2 = Var(within=Reals, bounds=(1,3), initialize=1)
m.x3 = Var(within=Reals, bounds=(10,60), initialize=10)
m.x4 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x5 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x7 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x8 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x9 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x10 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x12 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -91.91176470588235 * m.x9 / m.x1)

m.e1 = Constraint(expr= -tanh(m.x11) + m.x7 == 0)
m.e2 = Constraint(expr= -tanh(m.x12) + m.x8 == 0)
m.e3 = Constraint(expr= -0.0949474332688833 * m.x7 + 0.968637250639063 * m.x8
    + m.x10 == 0.002499597315649)
m.e4 = Constraint(expr= m.x9 - 86.324 * m.x10 == 92.74)
m.e5 = Constraint(expr= -0.025 * m.x1 + m.x4 == -3.5)
m.e6 = Constraint(expr= -m.x2 + m.x5 == -2)
m.e7 = Constraint(expr= -0.04 * m.x3 + m.x6 == -1.4)
m.e8 = Constraint(expr= -24.4380718077469 * m.x4 - 22.0304402344789 * m.x5 +
    147.921509281049 * m.x6 + m.x11 == 101.235018055261)
m.e9 = Constraint(expr= 1.48567642304727 * m.x4 - 0.0532843142008436 * m.x5 +
    0.910590580134437 * m.x6 + m.x12 == 0.18771256886977)
