# MINLP written by GAMS Convert at 02/17/22 17:18:21
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        73       12       60        1        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        46       22       24        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       178      168       10
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,1.38629436111989), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,1.38629436111989), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,1.38629436111989), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,1.38629436111989), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,1.38629436111989), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,1.38629436111989), initialize=0)
m.x7 = Var(within=Reals, bounds=(5.7037824746562,8.00636756765025)
    , initialize=5.7037824746562)
m.x8 = Var(within=Reals, bounds=(5.7037824746562,8.00636756765025)
    , initialize=5.7037824746562)
m.x9 = Var(within=Reals, bounds=(5.7037824746562,8.00636756765025)
    , initialize=5.7037824746562)
m.x10 = Var(within=Reals, bounds=(5.7037824746562,8.00636756765025)
    , initialize=5.7037824746562)
m.x11 = Var(within=Reals, bounds=(5.7037824746562,8.00636756765025)
    , initialize=5.7037824746562)
m.x12 = Var(within=Reals, bounds=(5.7037824746562,8.00636756765025)
    , initialize=5.7037824746562)
m.x13 = Var(within=Reals, bounds=(4.45966,397.747), initialize=4.45966)
m.x14 = Var(within=Reals, bounds=(3.7495,882.353), initialize=3.7495)
m.x15 = Var(within=Reals, bounds=(4.49144,833.333), initialize=4.49144)
m.x16 = Var(within=Reals, bounds=(3.14988,638.298), initialize=3.14988)
m.x17 = Var(within=Reals, bounds=(3.04452,666.667), initialize=3.04452)
m.x18 = Var(within=Reals, bounds=(0.729961,2.11626), initialize=0.729961)
m.x19 = Var(within=Reals, bounds=(0.530628,1.91626), initialize=0.530628)
m.x20 = Var(within=Reals, bounds=(1.09024,2.47654), initialize=1.09024)
m.x21 = Var(within=Reals, bounds=(-0.133531,1.25276), initialize=0)
m.x22 = Var(within=Reals, bounds=(0.0487901,1.43508), initialize=0.0487901)
m.b23 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b24 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b25 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b26 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b27 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b28 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b29 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b30 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b31 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b32 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b33 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b34 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b35 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b36 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b37 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b38 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b39 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b40 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b41 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b42 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b43 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b44 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b45 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b46 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= 250 * exp(m.x1 + 0.6 * m.x7) + 250 *
    exp(m.x2 + 0.6 * m.x8) + 250 * exp(m.x3 + 0.6 * m.x9) + 250 * exp(m.x4 +
    0.6 * m.x10) + 250 * exp(m.x5 + 0.6 * m.x11) + 250 * exp(m.x6 + 0.6 * m.x12))


    m.e1 = Constraint(expr= m.x7 - m.x13 >= 2.06686275947298)
m.e2 = Constraint(expr= m.x8 - m.x13 >= 0.693147180559945)
m.e3 = Constraint(expr= m.x9 - m.x13 >= 1.64865862558738)
m.e4 = Constraint(expr= m.x10 - m.x13 >= 1.58923520511658)
m.e5 = Constraint(expr= m.x11 - m.x13 >= 1.80828877117927)
m.e6 = Constraint(expr= m.x12 - m.x13 >= 1.43508452528932)
m.e7 = Constraint(expr= m.x7 - m.x14 >= -0.356674943938732)
m.e8 = Constraint(expr= m.x8 - m.x14 >= -0.22314355131421)
m.e9 = Constraint(expr= m.x9 - m.x14 >= -0.105360515657826)
m.e10 = Constraint(expr= m.x10 - m.x14 >= 1.22377543162212)
m.e11 = Constraint(expr= m.x11 - m.x14 >= 0.741937344729377)
m.e12 = Constraint(expr= m.x12 - m.x14 >= 0.916290731874155)
m.e13 = Constraint(expr= m.x7 - m.x15 >= -0.356674943938732)
m.e14 = Constraint(expr= m.x8 - m.x15 >= 0.955511445027436)
m.e15 = Constraint(expr= m.x9 - m.x15 >= 0.470003629245736)
m.e16 = Constraint(expr= m.x10 - m.x15 >= 1.28093384546206)
m.e17 = Constraint(expr= m.x11 - m.x15 >= 1.16315080980568)
m.e18 = Constraint(expr= m.x12 - m.x15 >= 1.06471073699243)
m.e19 = Constraint(expr= m.x7 - m.x16 >= 1.54756250871601)
m.e20 = Constraint(expr= m.x8 - m.x16 >= 0.832909122935104)
m.e21 = Constraint(expr= m.x9 - m.x16 >= 0.470003629245736)
m.e22 = Constraint(expr= m.x10 - m.x16 >= 0.993251773010283)
m.e23 = Constraint(expr= m.x11 - m.x16 >= 0.182321556793955)
m.e24 = Constraint(expr= m.x12 - m.x16 >= 0.916290731874155)
m.e25 = Constraint(expr= m.x7 - m.x17 >= 0.182321556793955)
m.e26 = Constraint(expr= m.x8 - m.x17 >= 1.28093384546206)
m.e27 = Constraint(expr= m.x9 - m.x17 >= 0.8754687373539)
m.e28 = Constraint(expr= m.x10 - m.x17 >= 1.50407739677627)
m.e29 = Constraint(expr= m.x11 - m.x17 >= 0.470003629245736)
m.e30 = Constraint(expr= m.x12 - m.x17 >= 0.741937344729377)
m.e31 = Constraint(expr= m.x1 + m.x18 >= 1.85629799036563)
m.e32 = Constraint(expr= m.x2 + m.x18 >= 1.54756250871601)
m.e33 = Constraint(expr= m.x3 + m.x18 >= 2.11625551480255)
m.e34 = Constraint(expr= m.x4 + m.x18 >= 1.3609765531356)
m.e35 = Constraint(expr= m.x5 + m.x18 >= 0.741937344729377)
m.e36 = Constraint(expr= m.x6 + m.x18 >= 0.182321556793955)
m.e37 = Constraint(expr= m.x1 + m.x19 >= 1.91692261218206)
m.e38 = Constraint(expr= m.x2 + m.x19 >= 1.85629799036563)
m.e39 = Constraint(expr= m.x3 + m.x19 >= 1.87180217690159)
m.e40 = Constraint(expr= m.x4 + m.x19 >= 1.48160454092422)
m.e41 = Constraint(expr= m.x5 + m.x19 >= 0.832909122935104)
m.e42 = Constraint(expr= m.x6 + m.x19 >= 1.16315080980568)
m.e43 = Constraint(expr= m.x1 + m.x20 >= 0)
m.e44 = Constraint(expr= m.x2 + m.x20 >= 1.84054963339749)
m.e45 = Constraint(expr= m.x3 + m.x20 >= 1.68639895357023)
m.e46 = Constraint(expr= m.x4 + m.x20 >= 2.47653840011748)
m.e47 = Constraint(expr= m.x5 + m.x20 >= 1.7404661748405)
m.e48 = Constraint(expr= m.x6 + m.x20 >= 1.82454929205105)
m.e49 = Constraint(expr= m.x1 + m.x21 >= 1.16315080980568)
m.e50 = Constraint(expr= m.x2 + m.x21 >= 1.09861228866811)
m.e51 = Constraint(expr= m.x3 + m.x21 >= 1.25276296849537)
m.e52 = Constraint(expr= m.x4 + m.x21 >= 1.19392246847243)
m.e53 = Constraint(expr= m.x5 + m.x21 >= 1.02961941718116)
m.e54 = Constraint(expr= m.x6 + m.x21 >= 1.22377543162212)
m.e55 = Constraint(expr= m.x1 + m.x22 >= 0.741937344729377)
m.e56 = Constraint(expr= m.x2 + m.x22 >= 0.916290731874155)
m.e57 = Constraint(expr= m.x3 + m.x22 >= 1.43508452528932)
m.e58 = Constraint(expr= m.x4 + m.x22 >= 1.28093384546206)
m.e59 = Constraint(expr= m.x5 + m.x22 >= 1.30833281965018)
m.e60 = Constraint(expr= m.x6 + m.x22 >= 0.78845736036427)
m.e61 = Constraint(expr= 2.5e+05 * exp(-m.x13 + m.x18) + 1.5e+05 * exp(-m.x14
    + m.x19) + 1.8e+05 * exp(-m.x15 + m.x20) + 1.6e+05 * exp(-m.x16 + m.x21)
    + 1.2e+05 * exp(-m.x17 + m.x22) <= 6000)
m.e62 = Constraint(expr= m.x1 - 0.693147180559945 * m.b29 - 1.09861228866811 *
    m.b35 - 1.38629436111989 * m.b41 == 0)
m.e63 = Constraint(expr= m.x2 - 0.693147180559945 * m.b30 - 1.09861228866811 *
    m.b36 - 1.38629436111989 * m.b42 == 0)
m.e64 = Constraint(expr= m.x3 - 0.693147180559945 * m.b31 - 1.09861228866811 *
    m.b37 - 1.38629436111989 * m.b43 == 0)
m.e65 = Constraint(expr= m.x4 - 0.693147180559945 * m.b32 - 1.09861228866811 *
    m.b38 - 1.38629436111989 * m.b44 == 0)
m.e66 = Constraint(expr= m.x5 - 0.693147180559945 * m.b33 - 1.09861228866811 *
    m.b39 - 1.38629436111989 * m.b45 == 0)
m.e67 = Constraint(expr= m.x6 - 0.693147180559945 * m.b34 - 1.09861228866811 *
    m.b40 - 1.38629436111989 * m.b46 == 0)
m.e68 = Constraint(expr= m.b23 + m.b29 + m.b35 + m.b41 == 1)
m.e69 = Constraint(expr= m.b24 + m.b30 + m.b36 + m.b42 == 1)
m.e70 = Constraint(expr= m.b25 + m.b31 + m.b37 + m.b43 == 1)
m.e71 = Constraint(expr= m.b26 + m.b32 + m.b38 + m.b44 == 1)
m.e72 = Constraint(expr= m.b27 + m.b33 + m.b39 + m.b45 == 1)
m.e73 = Constraint(expr= m.b28 + m.b34 + m.b40 + m.b46 == 1)
