# MINLP written by GAMS Convert at 02/17/22 17:18:21
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        67        6       60        1        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        34       22       12        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       148       78       70
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(1,4), initialize=1)
m.x2 = Var(within=Reals, bounds=(1,4), initialize=1)
m.x3 = Var(within=Reals, bounds=(1,4), initialize=1)
m.x4 = Var(within=Reals, bounds=(1,4), initialize=1)
m.x5 = Var(within=Reals, bounds=(1,4), initialize=1)
m.x6 = Var(within=Reals, bounds=(1,4), initialize=1)
m.x7 = Var(within=Reals, bounds=(300,3000), initialize=300)
m.x8 = Var(within=Reals, bounds=(300,3000), initialize=300)
m.x9 = Var(within=Reals, bounds=(300,3000), initialize=300)
m.x10 = Var(within=Reals, bounds=(300,3000), initialize=300)
m.x11 = Var(within=Reals, bounds=(300,3000), initialize=300)
m.x12 = Var(within=Reals, bounds=(300,3000), initialize=300)
m.x13 = Var(within=Reals, bounds=(86.4583333333333,379.746835443038)
    , initialize=86.4583333333333)
m.x14 = Var(within=Reals, bounds=(42.5,882.352941176471), initialize=42.5)
m.x15 = Var(within=Reals, bounds=(89.25,833.333333333333), initialize=89.25)
m.x16 = Var(within=Reals, bounds=(23.3333333333333,638.297872340426)
    , initialize=23.3333333333333)
m.x17 = Var(within=Reals, bounds=(21,666.666666666667), initialize=21)
m.x18 = Var(within=Reals, bounds=(2.075,8.3), initialize=2.075)
m.x19 = Var(within=Reals, bounds=(1.7,6.8), initialize=1.7)
m.x20 = Var(within=Reals, bounds=(2.975,11.9), initialize=2.975)
m.x21 = Var(within=Reals, bounds=(0.875,3.5), initialize=0.875)
m.x22 = Var(within=Reals, bounds=(1.05,4.2), initialize=1.05)
m.b23 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b24 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b25 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b26 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b27 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b28 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b29 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b30 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b31 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b32 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b33 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b34 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= 250 * m.x7**0.6 * m.x1 + 250 * m.x8**
    0.6 * m.x2 + 250 * m.x9**0.6 * m.x3 + 250 * m.x10**0.6 * m.x4 + 250 * m.x11
    **0.6 * m.x5 + 250 * m.x12**0.6 * m.x6)

m.e1 = Constraint(expr= m.x7 - 7.9 * m.x13 >= 0)
m.e2 = Constraint(expr= m.x8 - 2 * m.x13 >= 0)
m.e3 = Constraint(expr= m.x9 - 5.2 * m.x13 >= 0)
m.e4 = Constraint(expr= m.x10 - 4.9 * m.x13 >= 0)
m.e5 = Constraint(expr= m.x11 - 6.1 * m.x13 >= 0)
m.e6 = Constraint(expr= m.x12 - 4.2 * m.x13 >= 0)
m.e7 = Constraint(expr= m.x7 - 0.7 * m.x14 >= 0)
m.e8 = Constraint(expr= m.x8 - 0.8 * m.x14 >= 0)
m.e9 = Constraint(expr= m.x9 - 0.9 * m.x14 >= 0)
m.e10 = Constraint(expr= m.x10 - 3.4 * m.x14 >= 0)
m.e11 = Constraint(expr= m.x11 - 2.1 * m.x14 >= 0)
m.e12 = Constraint(expr= m.x12 - 2.5 * m.x14 >= 0)
m.e13 = Constraint(expr= m.x7 - 0.7 * m.x15 >= 0)
m.e14 = Constraint(expr= m.x8 - 2.6 * m.x15 >= 0)
m.e15 = Constraint(expr= m.x9 - 1.6 * m.x15 >= 0)
m.e16 = Constraint(expr= m.x10 - 3.6 * m.x15 >= 0)
m.e17 = Constraint(expr= m.x11 - 3.2 * m.x15 >= 0)
m.e18 = Constraint(expr= m.x12 - 2.9 * m.x15 >= 0)
m.e19 = Constraint(expr= m.x7 - 4.7 * m.x16 >= 0)
m.e20 = Constraint(expr= m.x8 - 2.3 * m.x16 >= 0)
m.e21 = Constraint(expr= m.x9 - 1.6 * m.x16 >= 0)
m.e22 = Constraint(expr= m.x10 - 2.7 * m.x16 >= 0)
m.e23 = Constraint(expr= m.x11 - 1.2 * m.x16 >= 0)
m.e24 = Constraint(expr= m.x12 - 2.5 * m.x16 >= 0)
m.e25 = Constraint(expr= m.x7 - 1.2 * m.x17 >= 0)
m.e26 = Constraint(expr= m.x8 - 3.6 * m.x17 >= 0)
m.e27 = Constraint(expr= m.x9 - 2.4 * m.x17 >= 0)
m.e28 = Constraint(expr= m.x10 - 4.5 * m.x17 >= 0)
m.e29 = Constraint(expr= m.x11 - 1.6 * m.x17 >= 0)
m.e30 = Constraint(expr= m.x12 - 2.1 * m.x17 >= 0)
m.e31 = Constraint(expr= m.x1 * m.x18 >= 6.4)
m.e32 = Constraint(expr= m.x2 * m.x18 >= 4.7)
m.e33 = Constraint(expr= m.x3 * m.x18 >= 8.3)
m.e34 = Constraint(expr= m.x4 * m.x18 >= 3.9)
m.e35 = Constraint(expr= m.x5 * m.x18 >= 2.1)
m.e36 = Constraint(expr= m.x6 * m.x18 >= 1.2)
m.e37 = Constraint(expr= m.x1 * m.x19 >= 6.8)
m.e38 = Constraint(expr= m.x2 * m.x19 >= 6.4)
m.e39 = Constraint(expr= m.x3 * m.x19 >= 6.5)
m.e40 = Constraint(expr= m.x4 * m.x19 >= 4.4)
m.e41 = Constraint(expr= m.x5 * m.x19 >= 2.3)
m.e42 = Constraint(expr= m.x6 * m.x19 >= 3.2)
m.e43 = Constraint(expr= m.x1 * m.x20 >= 1)
m.e44 = Constraint(expr= m.x2 * m.x20 >= 6.3)
m.e45 = Constraint(expr= m.x3 * m.x20 >= 5.4)
m.e46 = Constraint(expr= m.x4 * m.x20 >= 11.9)
m.e47 = Constraint(expr= m.x5 * m.x20 >= 5.7)
m.e48 = Constraint(expr= m.x6 * m.x20 >= 6.2)
m.e49 = Constraint(expr= m.x1 * m.x21 >= 3.2)
m.e50 = Constraint(expr= m.x2 * m.x21 >= 3)
m.e51 = Constraint(expr= m.x3 * m.x21 >= 3.5)
m.e52 = Constraint(expr= m.x4 * m.x21 >= 3.3)
m.e53 = Constraint(expr= m.x5 * m.x21 >= 2.8)
m.e54 = Constraint(expr= m.x6 * m.x21 >= 3.4)
m.e55 = Constraint(expr= m.x1 * m.x22 >= 2.1)
m.e56 = Constraint(expr= m.x2 * m.x22 >= 2.5)
m.e57 = Constraint(expr= m.x3 * m.x22 >= 4.2)
m.e58 = Constraint(expr= m.x4 * m.x22 >= 3.6)
m.e59 = Constraint(expr= m.x5 * m.x22 >= 3.7)
m.e60 = Constraint(expr= m.x6 * m.x22 >= 2.2)
m.e61 = Constraint(expr= 2.5e+05 * m.x18 / m.x13 + 1.5e+05 * m.x19 / m.x14 +
    1.8e+05 * m.x20 / m.x15 + 1.6e+05 * m.x21 / m.x16 + 1.2e+05 * m.x22 / m.x17
    <= 6000)
m.e62 = Constraint(expr= m.x1 - m.b23 - 2 * m.b29 == 1)
m.e63 = Constraint(expr= m.x2 - m.b24 - 2 * m.b30 == 1)
m.e64 = Constraint(expr= m.x3 - m.b25 - 2 * m.b31 == 1)
m.e65 = Constraint(expr= m.x4 - m.b26 - 2 * m.b32 == 1)
m.e66 = Constraint(expr= m.x5 - m.b27 - 2 * m.b33 == 1)
m.e67 = Constraint(expr= m.x6 - m.b28 - 2 * m.b34 == 1)
