# NLP written by GAMS Convert at 02/17/22 17:18:24
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         3        1        2        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         4        4        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        12        8        4
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0.685244910300343)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0.0126990526103601)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0.302056037089293)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0)

m.obj = Objective(sense=minimize, expr= 24.55 * m.x1 + 26.75 * m.x2 + 39 * m.x3
    + 40.5 * m.x4)

m.e1 = Constraint(expr= m.x1 + m.x2 + m.x3 + m.x4 == 1)
m.e2 = Constraint(expr= -1.645 * sqrt(0.28 * m.x1**2 + 0.19 * m.x2**2 + 20.5 *
    m.x3**2 + 0.62 * m.x4**2) + 12 * m.x1 + 11.9 * m.x2 + 41.8 * m.x3 + 52.1 *
    m.x4 >= 21)
m.e3 = Constraint(expr= 2.3 * m.x1 + 5.6 * m.x2 + 11.1 * m.x3 + 1.3 * m.x4
    >= 5)
