# MINLP written by GAMS Convert at 02/17/22 17:18:28
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        54        6       12       36        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        30       12       18        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       162      114       48
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(11.5,52.5), initialize=11.5)
m.x2 = Var(within=Reals, bounds=(12.5,51.5), initialize=12.5)
m.x3 = Var(within=Reals, bounds=(10.5,53.5), initialize=10.5)
m.x4 = Var(within=Reals, bounds=(7,82), initialize=7)
m.x5 = Var(within=Reals, bounds=(6.5,82.5), initialize=6.5)
m.x6 = Var(within=Reals, bounds=(5.5,83.5), initialize=5.5)
m.b7 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b8 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b9 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b10 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b11 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b12 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b13 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b14 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b15 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b16 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b17 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b18 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b19 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b20 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b21 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b22 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b23 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b24 = Var(within=Binary, bounds=(0,1), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x26 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x27 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x28 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x29 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x30 = Var(within=Reals, bounds=(0,None), initialize=0)

m.obj = Objective(sense=minimize, expr= 300 * m.x25 + 240 * m.x26 + 100 * m.x27
    + 300 * m.x28 + 240 * m.x29 + 100 * m.x30)

m.e1 = Constraint(expr= -m.x1 + m.x2 + m.x25 >= 0)
m.e2 = Constraint(expr= -m.x1 + m.x3 + m.x26 >= 0)
m.e3 = Constraint(expr= -m.x2 + m.x3 + m.x27 >= 0)
m.e4 = Constraint(expr= m.x1 - m.x2 + m.x25 >= 0)
m.e5 = Constraint(expr= m.x1 - m.x3 + m.x26 >= 0)
m.e6 = Constraint(expr= m.x2 - m.x3 + m.x27 >= 0)
m.e7 = Constraint(expr= -m.x4 + m.x5 + m.x28 >= 0)
m.e8 = Constraint(expr= -m.x4 + m.x6 + m.x29 >= 0)
m.e9 = Constraint(expr= -m.x5 + m.x6 + m.x30 >= 0)
m.e10 = Constraint(expr= m.x4 - m.x5 + m.x28 >= 0)
m.e11 = Constraint(expr= m.x4 - m.x6 + m.x29 >= 0)
m.e12 = Constraint(expr= m.x5 - m.x6 + m.x30 >= 0)
m.e13 = Constraint(expr= m.x1 - m.x2 + 46 * m.b7 <= 40)
m.e14 = Constraint(expr= m.x1 - m.x3 + 46 * m.b8 <= 42)
m.e15 = Constraint(expr= m.x2 - m.x3 + 46 * m.b9 <= 41)
m.e16 = Constraint(expr= -m.x1 + m.x2 + 46 * m.b10 <= 40)
m.e17 = Constraint(expr= -m.x1 + m.x3 + 46 * m.b11 <= 42)
m.e18 = Constraint(expr= -m.x2 + m.x3 + 46 * m.b12 <= 41)
m.e19 = Constraint(expr= m.x4 - m.x5 + 81 * m.b13 <= 75.5)
m.e20 = Constraint(expr= m.x4 - m.x6 + 81 * m.b14 <= 76.5)
m.e21 = Constraint(expr= m.x5 - m.x6 + 81 * m.b15 <= 77)
m.e22 = Constraint(expr= -m.x4 + m.x5 + 81 * m.b16 <= 75.5)
m.e23 = Constraint(expr= -m.x4 + m.x6 + 81 * m.b17 <= 76.5)
m.e24 = Constraint(expr= -m.x5 + m.x6 + 81 * m.b18 <= 77)
m.e25 = Constraint(expr= m.b7 + m.b10 + m.b13 + m.b16 == 1)
m.e26 = Constraint(expr= m.b8 + m.b11 + m.b14 + m.b17 == 1)
m.e27 = Constraint(expr= m.b9 + m.b12 + m.b15 + m.b18 == 1)
m.e28 = Constraint(expr= (-17.5 + m.x1)**2 + (-7 + m.x4)**2 + 6814 * m.b19
    <= 6850)
m.e29 = Constraint(expr= (-18.5 + m.x2)**2 + (-7.5 + m.x5)**2 + 6678 * m.b20
    <= 6714)
m.e30 = Constraint(expr= (-16.5 + m.x3)**2 + (-8.5 + m.x6)**2 + 6958 * m.b21
    <= 6994)
m.e31 = Constraint(expr= (-52.5 + m.x1)**2 + (-77 + m.x4)**2 + 6556 * m.b22
    <= 6581)
m.e32 = Constraint(expr= (-53.5 + m.x2)**2 + (-77.5 + m.x5)**2 + 6697 * m.b23
    <= 6722)
m.e33 = Constraint(expr= (-51.5 + m.x3)**2 + (-78.5 + m.x6)**2 + 6985 * m.b24
    <= 7010)
m.e34 = Constraint(expr= (-17.5 + m.x1)**2 + (-13 + m.x4)**2 + 5950 * m.b19
    <= 5986)
m.e35 = Constraint(expr= (-18.5 + m.x2)**2 + (-12.5 + m.x5)**2 + 5953 * m.b20
    <= 5989)
m.e36 = Constraint(expr= (-16.5 + m.x3)**2 + (-11.5 + m.x6)**2 + 6517 * m.b21
    <= 6553)
m.e37 = Constraint(expr= (-52.5 + m.x1)**2 + (-83 + m.x4)**2 + 7432 * m.b22
    <= 7457)
m.e38 = Constraint(expr= (-53.5 + m.x2)**2 + (-82.5 + m.x5)**2 + 7432 * m.b23
    <= 7457)
m.e39 = Constraint(expr= (-51.5 + m.x3)**2 + (-81.5 + m.x6)**2 + 7432 * m.b24
    <= 7457)
m.e40 = Constraint(expr= (-12.5 + m.x1)**2 + (-7 + m.x4)**2 + 7189 * m.b19
    <= 7225)
m.e41 = Constraint(expr= (-11.5 + m.x2)**2 + (-7.5 + m.x5)**2 + 7189 * m.b20
    <= 7225)
m.e42 = Constraint(expr= (-13.5 + m.x3)**2 + (-8.5 + m.x6)**2 + 7189 * m.b21
    <= 7225)
m.e43 = Constraint(expr= (-47.5 + m.x1)**2 + (-77 + m.x4)**2 + 6171 * m.b22
    <= 6196)
m.e44 = Constraint(expr= (-46.5 + m.x2)**2 + (-77.5 + m.x5)**2 + 6172 * m.b23
    <= 6197)
m.e45 = Constraint(expr= (-48.5 + m.x3)**2 + (-78.5 + m.x6)**2 + 6748 * m.b24
    <= 6773)
m.e46 = Constraint(expr= (-12.5 + m.x1)**2 + (-13 + m.x4)**2 + 6325 * m.b19
    <= 6361)
m.e47 = Constraint(expr= (-11.5 + m.x2)**2 + (-12.5 + m.x5)**2 + 6464 * m.b20
    <= 6500)
m.e48 = Constraint(expr= (-13.5 + m.x3)**2 + (-11.5 + m.x6)**2 + 6748 * m.b21
    <= 6784)
m.e49 = Constraint(expr= (-47.5 + m.x1)**2 + (-83 + m.x4)**2 + 7047 * m.b22
    <= 7072)
m.e50 = Constraint(expr= (-46.5 + m.x2)**2 + (-82.5 + m.x5)**2 + 6907 * m.b23
    <= 6932)
m.e51 = Constraint(expr= (-48.5 + m.x3)**2 + (-81.5 + m.x6)**2 + 7195 * m.b24
    <= 7220)
m.e52 = Constraint(expr= m.b19 + m.b22 == 1)
m.e53 = Constraint(expr= m.b20 + m.b23 == 1)
m.e54 = Constraint(expr= m.b21 + m.b24 == 1)
