# NLP written by GAMS Convert at 02/17/22 17:19:05
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        0        0        4        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        12        4        8
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(-5,5), initialize=0)
m.x2 = Var(within=Reals, bounds=(-5,5), initialize=0)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x3)

m.e1 = Constraint(expr= 2 * m.x2**2 + 4 * m.x1 * m.x2 - 42 * m.x1 + 4 * m.x1**3
    - m.x3 <= 14)
m.e2 = Constraint(expr= -2 * m.x2**2 - 4 * m.x1 * m.x2 + 42 * m.x1 - 4 * m.x1**
    3 - m.x3 <= -14)
m.e3 = Constraint(expr= 2 * m.x1**2 + 4 * m.x1 * m.x2 - 26 * m.x2 + 4 * m.x2**3
    - m.x3 <= 22)
m.e4 = Constraint(expr= -2 * m.x1**2 - 4 * m.x1 * m.x2 + 26 * m.x2 - 4 * m.x2**
    3 - m.x3 <= -22)
