# NLP written by GAMS Convert at 02/17/22 17:19:05
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        0        0        4        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        12        6        6
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.25,1), initialize=0.25)
m.x2 = Var(within=Reals, bounds=(1.5,6.28), initialize=1.5)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x3)

m.e1 = Constraint(expr= 0.5 * sin(m.x1 * m.x2) - 0.5 * m.x1 -
    0.0795774703703634 * m.x2 - m.x3 <= 0)
m.e2 = Constraint(expr= 0.920422529629637 * exp(2 * m.x1) - 5.4365636 * m.x1 +
    0.865255957591193 * m.x2 - m.x3 <= 2.5019678106022)
m.e3 = Constraint(expr= -0.5 * sin(m.x1 * m.x2) + 0.5 * m.x1 +
    0.0795774703703634 * m.x2 - m.x3 <= 0)
m.e4 = Constraint(expr= -0.920422529629637 * exp(2 * m.x1) + 5.4365636 * m.x1
    - 0.865255957591193 * m.x2 - m.x3 <= -2.5019678106022)
