# NLP written by GAMS Convert at 02/17/22 17:19:05
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        17        1        0       16        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        10       10        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       116       16      100
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x10 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x10)

m.e1 = Constraint(expr= m.x3 * (-m.x1 * m.x2 + 1) * (exp(m.x5 * (0.485 -
    0.0052095 * m.x7 - 0.0285132 * m.x8)) - 1) + 23.3037 * m.x2 - m.x10
    <= 28.5132)
m.e2 = Constraint(expr= m.x3 * (-m.x1 * m.x2 + 1) * (exp(m.x5 * (0.752 -
    0.0100677 * m.x7 - 0.1118467 * m.x8)) - 1) + 101.779 * m.x2 - m.x10
    <= 111.8467)
m.e3 = Constraint(expr= m.x3 * (-m.x1 * m.x2 + 1) * (exp(m.x5 * (0.869 -
    0.0229274 * m.x7 - 0.1343884 * m.x8)) - 1) + 111.461 * m.x2 - m.x10
    <= 134.3884)
m.e4 = Constraint(expr= m.x3 * (-m.x1 * m.x2 + 1) * (exp(m.x5 * (0.982 -
    0.0202153 * m.x7 - 0.2114823 * m.x8)) - 1) + 191.267 * m.x2 - m.x10
    <= 211.4823)
m.e5 = Constraint(expr= -m.x3 * (-m.x1 * m.x2 + 1) * (exp(m.x5 * (0.485 -
    0.0052095 * m.x7 - 0.0285132 * m.x8)) - 1) - 23.3037 * m.x2 - m.x10
    <= -28.5132)
m.e6 = Constraint(expr= -m.x3 * (-m.x1 * m.x2 + 1) * (exp(m.x5 * (0.752 -
    0.0100677 * m.x7 - 0.1118467 * m.x8)) - 1) - 101.779 * m.x2 - m.x10
    <= -111.8467)
m.e7 = Constraint(expr= -m.x3 * (-m.x1 * m.x2 + 1) * (exp(m.x5 * (0.869 -
    0.0229274 * m.x7 - 0.1343884 * m.x8)) - 1) - 111.461 * m.x2 - m.x10
    <= -134.3884)
m.e8 = Constraint(expr= -m.x3 * (-m.x1 * m.x2 + 1) * (exp(m.x5 * (0.982 -
    0.0202153 * m.x7 - 0.2114823 * m.x8)) - 1) - 191.267 * m.x2 - m.x10
    <= -211.4823)
m.e9 = Constraint(expr= m.x4 * (-m.x1 * m.x2 + 1) * (exp(m.x6 * (0.116 -
    0.0052095 * m.x7 + 0.0233037 * m.x9)) - 1) - 28.5132 * m.x1 - m.x10
    <= -23.3037)
m.e10 = Constraint(expr= m.x4 * (-m.x1 * m.x2 + 1) * (exp(m.x6 * (-0.502 -
    0.0100677 * m.x7 + 0.101779 * m.x9)) - 1) - 111.8467 * m.x1 - m.x10
    <= -101.779)
m.e11 = Constraint(expr= m.x4 * (-m.x1 * m.x2 + 1) * (exp(m.x6 * (0.166 -
    0.0229274 * m.x7 + 0.111461 * m.x9)) - 1) - 134.3884 * m.x1 - m.x10
    <= -111.461)
m.e12 = Constraint(expr= m.x4 * (-m.x1 * m.x2 + 1) * (exp(m.x6 * (-0.473 -
    0.0202153 * m.x7 + 0.191267 * m.x9)) - 1) - 211.4823 * m.x1 - m.x10
    <= -191.267)
m.e13 = Constraint(expr= -m.x4 * (-m.x1 * m.x2 + 1) * (exp(m.x6 * (0.116 -
    0.0052095 * m.x7 + 0.0233037 * m.x9)) - 1) + 28.5132 * m.x1 - m.x10
    <= 23.3037)
m.e14 = Constraint(expr= -m.x4 * (-m.x1 * m.x2 + 1) * (exp(m.x6 * (-0.502 -
    0.0100677 * m.x7 + 0.101779 * m.x9)) - 1) + 111.8467 * m.x1 - m.x10
    <= 101.779)
m.e15 = Constraint(expr= -m.x4 * (-m.x1 * m.x2 + 1) * (exp(m.x6 * (0.166 -
    0.0229274 * m.x7 + 0.111461 * m.x9)) - 1) + 134.3884 * m.x1 - m.x10
    <= 111.461)
m.e16 = Constraint(expr= -m.x4 * (-m.x1 * m.x2 + 1) * (exp(m.x6 * (-0.473 -
    0.0202153 * m.x7 + 0.191267 * m.x9)) - 1) + 211.4823 * m.x1 - m.x10
    <= 191.267)
m.e17 = Constraint(expr= m.x1 * m.x3 - m.x2 * m.x4 == 0)
