# NLP written by GAMS Convert at 02/17/22 17:19:05
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        0        0        4        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        10        4        6
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x3)

m.e1 = Constraint(expr= exp(10 * m.x1 / (1 + 0.01 * m.x1)) * (
    0.0476666666666666 - 0.0649999999999999 * m.x1) - m.x1 - m.x3 <= 0)
m.e2 = Constraint(expr= -exp(10 * m.x1 / (1 + 0.01 * m.x1)) * (
    0.0476666666666666 - 0.0649999999999999 * m.x1) + m.x1 - m.x3 <= 0)
m.e3 = Constraint(expr= exp(10 * m.x2 / (1 + 0.01 * m.x2)) * (0.143 - 0.13 *
    m.x1 - 0.195 * m.x2) + m.x1 - 3 * m.x2 - m.x3 <= 0)
m.e4 = Constraint(expr= -exp(10 * m.x2 / (1 + 0.01 * m.x2)) * (0.143 - 0.13 *
    m.x1 - 0.195 * m.x2) - m.x1 + 3 * m.x2 - m.x3 <= 0)
