# NLP written by GAMS Convert at 02/17/22 17:19:05
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         7        1        0        6        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         5        5        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        33        9       24
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(1e-06,1), initialize=0.272)
m.x2 = Var(within=Reals, bounds=(1e-06,1), initialize=0.465)
m.x3 = Var(within=Reals, bounds=(1e-06,1), initialize=0.253)
m.x4 = Var(within=Reals, bounds=(20,80), initialize=54.254)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x5)

m.e1 = Constraint(expr= log(m.x1 + 0.48 * m.x2 + 0.768 * m.x3) + m.x1 / (m.x1
    + 0.48 * m.x2 + 0.768 * m.x3) + (1.55 * m.x2) / (1.55 * m.x1 + m.x2 +
    0.544 * m.x3) + (0.566 * m.x3) / (0.566 * m.x1 + 0.65 * m.x2 + m.x3) +
    2787.49800065313 / (229.664 + m.x4) - m.x5 <= 10.7545020354713)
m.e2 = Constraint(expr= log(1.55 * m.x1 + m.x2 + 0.544 * m.x3) + (0.48 * m.x1)
    / (m.x1 + 0.48 * m.x2 + 0.768 * m.x3) + m.x2 / (1.55 * m.x1 + m.x2 + 0.544
    * m.x3) + (0.65 * m.x3) / (0.566 * m.x1 + 0.65 * m.x2 + m.x3) +
    2665.5415812027 / (219.726 + m.x4) - m.x5 <= 10.6349978691449)
m.e3 = Constraint(expr= log(0.566 * m.x1 + 0.65 * m.x2 + m.x3) + (0.768 * m.x1)
    / (m.x1 + 0.48 * m.x2 + 0.768 * m.x3) + (0.544 * m.x2) / (1.55 * m.x1 +
    m.x2 + 0.544 * m.x3) + m.x3 / (0.566 * m.x1 + 0.65 * m.x2 + m.x3) +
    3643.31361767678 / (239.726 + m.x4) - m.x5 <= 12.9738026256517)
m.e4 = Constraint(expr= -log(m.x1 + 0.48 * m.x2 + 0.768 * m.x3) - m.x1 / (m.x1
    + 0.48 * m.x2 + 0.768 * m.x3) - (1.55 * m.x2) / (1.55 * m.x1 + m.x2 +
    0.544 * m.x3) - (0.566 * m.x3) / (0.566 * m.x1 + 0.65 * m.x2 + m.x3) -
    2787.49800065313 / (229.664 + m.x4) - m.x5 <= -10.7545020354713)
m.e5 = Constraint(expr= -log(1.55 * m.x1 + m.x2 + 0.544 * m.x3) - (0.48 * m.x1)
    / (m.x1 + 0.48 * m.x2 + 0.768 * m.x3) - m.x2 / (1.55 * m.x1 + m.x2 + 0.544
    * m.x3) - (0.65 * m.x3) / (0.566 * m.x1 + 0.65 * m.x2 + m.x3) -
    2665.5415812027 / (219.726 + m.x4) - m.x5 <= -10.6349978691449)
m.e6 = Constraint(expr= -log(0.566 * m.x1 + 0.65 * m.x2 + m.x3) - (0.768 * m.x1)
    / (m.x1 + 0.48 * m.x2 + 0.768 * m.x3) - (0.544 * m.x2) / (1.55 * m.x1 +
    m.x2 + 0.544 * m.x3) - m.x3 / (0.566 * m.x1 + 0.65 * m.x2 + m.x3) -
    3643.31361767678 / (239.726 + m.x4) - m.x5 <= -12.9738026256517)
m.e7 = Constraint(expr= m.x1 + m.x2 + m.x3 == 1)
