# NLP written by GAMS Convert at 02/17/22 17:19:06
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         5        0        0        5        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         6        6        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        30       30        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=6)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,1), initialize=1)
m.x5 = Var(within=Reals, bounds=(0,1), initialize=1)
m.x6 = Var(within=Reals, bounds=(0,2), initialize=0)

m.obj = Objective(sense=minimize, expr= -0.5 * m.x1 * m.x1 + 6.5 * m.x1 - m.x2
    - 2 * m.x3 - 3 * m.x4 - 2 * m.x5 - m.x6)

m.e1 = Constraint(expr= m.x1 + 2 * m.x2 + 8 * m.x3 + m.x4 + 3 * m.x5 + 5 * m.x6
    <= 16)
m.e2 = Constraint(expr= -8 * m.x1 - 4 * m.x2 - 2 * m.x3 + 2 * m.x4 + 4 * m.x5
    - m.x6 <= -1)
m.e3 = Constraint(expr= 2 * m.x1 + 0.5 * m.x2 + 0.2 * m.x3 - 3 * m.x4 - m.x5 -
    4 * m.x6 <= 24)
m.e4 = Constraint(expr= 0.2 * m.x1 + 2 * m.x2 + 0.1 * m.x3 - 4 * m.x4 + 2 *
    m.x5 + 2 * m.x6 <= 12)
m.e5 = Constraint(expr= -0.1 * m.x1 - 0.5 * m.x2 + 2 * m.x3 + 5 * m.x4 - 5 *
    m.x5 + 3 * m.x6 <= 3)
