# NLP written by GAMS Convert at 02/17/22 17:19:06
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         1        1        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        10       10        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        10       10        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0.25)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=0.25)
m.x6 = Var(within=Reals, bounds=(0,None), initialize=0.25)
m.x7 = Var(within=Reals, bounds=(0,None), initialize=0.25)
m.x8 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -m.x1 * m.x2 - m.x2 * m.x3 - m.x3 *
    m.x4 - m.x4 * m.x5 - m.x5 * m.x6 - m.x6 * m.x7 - m.x7 * m.x8 - m.x8 * m.x9
    - m.x9 * m.x10 - m.x1 * m.x3 - m.x2 * m.x4 - m.x3 * m.x5 - m.x4 * m.x6 -
    m.x5 * m.x7 - m.x6 * m.x8 - m.x7 * m.x9 - m.x8 * m.x10 - m.x1 * m.x9 - m.x1
    * m.x10 - m.x2 * m.x10 - m.x1 * m.x5 - m.x4 * m.x7)

m.e1 = Constraint(expr= m.x1 + m.x2 + m.x3 + m.x4 + m.x5 + m.x6 + m.x7 + m.x8
    + m.x9 + m.x10 == 1)
