# NLP written by GAMS Convert at 02/17/22 17:19:06
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         3        0        1        2        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         8        5        3
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,2), initialize=0.5)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,3), initialize=3)

m.obj = Objective(sense=minimize, expr= -2 * m.x1 + m.x2 - m.x3)

m.e1 = Constraint(expr= m.x1 * (4 * m.x1 - 2 * m.x2 + 2 * m.x3) + m.x2 * (-2 *
    m.x1 + 2 * m.x2 - m.x3) + m.x3 * (2 * m.x1 - m.x2 + 2 * m.x3) - 20 * m.x1
    + 9 * m.x2 - 13 * m.x3 >= -24)
m.e2 = Constraint(expr= m.x1 + m.x2 + m.x3 <= 4)
m.e3 = Constraint(expr= 3 * m.x2 + m.x3 <= 6)
