# NLP written by GAMS Convert at 02/17/22 17:19:07
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        19       19        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        27       27        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        69       42       27
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(10,110), initialize=10)
m.x2 = Var(within=Reals, bounds=(10,110), initialize=10)
m.x3 = Var(within=Reals, bounds=(10,110), initialize=10)
m.x4 = Var(within=Reals, bounds=(10,110), initialize=10)
m.x5 = Var(within=Reals, bounds=(10,110), initialize=10)
m.x6 = Var(within=Reals, bounds=(10,110), initialize=10)
m.x7 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,45), initialize=0)
m.x22 = Var(within=Reals, bounds=(100,200), initialize=100)
m.x23 = Var(within=Reals, bounds=(100,200), initialize=100)
m.x24 = Var(within=Reals, bounds=(100,200), initialize=100)
m.x25 = Var(within=Reals, bounds=(100,200), initialize=100)
m.x26 = Var(within=Reals, bounds=(100,200), initialize=100)
m.x27 = Var(within=Reals, bounds=(100,200), initialize=100)

m.obj = Objective(sense=minimize, expr= 1300 * (2000 / (0.333333333333333 *
    m.x1 * m.x2 + 0.166666666666667 * m.x1 + 0.166666666666667 * m.x2))**0.6 +
    1300 * (1000 / (0.666666666666667 * m.x3 * m.x4 + 0.166666666666667 * m.x3
    + 0.166666666666667 * m.x4))**0.6 + 1300 * (1500 / (0.666666666666667 *
    m.x5 * m.x6 + 0.166666666666667 * m.x5 + 0.166666666666667 * m.x6))**0.6)

m.e1 = Constraint(expr= m.x7 + m.x12 + m.x17 == 45)
m.e2 = Constraint(expr= m.x7 - m.x8 + m.x14 + m.x20 == 0)
m.e3 = Constraint(expr= m.x9 + m.x12 - m.x13 + m.x19 == 0)
m.e4 = Constraint(expr= m.x10 + m.x15 + m.x17 - m.x18 == 0)
m.e5 = Constraint(expr= -m.x8 + m.x9 + m.x10 + m.x11 == 0)
m.e6 = Constraint(expr= -m.x13 + m.x14 + m.x15 + m.x16 == 0)
m.e7 = Constraint(expr= -m.x18 + m.x19 + m.x20 + m.x21 == 0)
m.e8 = Constraint(expr= m.x25 * m.x14 + m.x27 * m.x20 - m.x22 * m.x8 + 100 *
    m.x7 == 0)
m.e9 = Constraint(expr= m.x23 * m.x9 + m.x27 * m.x19 - m.x24 * m.x13 + 100 *
    m.x12 == 0)
m.e10 = Constraint(expr= m.x23 * m.x10 + m.x25 * m.x15 - m.x26 * m.x18 + 100 *
    m.x17 == 0)
m.e11 = Constraint(expr= m.x8 * m.x23 - m.x8 * m.x22 == 2000)
m.e12 = Constraint(expr= m.x13 * m.x25 - m.x13 * m.x24 == 1000)
m.e13 = Constraint(expr= m.x18 * m.x27 - m.x18 * m.x26 == 1500)
m.e14 = Constraint(expr= m.x1 + m.x23 == 210)
m.e15 = Constraint(expr= m.x2 + m.x22 == 130)
m.e16 = Constraint(expr= m.x3 + m.x25 == 210)
m.e17 = Constraint(expr= m.x4 + m.x24 == 160)
m.e18 = Constraint(expr= m.x5 + m.x27 == 210)
m.e19 = Constraint(expr= m.x6 + m.x26 == 180)
