# NLP written by GAMS Convert at 02/17/22 17:19:07
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         6        6        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         8        8        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        16        4       12
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.4993)
m.x2 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.0007)
m.x3 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.3441)
m.x4 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.1559)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=0.901221308981222)
m.x6 = Var(within=Reals, bounds=(0,None), initialize=0.0274569351394739)
m.x7 = Var(within=Reals, bounds=(0,None), initialize=0.691165161172019)
m.x8 = Var(within=Reals, bounds=(0,None), initialize=0.998619236157215)

m.obj = Objective(sense=minimize, expr= m.x1 * (log(m.x1) - log(m.x1 + m.x3))
    + m.x3 * (log(m.x3) - log(m.x1 + m.x3)) + m.x2 * (log(m.x2) - log(m.x2 +
    m.x4)) + m.x4 * (log(m.x4) - log(m.x2 + m.x4)) + 0.925356626778358 * m.x1
    * m.x7 + 0.746014540096753 * m.x3 * m.x5 + 0.925356626778358 * m.x2 * m.x8
    + 0.746014540096753 * m.x4 * m.x6)

m.e1 = Constraint(expr= m.x5 * (m.x1 + 0.159040857374844 * m.x3) - m.x1 == 0)
m.e2 = Constraint(expr= m.x6 * (m.x2 + 0.159040857374844 * m.x4) - m.x2 == 0)
m.e3 = Constraint(expr= m.x7 * (0.307941026821595 * m.x1 + m.x3) - m.x3 == 0)
m.e4 = Constraint(expr= m.x8 * (0.307941026821595 * m.x2 + m.x4) - m.x4 == 0)
m.e5 = Constraint(expr= m.x1 + m.x2 == 0.5)
m.e6 = Constraint(expr= m.x3 + m.x4 == 0.5)
