# NLP written by GAMS Convert at 02/17/22 17:19:07
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         9        9        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        12       12        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        30        6       24
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(1e-07,0.2995), initialize=0.29949)
m.x2 = Var(within=Reals, bounds=(1e-07,0.2995), initialize=1e-05)
m.x3 = Var(within=Reals, bounds=(1e-07,0.1998), initialize=0.06551)
m.x4 = Var(within=Reals, bounds=(1e-07,0.1998), initialize=0.13429)
m.x5 = Var(within=Reals, bounds=(1e-07,0.4994), initialize=0.49873)
m.x6 = Var(within=Reals, bounds=(1e-07,0.4994), initialize=0.00067)
m.x7 = Var(within=Reals, bounds=(0,None), initialize=0.373197867737302)
m.x8 = Var(within=Reals, bounds=(0,None), initialize=0.000496390669236887)
m.x9 = Var(within=Reals, bounds=(0,None), initialize=0.137685122950498)
m.x10 = Var(within=Reals, bounds=(0,None), initialize=0.996764152762375)
m.x11 = Var(within=Reals, bounds=(0,None), initialize=0.71260468488485)
m.x12 = Var(within=Reals, bounds=(0,None), initialize=0.0203746428730577)

m.obj = Objective(sense=minimize, expr= m.x1 * (log(m.x1) - log(m.x1 + m.x3 +
    m.x5)) + m.x3 * (log(m.x3) - log(m.x1 + m.x3 + m.x5)) + m.x5 * (log(m.x5)
    - log(m.x1 + m.x3 + m.x5)) + m.x2 * (log(m.x2) - log(m.x2 + m.x4 + m.x6))
    + m.x4 * (log(m.x4) - log(m.x2 + m.x4 + m.x6)) + m.x6 * (log(m.x6) - log(
    m.x2 + m.x4 + m.x6)) + m.x1 * (1.44805026165593 * m.x9 + 0.989428667054834
    * m.x11) + m.x3 * (1.12676386427658 * m.x7 + 1.00363012835441 * m.x11) +
    m.x5 * (0.0347225450624344 * m.x7 + 0.82681418300153 * m.x9) + m.x2 * (
    1.44805026165593 * m.x10 + 0.989428667054834 * m.x12) + m.x4 * (
    1.12676386427658 * m.x8 + 1.00363012835441 * m.x12) + m.x6 * (
    0.0347225450624344 * m.x8 + 0.82681418300153 * m.x10))

m.e1 = Constraint(expr= m.x7 * (m.x1 + 0.145002897355373 * m.x3 +
    0.989528214945409 * m.x5) - m.x1 == 0)
m.e2 = Constraint(expr= m.x8 * (m.x2 + 0.145002897355373 * m.x4 +
    0.989528214945409 * m.x6) - m.x2 == 0)
m.e3 = Constraint(expr= m.x9 * (0.293701311601799 * m.x1 + m.x3 +
    0.646291923054068 * m.x5) - m.x3 == 0)
m.e4 = Constraint(expr= m.x10 * (0.293701311601799 * m.x2 + m.x4 +
    0.646291923054068 * m.x6) - m.x4 == 0)
m.e5 = Constraint(expr= m.x11 * (0.619143628558899 * m.x1 + 0.239837817616513 *
    m.x3 + m.x5) - m.x5 == 0)
m.e6 = Constraint(expr= m.x12 * (0.619143628558899 * m.x2 + 0.239837817616513 *
    m.x4 + m.x6) - m.x6 == 0)
m.e7 = Constraint(expr= m.x1 + m.x2 == 0.2995)
m.e8 = Constraint(expr= m.x3 + m.x4 == 0.1998)
m.e9 = Constraint(expr= m.x5 + m.x6 == 0.4994)
