# NLP written by GAMS Convert at 02/17/22 17:19:08
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        0        0        4        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         8        8        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        13        3       10
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.1,10), initialize=0.1)
m.x2 = Var(within=Reals, bounds=(0.1,10), initialize=0.1)
m.x3 = Var(within=Reals, bounds=(0.1,10), initialize=0.1)
m.x4 = Var(within=Reals, bounds=(0.1,10), initialize=0.1)
m.x5 = Var(within=Reals, bounds=(0.1,10), initialize=0.1)
m.x6 = Var(within=Reals, bounds=(0.1,10), initialize=0.1)
m.x7 = Var(within=Reals, bounds=(0.1,10), initialize=0.1)
m.x8 = Var(within=Reals, bounds=(0.1,10), initialize=0.1)

m.obj = Objective(sense=minimize, expr= 0.4 * m.x1**0.67 / m.x7**0.67 + 0.4 *
    m.x2**0.67 / m.x8**0.67 - m.x1 - m.x2 + 10)

m.e1 = Constraint(expr= 0.0588 * m.x5 * m.x7 + 0.1 * m.x1 <= 1)
m.e2 = Constraint(expr= 0.0588 * m.x6 * m.x8 + 0.1 * m.x1 + 0.1 * m.x2 <= 1)
m.e3 = Constraint(expr= 4 * m.x3 / m.x5 + 2 / (m.x5 * m.x3**0.71) + (0.0588 *
    m.x7) / m.x3**1.3 <= 1)
m.e4 = Constraint(expr= 4 * m.x4 / m.x6 + 2 / (m.x6 * m.x4**0.71) + 0.0588 *
    m.x4**1.3 * m.x8 <= 1)
