# NLP written by GAMS Convert at 02/17/22 17:19:08
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         7        0        0        7        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         4        4        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        15       12        3
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x4)

m.e1 = Constraint(expr= m.x1**4 * m.x2**4 - m.x1**4 - m.x3 * m.x2**4 <= 0)
m.e2 = Constraint(expr= -m.x1 - 0.25 * m.x4 <= -1.4)
m.e3 = Constraint(expr= m.x1 - 0.25 * m.x4 <= 1.4)
m.e4 = Constraint(expr= -m.x2 - 0.2 * m.x4 <= -1.5)
m.e5 = Constraint(expr= m.x2 - 0.2 * m.x4 <= 1.5)
m.e6 = Constraint(expr= -m.x3 - 0.2 * m.x4 <= -0.8)
m.e7 = Constraint(expr= m.x3 - 0.2 * m.x4 <= 0.8)
