# NLP written by GAMS Convert at 02/17/22 17:19:08
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        17        7        0       10        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        12       12        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        51       28       23
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x5 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x7 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x8 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x9 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x10 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x12 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x12)

m.e1 = Constraint(expr= m.x10 * m.x11**4 - m.x8 * m.x11**2 + m.x6 == 0)
m.e2 = Constraint(expr= m.x9 * m.x11**2 - m.x7 == 0)
m.e3 = Constraint(expr= -m.x1 - m.x12 <= -10)
m.e4 = Constraint(expr= m.x1 - m.x12 <= 10)
m.e5 = Constraint(expr= m.x2 - 0.1 * m.x12 <= 1)
m.e6 = Constraint(expr= -m.x2 - 0.1 * m.x12 <= -1)
m.e7 = Constraint(expr= -m.x3 - 0.1 * m.x12 <= -1)
m.e8 = Constraint(expr= m.x3 - 0.1 * m.x12 <= 1)
m.e9 = Constraint(expr= -m.x4 - 0.01 * m.x12 <= -0.2)
m.e10 = Constraint(expr= m.x4 - 0.01 * m.x12 <= 0.2)
m.e11 = Constraint(expr= -m.x5 - 0.005 * m.x12 <= -0.05)
m.e12 = Constraint(expr= m.x5 - 0.005 * m.x12 <= 0.05)
m.e13 = Constraint(expr= -54.387 * m.x3 * m.x2 + m.x6 == 0)
m.e14 = Constraint(expr= -0.2 * (1364.67 * m.x3 * m.x2 - 147.15 * m.x4 * m.x3
    * m.x2) + 5.544 * m.x5 + m.x7 == 0)
m.e15 = Constraint(expr= -3 * (-9.81 * m.x2**2 * m.x3 - 9.81 * m.x3 * m.x1 *
    m.x2 - 4.312 * m.x3**2 * m.x2 + 264.896 * m.x3 * m.x2 + m.x4 * m.x5 - 9.274
    * m.x5) + m.x8 == 0)
m.e16 = Constraint(expr= -7 * m.x3**2 * m.x4 * m.x2 + 64.918 * m.x3**2 * m.x2
    - 380.067 * m.x3 * m.x2 - 3 * m.x5 * m.x2 - 3 * m.x5 * m.x1 + m.x9 == 0)
m.e17 = Constraint(expr= -m.x2 * m.x3**2 * (7 * m.x1 + 4 * m.x2) + m.x10 == 0)
