# NLP written by GAMS Convert at 02/17/22 17:19:10
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        4        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         6        6        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        14        8        6
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0.333333333333333)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0.333333333333333)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0.333333333333333)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=2)
m.x5 = Var(within=Reals, bounds=(None,None), initialize=1)
m.x6 = Var(within=Reals, bounds=(None,None), initialize=1)

m.obj = Objective(sense=minimize, expr= m.x1 * log(m.x1) + m.x2 * log(m.x2) +
    m.x3 * log(m.x3) + m.x6 / (m.x4 - m.x6) - log(m.x4 - m.x6) - 2 * m.x5 /
    m.x4 + 0.430983578191493 * m.x1 + 3.80082402249182 * m.x2 +
    2.92297302249182 * m.x3)

m.e1 = Constraint(expr= m.x4**3 - m.x4**2 * (1 + m.x6) + m.x5 * m.x4 - m.x5 *
    m.x6 == 0)
m.e2 = Constraint(expr= -0.37943 * m.x1 * m.x1 - 0.75885 * m.x1 * m.x2 -
    0.48991 * m.x1 * m.x3 - 0.75885 * m.x2 * m.x1 - 0.8836 * m.x2 * m.x2 -
    0.23612 * m.x2 * m.x3 - 0.48991 * m.x3 * m.x1 - 0.23612 * m.x3 * m.x2 -
    0.63263 * m.x3 * m.x3 + m.x5 == 0)
m.e3 = Constraint(expr= -0.14998 * m.x1 - 0.14998 * m.x2 - 0.14998 * m.x3 +
    m.x6 == 0)
m.e4 = Constraint(expr= m.x1 + m.x2 + m.x3 == 1)
