# NLP written by GAMS Convert at 02/17/22 17:19:10
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        4        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         5        5        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        11        6        5
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=0.5)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=0.5)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=2)
m.x4 = Var(within=Reals, bounds=(None,None), initialize=1)
m.x5 = Var(within=Reals, bounds=(None,None), initialize=1)

m.obj = Objective(sense=minimize, expr= m.x1 * log(m.x1) + m.x2 * log(m.x2) -
    log(m.x3 - m.x5) + m.x3 - m.x4 * log(m.x5 / m.x3 + 1) / m.x5 +
    5.0464317551216 * m.x1 + 0.366877055769689 * m.x2 - 1)

m.e1 = Constraint(expr= m.x3**3 - m.x3**2 + m.x3 * (-m.x5**2 - m.x5 + m.x4) -
    m.x4 * m.x5 == 0)
m.e2 = Constraint(expr= -1.04633 * m.x1 * m.x1 - 0.579822 * m.x1 * m.x2 -
    0.579822 * m.x2 * m.x1 - 0.379615 * m.x2 * m.x2 + m.x4 == 0)
m.e3 = Constraint(expr= -0.0771517 * m.x1 - 0.0765784 * m.x2 + m.x5 == 0)
m.e4 = Constraint(expr= m.x1 + m.x2 == 1)
