# NLP written by GAMS Convert at 02/17/22 17:19:10
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        12       12        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        13       13        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        33       23       10
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -3 * m.x1 + 2 * m.x2 - m.x3)

m.e1 = Constraint(expr= m.x1 + 4 * m.x2 - 2 * m.x3 + m.x4 == 16)
m.e2 = Constraint(expr= 3 * m.x1 - 2 * m.x2 + 8 * m.x3 + m.x5 == 48)
m.e3 = Constraint(expr= m.x1 - 3 * m.x2 - 2 * m.x3 + m.x6 == -12)
m.e4 = Constraint(expr= -m.x1 + m.x7 == 0)
m.e5 = Constraint(expr= m.x1 + m.x8 == 4)
m.e6 = Constraint(expr= m.x9 * m.x4 == 0)
m.e7 = Constraint(expr= m.x10 * m.x5 == 0)
m.e8 = Constraint(expr= m.x11 * m.x6 == 0)
m.e9 = Constraint(expr= m.x12 * m.x7 == 0)
m.e10 = Constraint(expr= m.x13 * m.x8 == 0)
m.e11 = Constraint(expr= m.x9 + 3 * m.x10 + m.x11 - m.x12 + m.x13 == 1)
m.e12 = Constraint(expr= 2 * m.x10 - 3 * m.x11 == 0)
