# NLP written by GAMS Convert at 02/17/22 17:19:11
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         5        5        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         6        6        0        0        0        0        0        0
# FX      2
#
# Nonzero counts
#     Total    const       NL
#        11        7        4
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,20), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,20), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,0), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,0), initialize=0)

m.obj = Objective(sense=minimize, expr= -4 * m.x1 * m.x2 + 3 * m.x2 + 2 * m.x1
    + 1)

m.e1 = Constraint(expr= -m.x2 + m.x3 == 0)
m.e2 = Constraint(expr= m.x2 + m.x4 == 1)
m.e3 = Constraint(expr= m.x5 * m.x3 == 0)
m.e4 = Constraint(expr= m.x6 * m.x4 == 0)
m.e5 = Constraint(expr= 4 * m.x1 - m.x5 + m.x6 == 1)
