# NLP written by GAMS Convert at 02/17/22 17:20:02
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        25       19        3        3        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        29       29        0        0        0        0        0        0
# FX      2
#
# Nonzero counts
#     Total    const       NL
#        77       59       18
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(1000,1000), initialize=1000)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=1000)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=1000)
m.x4 = Var(within=Reals, bounds=(None,None), initialize=1000)
m.x5 = Var(within=Reals, bounds=(100,None), initialize=100)
m.x6 = Var(within=Reals, bounds=(100,None), initialize=100)
m.x7 = Var(within=Reals, bounds=(100,None), initialize=100)
m.x8 = Var(within=Reals, bounds=(100,400), initialize=400)
m.x9 = Var(within=Reals, bounds=(100,400), initialize=400)
m.x10 = Var(within=Reals, bounds=(100,400), initialize=400)
m.x11 = Var(within=Reals, bounds=(100,100), initialize=100)
m.x12 = Var(within=Reals, bounds=(None,None), initialize=100)
m.x13 = Var(within=Reals, bounds=(None,None), initialize=100)
m.x14 = Var(within=Reals, bounds=(None,None), initialize=100)
m.x15 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x16 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x17 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x18 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x19 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x20 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x21 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x22 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x23 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x24 = Var(within=Reals, bounds=(0.01,None), initialize=1)
m.x25 = Var(within=Reals, bounds=(0.01,None), initialize=1)
m.x26 = Var(within=Reals, bounds=(0.01,None), initialize=1)
m.x27 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x28 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x29 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -m.x24 * m.x25**0.944 * m.x26**0.891136)

m.e1 = Constraint(expr= -0.01 * (0.5 * m.x5**0.5 + 0.5 * (1004.72366 - m.x8 -
    m.x15)**0.5)**2 + m.x24 == 0)
m.e2 = Constraint(expr= -0.01 * (0.5 * m.x6**0.5 + 0.5 * (1004.72366 - m.x9 -
    m.x16)**0.5)**2 + m.x25 == 0)
m.e3 = Constraint(expr= -0.01 * (0.5 * m.x7**0.5 + 0.5 * (1004.72366 - m.x10 -
    m.x17)**0.5)**2 + m.x26 == 0)
m.e4 = Constraint(expr= -0.07 * m.x2 - m.x8 + m.x27 == 0)
m.e5 = Constraint(expr= -0.07 * m.x3 - m.x9 + m.x28 == 0)
m.e6 = Constraint(expr= -0.07 * m.x4 - m.x10 + m.x29 == 0)
m.e7 = Constraint(expr= m.x21 - 0.2 * m.x27 == 0)
m.e8 = Constraint(expr= m.x22 - 0.2 * m.x28 == 0)
m.e9 = Constraint(expr= m.x23 - 0.2 * m.x29 == 0)
m.e10 = Constraint(expr= m.x5 + m.x18 + m.x21 - m.x27 == 0)
m.e11 = Constraint(expr= m.x6 + m.x19 + m.x22 - m.x28 == 0)
m.e12 = Constraint(expr= m.x7 + m.x20 + m.x23 - m.x29 == 0)
m.e13 = Constraint(expr= m.x1 - m.x2 + m.x11 - m.x12 + m.x18 == 0)
m.e14 = Constraint(expr= m.x2 - m.x3 + m.x12 - m.x13 + m.x19 == 0)
m.e15 = Constraint(expr= m.x3 - m.x4 + m.x13 - m.x14 + m.x20 == 0)
m.e16 = Constraint(expr= m.x15 * (-0.255905 * m.x5 + m.x12) == 1)
m.e17 = Constraint(expr= m.x16 * (-0.255905 * m.x6 + m.x13) == 1)
m.e18 = Constraint(expr= m.x17 * (-0.255905 * m.x7 + m.x14) == 1)
m.e19 = Constraint(expr= m.x4 + m.x14 == 1100)
m.e20 = Constraint(expr= -0.25846405 * m.x5 + m.x12 >= 0)
m.e21 = Constraint(expr= -0.25846405 * m.x6 + m.x13 >= 0)
m.e22 = Constraint(expr= -0.25846405 * m.x7 + m.x14 >= 0)
m.e23 = Constraint(expr= m.x8 + m.x15 <= 904.251294)
m.e24 = Constraint(expr= m.x9 + m.x16 <= 904.251294)
m.e25 = Constraint(expr= m.x10 + m.x17 <= 904.251294)
