# NLP written by GAMS Convert at 02/17/22 17:20:02
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         1        1        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         3        0        3
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -32.174 * (255 * log((0.03 + m.x1 +
    m.x2 + m.x3) / (0.03 + 0.09 * m.x1 + m.x2 + m.x3)) + 280 * log((0.03 + m.x2
    + m.x3) / (0.03 + 0.07 * m.x2 + m.x3)) + 290 * log((0.03 + m.x3) / (0.03
    + 0.13 * m.x3))))

m.e1 = Constraint(expr= 20 * (-1 + m.x1 + m.x2 + m.x3)**2 == 0)
