# DNLP written by GAMS Convert at 02/17/22 17:20:03
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         8        8        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         8        8        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        24       16        8
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(-3.14159265358979,3.14159265358979)
    , initialize=-3.14159265358979)
m.x2 = Var(within=Reals, bounds=(-3.14159265358979,3.14159265358979)
    , initialize=-1.5707963267949)
m.x3 = Var(within=Reals, bounds=(-3.14159265358979,3.14159265358979)
    , initialize=0)
m.x4 = Var(within=Reals, bounds=(-3.14159265358979,3.14159265358979)
    , initialize=1.5707963267949)
m.x5 = Var(within=Reals, bounds=(None,None), initialize=-1.31922501777732e-15)
m.x6 = Var(within=Reals, bounds=(None,None), initialize=-4.93480220054468)
m.x7 = Var(within=Reals, bounds=(0,None), initialize=1)
m.x8 = Var(within=Reals, bounds=(0,None), initialize=1)

m.obj = Objective(sense=maximize, expr= m.x7**2 + m.x8**2)

m.e1 = Constraint(expr= cos(-m.x1 * m.x1 + m.x1) * sin(m.x1) - m.x1 * m.x1 *
    sin(3 * abs(m.x1) + 2 * m.x1) - m.x5 == 0)
m.e2 = Constraint(expr= m.x1 * sin(m.x1) + 0.5 * m.x1 * m.x1 * cos(m.x1) - m.x6
    == 0)
m.e3 = Constraint(expr= cos(-m.x2 * m.x2 + m.x2) * sin(m.x2) - m.x2 * m.x2 *
    sin(3 * abs(m.x2) + 2 * m.x2) - m.x5 - m.x7 == 0)
m.e4 = Constraint(expr= m.x2 * sin(m.x2) + 0.5 * m.x2 * m.x2 * cos(m.x2) - m.x6
    - m.x8 == 0)
m.e5 = Constraint(expr= cos(-m.x3 * m.x3 + m.x3) * sin(m.x3) - m.x3 * m.x3 *
    sin(3 * abs(m.x3) + 2 * m.x3) - m.x5 + m.x8 == 0)
m.e6 = Constraint(expr= m.x3 * sin(m.x3) + 0.5 * m.x3 * m.x3 * cos(m.x3) - m.x6
    - m.x7 == 0)
m.e7 = Constraint(expr= cos(-m.x4 * m.x4 + m.x4) * sin(m.x4) - m.x4 * m.x4 *
    sin(3 * abs(m.x4) + 2 * m.x4) - m.x5 - m.x7 + m.x8 == 0)
m.e8 = Constraint(expr= m.x4 * sin(m.x4) + 0.5 * m.x4 * m.x4 * cos(m.x4) - m.x6
    - m.x7 - m.x8 == 0)
