# NLP written by GAMS Convert at 02/17/22 17:20:12
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        86        2       36       48        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        22       22        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       243       97      146
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.49,16.8), initialize=0.49)
m.x2 = Var(within=Reals, bounds=(0.5,7.5), initialize=0.5)
m.x3 = Var(within=Reals, bounds=(0.5,1.6), initialize=0.5)
m.x4 = Var(within=Reals, bounds=(0.5,7.5), initialize=0.5)
m.x5 = Var(within=Reals, bounds=(0.5,1.6), initialize=0.5)
m.x6 = Var(within=Reals, bounds=(0.5,7.5), initialize=0.5)
m.x7 = Var(within=Reals, bounds=(0.5,1.6), initialize=0.5)
m.x8 = Var(within=Reals, bounds=(0.5,7.5), initialize=0.5)
m.x9 = Var(within=Reals, bounds=(0.5,1.6), initialize=0.5)
m.x10 = Var(within=Reals, bounds=(0.5,7.5), initialize=0.5)
m.x11 = Var(within=Reals, bounds=(0.5,1.6), initialize=0.5)
m.x12 = Var(within=Reals, bounds=(0.5,7.5), initialize=0.5)
m.x13 = Var(within=Reals, bounds=(0.5,1.6), initialize=0.5)
m.x14 = Var(within=Reals, bounds=(0.5,7.5), initialize=0.5)
m.x15 = Var(within=Reals, bounds=(0.5,1.6), initialize=0.5)
m.x16 = Var(within=Reals, bounds=(0.5,7.5), initialize=0.5)
m.x17 = Var(within=Reals, bounds=(0.5,1.6), initialize=0.5)
m.x18 = Var(within=Reals, bounds=(0.7,7.3), initialize=0.7)
m.x19 = Var(within=Reals, bounds=(0.7,1.4), initialize=0.7)
m.x20 = Var(within=Reals, bounds=(0,8), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,2.1), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,16.8), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x22)

m.e1 = Constraint(expr= -m.x1 + m.x22 == -7.82256570743859)
m.e2 = Constraint(expr= -m.x20 * m.x21 + m.x1 == 0)
m.e3 = Constraint(expr= (m.x2 - m.x4) * (m.x2 - m.x4) + (m.x3 - m.x5) * (m.x3
    - m.x5) >= 1)
m.e4 = Constraint(expr= (m.x2 - m.x6) * (m.x2 - m.x6) + (m.x3 - m.x7) * (m.x3
    - m.x7) >= 1)
m.e5 = Constraint(expr= (m.x2 - m.x8) * (m.x2 - m.x8) + (m.x3 - m.x9) * (m.x3
    - m.x9) >= 1)
m.e6 = Constraint(expr= (m.x2 - m.x10) * (m.x2 - m.x10) + (m.x3 - m.x11) * (
    m.x3 - m.x11) >= 1)
m.e7 = Constraint(expr= (m.x2 - m.x12) * (m.x2 - m.x12) + (m.x3 - m.x13) * (
    m.x3 - m.x13) >= 1)
m.e8 = Constraint(expr= (m.x2 - m.x14) * (m.x2 - m.x14) + (m.x3 - m.x15) * (
    m.x3 - m.x15) >= 1)
m.e9 = Constraint(expr= (m.x2 - m.x16) * (m.x2 - m.x16) + (m.x3 - m.x17) * (
    m.x3 - m.x17) >= 1)
m.e10 = Constraint(expr= (m.x2 - m.x18) * (m.x2 - m.x18) + (m.x3 - m.x19) * (
    m.x3 - m.x19) >= 1.44)
m.e11 = Constraint(expr= (m.x4 - m.x6) * (m.x4 - m.x6) + (m.x5 - m.x7) * (m.x5
    - m.x7) >= 1)
m.e12 = Constraint(expr= (m.x4 - m.x8) * (m.x4 - m.x8) + (m.x5 - m.x9) * (m.x5
    - m.x9) >= 1)
m.e13 = Constraint(expr= (m.x4 - m.x10) * (m.x4 - m.x10) + (m.x5 - m.x11) * (
    m.x5 - m.x11) >= 1)
m.e14 = Constraint(expr= (m.x4 - m.x12) * (m.x4 - m.x12) + (m.x5 - m.x13) * (
    m.x5 - m.x13) >= 1)
m.e15 = Constraint(expr= (m.x4 - m.x14) * (m.x4 - m.x14) + (m.x5 - m.x15) * (
    m.x5 - m.x15) >= 1)
m.e16 = Constraint(expr= (m.x4 - m.x16) * (m.x4 - m.x16) + (m.x5 - m.x17) * (
    m.x5 - m.x17) >= 1)
m.e17 = Constraint(expr= (m.x4 - m.x18) * (m.x4 - m.x18) + (m.x5 - m.x19) * (
    m.x5 - m.x19) >= 1.44)
m.e18 = Constraint(expr= (m.x6 - m.x8) * (m.x6 - m.x8) + (m.x7 - m.x9) * (m.x7
    - m.x9) >= 1)
m.e19 = Constraint(expr= (m.x6 - m.x10) * (m.x6 - m.x10) + (m.x7 - m.x11) * (
    m.x7 - m.x11) >= 1)
m.e20 = Constraint(expr= (m.x6 - m.x12) * (m.x6 - m.x12) + (m.x7 - m.x13) * (
    m.x7 - m.x13) >= 1)
m.e21 = Constraint(expr= (m.x6 - m.x14) * (m.x6 - m.x14) + (m.x7 - m.x15) * (
    m.x7 - m.x15) >= 1)
m.e22 = Constraint(expr= (m.x6 - m.x16) * (m.x6 - m.x16) + (m.x7 - m.x17) * (
    m.x7 - m.x17) >= 1)
m.e23 = Constraint(expr= (m.x6 - m.x18) * (m.x6 - m.x18) + (m.x7 - m.x19) * (
    m.x7 - m.x19) >= 1.44)
m.e24 = Constraint(expr= (m.x8 - m.x10) * (m.x8 - m.x10) + (m.x9 - m.x11) * (
    m.x9 - m.x11) >= 1)
m.e25 = Constraint(expr= (m.x8 - m.x12) * (m.x8 - m.x12) + (m.x9 - m.x13) * (
    m.x9 - m.x13) >= 1)
m.e26 = Constraint(expr= (m.x8 - m.x14) * (m.x8 - m.x14) + (m.x9 - m.x15) * (
    m.x9 - m.x15) >= 1)
m.e27 = Constraint(expr= (m.x8 - m.x16) * (m.x8 - m.x16) + (m.x9 - m.x17) * (
    m.x9 - m.x17) >= 1)
m.e28 = Constraint(expr= (m.x8 - m.x18) * (m.x8 - m.x18) + (m.x9 - m.x19) * (
    m.x9 - m.x19) >= 1.44)
m.e29 = Constraint(expr= (m.x10 - m.x12) * (m.x10 - m.x12) + (m.x11 - m.x13) *
    (m.x11 - m.x13) >= 1)
m.e30 = Constraint(expr= (m.x10 - m.x14) * (m.x10 - m.x14) + (m.x11 - m.x15) *
    (m.x11 - m.x15) >= 1)
m.e31 = Constraint(expr= (m.x10 - m.x16) * (m.x10 - m.x16) + (m.x11 - m.x17) *
    (m.x11 - m.x17) >= 1)
m.e32 = Constraint(expr= (m.x10 - m.x18) * (m.x10 - m.x18) + (m.x11 - m.x19) *
    (m.x11 - m.x19) >= 1.44)
m.e33 = Constraint(expr= (m.x12 - m.x14) * (m.x12 - m.x14) + (m.x13 - m.x15) *
    (m.x13 - m.x15) >= 1)
m.e34 = Constraint(expr= (m.x12 - m.x16) * (m.x12 - m.x16) + (m.x13 - m.x17) *
    (m.x13 - m.x17) >= 1)
m.e35 = Constraint(expr= (m.x12 - m.x18) * (m.x12 - m.x18) + (m.x13 - m.x19) *
    (m.x13 - m.x19) >= 1.44)
m.e36 = Constraint(expr= (m.x14 - m.x16) * (m.x14 - m.x16) + (m.x15 - m.x17) *
    (m.x15 - m.x17) >= 1)
m.e37 = Constraint(expr= (m.x14 - m.x18) * (m.x14 - m.x18) + (m.x15 - m.x19) *
    (m.x15 - m.x19) >= 1.44)
m.e38 = Constraint(expr= (m.x16 - m.x18) * (m.x16 - m.x18) + (m.x17 - m.x19) *
    (m.x17 - m.x19) >= 1.44)
m.e39 = Constraint(expr= m.x2 - m.x20 <= -0.5)
m.e40 = Constraint(expr= m.x3 - m.x21 <= -0.5)
m.e41 = Constraint(expr= m.x4 - m.x20 <= -0.5)
m.e42 = Constraint(expr= m.x5 - m.x21 <= -0.5)
m.e43 = Constraint(expr= m.x6 - m.x20 <= -0.5)
m.e44 = Constraint(expr= m.x7 - m.x21 <= -0.5)
m.e45 = Constraint(expr= m.x8 - m.x20 <= -0.5)
m.e46 = Constraint(expr= m.x9 - m.x21 <= -0.5)
m.e47 = Constraint(expr= m.x10 - m.x20 <= -0.5)
m.e48 = Constraint(expr= m.x11 - m.x21 <= -0.5)
m.e49 = Constraint(expr= m.x12 - m.x20 <= -0.5)
m.e50 = Constraint(expr= m.x13 - m.x21 <= -0.5)
m.e51 = Constraint(expr= m.x14 - m.x20 <= -0.5)
m.e52 = Constraint(expr= m.x15 - m.x21 <= -0.5)
m.e53 = Constraint(expr= m.x16 - m.x20 <= -0.5)
m.e54 = Constraint(expr= m.x17 - m.x21 <= -0.5)
m.e55 = Constraint(expr= m.x18 - m.x20 <= -0.7)
m.e56 = Constraint(expr= m.x19 - m.x21 <= -0.7)
m.e57 = Constraint(expr= m.x2 <= 4)
m.e58 = Constraint(expr= m.x3 <= 1.05)
m.e59 = Constraint(expr= m.x2 - m.x4 <= 0)
m.e60 = Constraint(expr= m.x2 - m.x6 <= 0)
m.e61 = Constraint(expr= m.x2 - m.x8 <= 0)
m.e62 = Constraint(expr= m.x2 - m.x10 <= 0)
m.e63 = Constraint(expr= m.x2 - m.x12 <= 0)
m.e64 = Constraint(expr= m.x2 - m.x14 <= 0)
m.e65 = Constraint(expr= m.x2 - m.x16 <= 0)
m.e66 = Constraint(expr= m.x4 - m.x6 <= 0)
m.e67 = Constraint(expr= m.x4 - m.x8 <= 0)
m.e68 = Constraint(expr= m.x4 - m.x10 <= 0)
m.e69 = Constraint(expr= m.x4 - m.x12 <= 0)
m.e70 = Constraint(expr= m.x4 - m.x14 <= 0)
m.e71 = Constraint(expr= m.x4 - m.x16 <= 0)
m.e72 = Constraint(expr= m.x6 - m.x8 <= 0)
m.e73 = Constraint(expr= m.x6 - m.x10 <= 0)
m.e74 = Constraint(expr= m.x6 - m.x12 <= 0)
m.e75 = Constraint(expr= m.x6 - m.x14 <= 0)
m.e76 = Constraint(expr= m.x6 - m.x16 <= 0)
m.e77 = Constraint(expr= m.x8 - m.x10 <= 0)
m.e78 = Constraint(expr= m.x8 - m.x12 <= 0)
m.e79 = Constraint(expr= m.x8 - m.x14 <= 0)
m.e80 = Constraint(expr= m.x8 - m.x16 <= 0)
m.e81 = Constraint(expr= m.x10 - m.x12 <= 0)
m.e82 = Constraint(expr= m.x10 - m.x14 <= 0)
m.e83 = Constraint(expr= m.x10 - m.x16 <= 0)
m.e84 = Constraint(expr= m.x12 - m.x14 <= 0)
m.e85 = Constraint(expr= m.x12 - m.x16 <= 0)
m.e86 = Constraint(expr= m.x14 - m.x16 <= 0)
