# NLP written by GAMS Convert at 02/17/22 17:20:12
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        48       36        0       12        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        43       43        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       155      113       42
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.25,7.5), initialize=0.25)
m.x2 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x3 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,3), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,2.5), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,3.90512483795333), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,3.90512483795333), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,3.90512483795333), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,3.90512483795333), initialize=0)
m.x10 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x11 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x12 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x13 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x14 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x15 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x16 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x17 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x18 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x19 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x20 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x21 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x22 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x23 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x24 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x25 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x26 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x27 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x28 = Var(within=Reals, bounds=(-3.90512483795333,3.90512483795333)
    , initialize=0)
m.x29 = Var(within=Reals, bounds=(0.5,2.5), initialize=0.5)
m.x30 = Var(within=Reals, bounds=(0.5,2), initialize=0.5)
m.x31 = Var(within=Reals, bounds=(0,3), initialize=0)
m.x32 = Var(within=Reals, bounds=(0,2.5), initialize=0)
m.x33 = Var(within=Reals, bounds=(0,3), initialize=0)
m.x34 = Var(within=Reals, bounds=(0,2.5), initialize=0)
m.x35 = Var(within=Reals, bounds=(0,3), initialize=0)
m.x36 = Var(within=Reals, bounds=(0,2.5), initialize=0)
m.x37 = Var(within=Reals, bounds=(0,3), initialize=0)
m.x38 = Var(within=Reals, bounds=(0,2.5), initialize=0)
m.x39 = Var(within=Reals, bounds=(0,3), initialize=0)
m.x40 = Var(within=Reals, bounds=(0,2.5), initialize=0)
m.x41 = Var(within=Reals, bounds=(0,3), initialize=0)
m.x42 = Var(within=Reals, bounds=(0,2.5), initialize=0)
m.x43 = Var(within=Reals, bounds=(0,7.5), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x43)

m.e1 = Constraint(expr= -m.x1 + m.x43 == -1.16039816339745)
m.e2 = Constraint(expr= -m.x41 * m.x42 + m.x1 == 0)
m.e3 = Constraint(expr= m.x29 - m.x41 <= -0.5)
m.e4 = Constraint(expr= m.x30 - m.x42 <= -0.5)
m.e5 = Constraint(expr= -0.25 * m.x31 - 0.25 * m.x33 - 0.25 * m.x35 - 0.25 *
    m.x37 + m.x39 == 0)
m.e6 = Constraint(expr= -0.25 * m.x32 - 0.25 * m.x34 - 0.25 * m.x36 - 0.25 *
    m.x38 + m.x40 == 0)
m.e7 = Constraint(expr= m.x2 * m.x2 + m.x3 * m.x3 == 1)
m.e8 = Constraint(expr= m.x31 - m.x41 <= 0)
m.e9 = Constraint(expr= m.x32 - m.x42 <= 0)
m.e10 = Constraint(expr= m.x33 - m.x41 <= 0)
m.e11 = Constraint(expr= m.x34 - m.x42 <= 0)
m.e12 = Constraint(expr= m.x35 - m.x41 <= 0)
m.e13 = Constraint(expr= m.x36 - m.x42 <= 0)
m.e14 = Constraint(expr= m.x37 - m.x41 <= 0)
m.e15 = Constraint(expr= m.x38 - m.x42 <= 0)
m.e16 = Constraint(expr= 0.25 * m.x2 + 0.375 * m.x3 + m.x31 - m.x39 == 0)
m.e17 = Constraint(expr= -0.25 * m.x2 + 0.375 * m.x3 + m.x33 - m.x39 == 0)
m.e18 = Constraint(expr= -0.25 * m.x2 - 0.375 * m.x3 + m.x35 - m.x39 == 0)
m.e19 = Constraint(expr= 0.25 * m.x2 - 0.375 * m.x3 + m.x37 - m.x39 == 0)
m.e20 = Constraint(expr= -0.375 * m.x2 + 0.25 * m.x3 + m.x32 - m.x40 == 0)
m.e21 = Constraint(expr= -0.375 * m.x2 - 0.25 * m.x3 + m.x34 - m.x40 == 0)
m.e22 = Constraint(expr= 0.375 * m.x2 - 0.25 * m.x3 + m.x36 - m.x40 == 0)
m.e23 = Constraint(expr= 0.375 * m.x2 + 0.25 * m.x3 + m.x38 - m.x40 == 0)
m.e24 = Constraint(expr= m.x15 * m.x15 + m.x16 * m.x16 == 1)
m.e25 = Constraint(expr= -m.x16 + m.x17 == 0)
m.e26 = Constraint(expr= m.x15 + m.x18 == 0)
m.e27 = Constraint(expr= m.x15 * m.x10 + m.x4 + m.x19 - m.x31 == 0)
m.e28 = Constraint(expr= m.x16 * m.x10 + m.x5 + m.x20 - m.x32 == 0)
m.e29 = Constraint(expr= m.x15 * m.x11 + m.x4 + m.x21 - m.x33 == 0)
m.e30 = Constraint(expr= m.x16 * m.x11 + m.x5 + m.x22 - m.x34 == 0)
m.e31 = Constraint(expr= m.x15 * m.x12 + m.x4 + m.x23 - m.x35 == 0)
m.e32 = Constraint(expr= m.x16 * m.x12 + m.x5 + m.x24 - m.x36 == 0)
m.e33 = Constraint(expr= m.x15 * m.x13 + m.x4 + m.x25 - m.x37 == 0)
m.e34 = Constraint(expr= m.x16 * m.x13 + m.x5 + m.x26 - m.x38 == 0)
m.e35 = Constraint(expr= m.x15 * m.x14 + m.x4 + m.x27 - m.x29 == 0)
m.e36 = Constraint(expr= m.x16 * m.x14 + m.x5 + m.x28 - m.x30 == 0)
m.e37 = Constraint(expr= -m.x6 * m.x17 + m.x19 == 0)
m.e38 = Constraint(expr= -m.x6 * m.x18 + m.x20 == 0)
m.e39 = Constraint(expr= -m.x7 * m.x17 + m.x21 == 0)
m.e40 = Constraint(expr= -m.x7 * m.x18 + m.x22 == 0)
m.e41 = Constraint(expr= -m.x8 * m.x17 + m.x23 == 0)
m.e42 = Constraint(expr= -m.x8 * m.x18 + m.x24 == 0)
m.e43 = Constraint(expr= -m.x9 * m.x17 + m.x25 == 0)
m.e44 = Constraint(expr= -m.x9 * m.x18 + m.x26 == 0)
m.e45 = Constraint(expr= 0.5 * m.x17 + m.x27 == 0)
m.e46 = Constraint(expr= 0.5 * m.x18 + m.x28 == 0)
m.e47 = Constraint(expr= m.x29 <= 1.5)
m.e48 = Constraint(expr= m.x30 <= 1.25)
