# NLP written by GAMS Convert at 02/17/22 17:20:16
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        44       44        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        46       46        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       127       67       60
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(-3,3), initialize=0)
m.x2 = Var(within=Reals, bounds=(-3,3), initialize=0)
m.x3 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x4 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x26 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x27 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x28 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x29 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x30 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x31 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x32 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x33 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x34 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x35 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x36 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x37 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x38 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x39 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x40 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x41 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x42 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x43 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x44 = Var(within=Reals, bounds=(0,1e+07), initialize=0)
m.x45 = Var(within=Reals, bounds=(-1e+07,1e+07), initialize=0)
m.x46 = Var(within=Reals, bounds=(-1e+07,1e+07), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x46)

m.e1 = Constraint(expr= 0.166666666666667 * m.x1 - m.x3 == -0.5)
m.e2 = Constraint(expr= 0.166666666666667 * m.x2 - m.x4 == -0.5)
m.e3 = Constraint(expr= 0.73427818977281 * (0.203948432429007 - m.x3)**2 +
    9.84239329440621 * (0.167077301047217 - m.x4)**2 - m.x5 == 0)
m.e4 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x5) +
    1.66666666666667 * m.x5) + 0.0409492741385585) * exp(-2.23606797749979 *
    sqrt(m.x5)) - m.x6 == 0)
m.e5 = Constraint(expr= 0.73427818977281 * (0.385865710218389 - m.x3)**2 +
    9.84239329440621 * (0.710629474506774 - m.x4)**2 - m.x7 == 0)
m.e6 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x7) +
    1.66666666666667 * m.x7) + 0.0409492741385585) * exp(-2.23606797749979 *
    sqrt(m.x7)) - m.x8 == 0)
m.e7 = Constraint(expr= 0.73427818977281 * (0.736967756917555 - m.x3)**2 +
    9.84239329440621 * (0.752652716266839 - m.x4)**2 - m.x9 == 0)
m.e8 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x9) +
    1.66666666666667 * m.x9) + 0.0409492741385585) * exp(-2.23606797749979 *
    sqrt(m.x9)) - m.x10 == 0)
m.e9 = Constraint(expr= 0.73427818977281 * (0.652741639941018 - m.x3)**2 +
    9.84239329440621 * (0.0802775036072991 - m.x4)**2 - m.x11 == 0)
m.e10 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x11)
    + 1.66666666666667 * m.x11) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x11)) - m.x12 == 0)
m.e11 = Constraint(expr= 0.73427818977281 * (0.273052837124171 - m.x3)**2 +
    9.84239329440621 * (0.232245875826583 - m.x4)**2 - m.x13 == 0)
m.e12 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x13)
    + 1.66666666666667 * m.x13) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x13)) - m.x14 == 0)
m.e13 = Constraint(expr= 0.73427818977281 * (0.195512487913805 - m.x3)**2 +
    9.84239329440621 * (0.82234538166963 - m.x4)**2 - m.x15 == 0)
m.e14 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x15)
    + 1.66666666666667 * m.x15) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x15)) - m.x16 == 0)
m.e15 = Constraint(expr= 0.73427818977281 * (0.790016403526876 - m.x3)**2 +
    9.84239329440621 * (0.663073561881453 - m.x4)**2 - m.x17 == 0)
m.e16 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x17)
    + 1.66666666666667 * m.x17) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x17)) - m.x18 == 0)
m.e17 = Constraint(expr= 0.73427818977281 * (0.471577255892049 - m.x3)**2 +
    9.84239329440621 * (0.385779181808663 - m.x4)**2 - m.x19 == 0)
m.e18 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x19)
    + 1.66666666666667 * m.x19) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x19)) - m.x20 == 0)
m.e19 = Constraint(expr= 0.73427818977281 * (0.932437642614655 - m.x3)**2 +
    9.84239329440621 * (0.426569457455376 - m.x4)**2 - m.x21 == 0)
m.e20 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x21)
    + 1.66666666666667 * m.x21) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x21)) - m.x22 == 0)
m.e21 = Constraint(expr= 0.73427818977281 * (0.509888721470545 - m.x3)**2 +
    9.84239329440621 * (0.630133547648043 - m.x4)**2 - m.x23 == 0)
m.e22 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x23)
    + 1.66666666666667 * m.x23) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x23)) - m.x24 == 0)
m.e23 = Constraint(expr= 0.73427818977281 * (0.0136476827399359 - m.x3)**2 +
    9.84239329440621 * (0.470789817400026 - m.x4)**2 - m.x25 == 0)
m.e24 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x25)
    + 1.66666666666667 * m.x25) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x25)) - m.x26 == 0)
m.e25 = Constraint(expr= 0.73427818977281 * (0.0575971713888859 - m.x3)**2 +
    9.84239329440621 * (0.118569216327591 - m.x4)**2 - m.x27 == 0)
m.e26 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x27)
    + 1.66666666666667 * m.x27) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x27)) - m.x28 == 0)
m.e27 = Constraint(expr= 0.73427818977281 * (0.563083352644902 - m.x3)**2 +
    9.84239329440621 * (0.338196135850122 - m.x4)**2 - m.x29 == 0)
m.e28 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x29)
    + 1.66666666666667 * m.x29) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x29)) - m.x30 == 0)
m.e29 = Constraint(expr= 0.73427818977281 * (0.839284400175223 - m.x3)**2 +
    9.84239329440621 * (0.259643892294303 - m.x4)**2 - m.x31 == 0)
m.e30 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x31)
    + 1.66666666666667 * m.x31) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x31)) - m.x32 == 0)
m.e31 = Constraint(expr= 0.73427818977281 * (0.974011769354471 - m.x3)**2 +
    9.84239329440621 * (0.0267828631907671 - m.x4)**2 - m.x33 == 0)
m.e32 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x33)
    + 1.66666666666667 * m.x33) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x33)) - m.x34 == 0)
m.e33 = Constraint(expr= 0.73427818977281 * (0.11286497483506 - m.x3)**2 +
    9.84239329440621 * (0.923555128783197 - m.x4)**2 - m.x35 == 0)
m.e34 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x35)
    + 1.66666666666667 * m.x35) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x35)) - m.x36 == 0)
m.e35 = Constraint(expr= 0.73427818977281 * (0.435562145986338 - m.x3)**2 +
    9.84239329440621 * (0.865720321769559 - m.x4)**2 - m.x37 == 0)
m.e36 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x37)
    + 1.66666666666667 * m.x37) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x37)) - m.x38 == 0)
m.e37 = Constraint(expr= 0.73427818977281 * (0.63794971820171 - m.x3)**2 +
    9.84239329440621 * (0.967908882200314 - m.x4)**2 - m.x39 == 0)
m.e38 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x39)
    + 1.66666666666667 * m.x39) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x39)) - m.x40 == 0)
m.e39 = Constraint(expr= 0.73427818977281 * (0.301539979219768 - m.x3)**2 +
    9.84239329440621 * (0.541814542258204 - m.x4)**2 - m.x41 == 0)
m.e40 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x41)
    + 1.66666666666667 * m.x41) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x41)) - m.x42 == 0)
m.e41 = Constraint(expr= 0.73427818977281 * (0.883470054705633 - m.x3)**2 +
    9.84239329440621 * (0.592628523460776 - m.x4)**2 - m.x43 == 0)
m.e42 = Constraint(expr= (0.0409492741385585 * (2.23606797749979 * sqrt(m.x43)
    + 1.66666666666667 * m.x43) + 0.0409492741385585) * exp(-2.23606797749979
    * sqrt(m.x43)) - m.x44 == 0)
m.e43 = Constraint(expr= -0.19366130954505 * m.x6 + 1.99578133111533 * m.x8 +
    0.478356086779243 * m.x10 - 0.712549108992264 * m.x12 - 0.0793956809008794
    * m.x14 - 0.29220029830489 * m.x16 + 0.298999166148701 * m.x18 +
    1.46252699178592 * m.x20 - 0.179500313739889 * m.x22 + 0.610664044060392 *
    m.x24 - 0.324066056909861 * m.x26 - 0.239036711794172 * m.x28 -
    1.50560493680608 * m.x30 - 0.196933949886066 * m.x32 - 0.244695512372529 *
    m.x34 - 0.389841242602821 * m.x36 + 1.8088978316128 * m.x38 -
    0.189154302869901 * m.x40 - 2.11349851812763 * m.x42 - 0.0772484060654371 *
    m.x44 - m.x45 == 0)
m.e44 = Constraint(expr= 1.60096340792774 * m.x45 - m.x46 == -0.50206779640133)
