# NLP written by GAMS Convert at 02/17/22 17:20:17
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         0        0        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         0        0        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=500)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=-150)
m.x3 = Var(within=Reals, bounds=(-5,5), initialize=-0.2)

m.obj = Objective(sense=minimize, expr= (-m.x2 * exp(-5 * m.x3) + 127 - m.x1)**
    2 + (-m.x2 * exp(-3 * m.x3) + 151 - m.x1)**2 + (-m.x2 * exp(-m.x3) + 379 -
    m.x1)**2 + (-m.x2 * exp(5 * m.x3) + 421 - m.x1)**2 + (-m.x2 * exp(3 * m.x3)
    + 460 - m.x1)**2 + (-m.x2 * exp(m.x3) + 426 - m.x1)**2)

