# NLP written by GAMS Convert at 02/17/22 17:20:18
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        2        0        2        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         2        2        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         8        6        2
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=10)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=-10)

m.obj = Objective(sense=minimize, expr= (2 * m.x1**2 - m.x2)**2 + (-6 * m.x1**2
    + m.x2)**2)

m.e1 = Constraint(expr= -m.x1 * m.x2 - 10 * m.x2 + m.x1 == 0)
m.e2 = Constraint(expr= m.x1 - 3 * m.x2 == 0)
m.e3 = Constraint(expr= m.x1 + m.x2 <= 1)
m.e4 = Constraint(expr= -m.x1 + m.x2 <= 2)
