# NLP written by GAMS Convert at 02/17/22 17:20:25
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        78        0        0       78        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        27       27        0        0        0        0        0        0
# FX      2
#
# Nonzero counts
#     Total    const       NL
#       390       78      312
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,0), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,0), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,1), initialize=0.550375356)
m.x4 = Var(within=Reals, bounds=(0,1), initialize=0.301137904)
m.x5 = Var(within=Reals, bounds=(0,1), initialize=0.292212117)
m.x6 = Var(within=Reals, bounds=(0,1), initialize=0.224052867)
m.x7 = Var(within=Reals, bounds=(0,1), initialize=0.349830504)
m.x8 = Var(within=Reals, bounds=(0,1), initialize=0.856270347)
m.x9 = Var(within=Reals, bounds=(0,1), initialize=0.067113723)
m.x10 = Var(within=Reals, bounds=(0,1), initialize=0.500210669)
m.x11 = Var(within=Reals, bounds=(0,1), initialize=0.998117627)
m.x12 = Var(within=Reals, bounds=(0,1), initialize=0.578733378)
m.x13 = Var(within=Reals, bounds=(0,1), initialize=0.991133039)
m.x14 = Var(within=Reals, bounds=(0,1), initialize=0.762250467)
m.x15 = Var(within=Reals, bounds=(0,1), initialize=0.130692483)
m.x16 = Var(within=Reals, bounds=(0,1), initialize=0.639718759)
m.x17 = Var(within=Reals, bounds=(0,1), initialize=0.159517864)
m.x18 = Var(within=Reals, bounds=(0,1), initialize=0.250080533)
m.x19 = Var(within=Reals, bounds=(0,1), initialize=0.668928609)
m.x20 = Var(within=Reals, bounds=(0,1), initialize=0.435356381)
m.x21 = Var(within=Reals, bounds=(0,1), initialize=0.359700266)
m.x22 = Var(within=Reals, bounds=(0,1), initialize=0.351441368)
m.x23 = Var(within=Reals, bounds=(0,1), initialize=0.13149159)
m.x24 = Var(within=Reals, bounds=(0,1), initialize=0.150101788)
m.x25 = Var(within=Reals, bounds=(0,1), initialize=0.58911365)
m.x26 = Var(within=Reals, bounds=(0,1), initialize=0.830892812)
m.x27 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x27)

m.e1 = Constraint(expr= -sqrt((-m.x1 + m.x3)**2 + (-m.x2 + m.x4)**2) - m.x27
    <= 0)
m.e2 = Constraint(expr= -sqrt((-m.x1 + m.x5)**2 + (-m.x2 + m.x6)**2) - m.x27
    <= 0)
m.e3 = Constraint(expr= -sqrt((-m.x3 + m.x5)**2 + (-m.x4 + m.x6)**2) - m.x27
    <= 0)
m.e4 = Constraint(expr= -sqrt((-m.x1 + m.x7)**2 + (-m.x2 + m.x8)**2) - m.x27
    <= 0)
m.e5 = Constraint(expr= -sqrt((-m.x3 + m.x7)**2 + (-m.x4 + m.x8)**2) - m.x27
    <= 0)
m.e6 = Constraint(expr= -sqrt((-m.x5 + m.x7)**2 + (-m.x6 + m.x8)**2) - m.x27
    <= 0)
m.e7 = Constraint(expr= -sqrt((-m.x1 + m.x9)**2 + (-m.x2 + m.x10)**2) - m.x27
    <= 0)
m.e8 = Constraint(expr= -sqrt((-m.x3 + m.x9)**2 + (-m.x4 + m.x10)**2) - m.x27
    <= 0)
m.e9 = Constraint(expr= -sqrt((-m.x5 + m.x9)**2 + (-m.x6 + m.x10)**2) - m.x27
    <= 0)
m.e10 = Constraint(expr= -sqrt((-m.x7 + m.x9)**2 + (-m.x8 + m.x10)**2) - m.x27
    <= 0)
m.e11 = Constraint(expr= -sqrt((-m.x1 + m.x11)**2 + (-m.x2 + m.x12)**2) - m.x27
    <= 0)
m.e12 = Constraint(expr= -sqrt((-m.x3 + m.x11)**2 + (-m.x4 + m.x12)**2) - m.x27
    <= 0)
m.e13 = Constraint(expr= -sqrt((-m.x5 + m.x11)**2 + (-m.x6 + m.x12)**2) - m.x27
    <= 0)
m.e14 = Constraint(expr= -sqrt((-m.x7 + m.x11)**2 + (-m.x8 + m.x12)**2) - m.x27
    <= 0)
m.e15 = Constraint(expr= -sqrt((-m.x9 + m.x11)**2 + (-m.x10 + m.x12)**2) -
    m.x27 <= 0)
m.e16 = Constraint(expr= -sqrt((-m.x1 + m.x13)**2 + (-m.x2 + m.x14)**2) - m.x27
    <= 0)
m.e17 = Constraint(expr= -sqrt((-m.x3 + m.x13)**2 + (-m.x4 + m.x14)**2) - m.x27
    <= 0)
m.e18 = Constraint(expr= -sqrt((-m.x5 + m.x13)**2 + (-m.x6 + m.x14)**2) - m.x27
    <= 0)
m.e19 = Constraint(expr= -sqrt((-m.x7 + m.x13)**2 + (-m.x8 + m.x14)**2) - m.x27
    <= 0)
m.e20 = Constraint(expr= -sqrt((-m.x9 + m.x13)**2 + (-m.x10 + m.x14)**2) -
    m.x27 <= 0)
m.e21 = Constraint(expr= -sqrt((-m.x11 + m.x13)**2 + (-m.x12 + m.x14)**2) -
    m.x27 <= 0)
m.e22 = Constraint(expr= -sqrt((-m.x1 + m.x15)**2 + (-m.x2 + m.x16)**2) - m.x27
    <= 0)
m.e23 = Constraint(expr= -sqrt((-m.x3 + m.x15)**2 + (-m.x4 + m.x16)**2) - m.x27
    <= 0)
m.e24 = Constraint(expr= -sqrt((-m.x5 + m.x15)**2 + (-m.x6 + m.x16)**2) - m.x27
    <= 0)
m.e25 = Constraint(expr= -sqrt((-m.x7 + m.x15)**2 + (-m.x8 + m.x16)**2) - m.x27
    <= 0)
m.e26 = Constraint(expr= -sqrt((-m.x9 + m.x15)**2 + (-m.x10 + m.x16)**2) -
    m.x27 <= 0)
m.e27 = Constraint(expr= -sqrt((-m.x11 + m.x15)**2 + (-m.x12 + m.x16)**2) -
    m.x27 <= 0)
m.e28 = Constraint(expr= -sqrt((-m.x13 + m.x15)**2 + (-m.x14 + m.x16)**2) -
    m.x27 <= 0)
m.e29 = Constraint(expr= -sqrt((-m.x1 + m.x17)**2 + (-m.x2 + m.x18)**2) - m.x27
    <= 0)
m.e30 = Constraint(expr= -sqrt((-m.x3 + m.x17)**2 + (-m.x4 + m.x18)**2) - m.x27
    <= 0)
m.e31 = Constraint(expr= -sqrt((-m.x5 + m.x17)**2 + (-m.x6 + m.x18)**2) - m.x27
    <= 0)
m.e32 = Constraint(expr= -sqrt((-m.x7 + m.x17)**2 + (-m.x8 + m.x18)**2) - m.x27
    <= 0)
m.e33 = Constraint(expr= -sqrt((-m.x9 + m.x17)**2 + (-m.x10 + m.x18)**2) -
    m.x27 <= 0)
m.e34 = Constraint(expr= -sqrt((-m.x11 + m.x17)**2 + (-m.x12 + m.x18)**2) -
    m.x27 <= 0)
m.e35 = Constraint(expr= -sqrt((-m.x13 + m.x17)**2 + (-m.x14 + m.x18)**2) -
    m.x27 <= 0)
m.e36 = Constraint(expr= -sqrt((-m.x15 + m.x17)**2 + (-m.x16 + m.x18)**2) -
    m.x27 <= 0)
m.e37 = Constraint(expr= -sqrt((-m.x1 + m.x19)**2 + (-m.x2 + m.x20)**2) - m.x27
    <= 0)
m.e38 = Constraint(expr= -sqrt((-m.x3 + m.x19)**2 + (-m.x4 + m.x20)**2) - m.x27
    <= 0)
m.e39 = Constraint(expr= -sqrt((-m.x5 + m.x19)**2 + (-m.x6 + m.x20)**2) - m.x27
    <= 0)
m.e40 = Constraint(expr= -sqrt((-m.x7 + m.x19)**2 + (-m.x8 + m.x20)**2) - m.x27
    <= 0)
m.e41 = Constraint(expr= -sqrt((-m.x9 + m.x19)**2 + (-m.x10 + m.x20)**2) -
    m.x27 <= 0)
m.e42 = Constraint(expr= -sqrt((-m.x11 + m.x19)**2 + (-m.x12 + m.x20)**2) -
    m.x27 <= 0)
m.e43 = Constraint(expr= -sqrt((-m.x13 + m.x19)**2 + (-m.x14 + m.x20)**2) -
    m.x27 <= 0)
m.e44 = Constraint(expr= -sqrt((-m.x15 + m.x19)**2 + (-m.x16 + m.x20)**2) -
    m.x27 <= 0)
m.e45 = Constraint(expr= -sqrt((-m.x17 + m.x19)**2 + (-m.x18 + m.x20)**2) -
    m.x27 <= 0)
m.e46 = Constraint(expr= -sqrt((-m.x1 + m.x21)**2 + (-m.x2 + m.x22)**2) - m.x27
    <= 0)
m.e47 = Constraint(expr= -sqrt((-m.x3 + m.x21)**2 + (-m.x4 + m.x22)**2) - m.x27
    <= 0)
m.e48 = Constraint(expr= -sqrt((-m.x5 + m.x21)**2 + (-m.x6 + m.x22)**2) - m.x27
    <= 0)
m.e49 = Constraint(expr= -sqrt((-m.x7 + m.x21)**2 + (-m.x8 + m.x22)**2) - m.x27
    <= 0)
m.e50 = Constraint(expr= -sqrt((-m.x9 + m.x21)**2 + (-m.x10 + m.x22)**2) -
    m.x27 <= 0)
m.e51 = Constraint(expr= -sqrt((-m.x11 + m.x21)**2 + (-m.x12 + m.x22)**2) -
    m.x27 <= 0)
m.e52 = Constraint(expr= -sqrt((-m.x13 + m.x21)**2 + (-m.x14 + m.x22)**2) -
    m.x27 <= 0)
m.e53 = Constraint(expr= -sqrt((-m.x15 + m.x21)**2 + (-m.x16 + m.x22)**2) -
    m.x27 <= 0)
m.e54 = Constraint(expr= -sqrt((-m.x17 + m.x21)**2 + (-m.x18 + m.x22)**2) -
    m.x27 <= 0)
m.e55 = Constraint(expr= -sqrt((-m.x19 + m.x21)**2 + (-m.x20 + m.x22)**2) -
    m.x27 <= 0)
m.e56 = Constraint(expr= -sqrt((-m.x1 + m.x23)**2 + (-m.x2 + m.x24)**2) - m.x27
    <= 0)
m.e57 = Constraint(expr= -sqrt((-m.x3 + m.x23)**2 + (-m.x4 + m.x24)**2) - m.x27
    <= 0)
m.e58 = Constraint(expr= -sqrt((-m.x5 + m.x23)**2 + (-m.x6 + m.x24)**2) - m.x27
    <= 0)
m.e59 = Constraint(expr= -sqrt((-m.x7 + m.x23)**2 + (-m.x8 + m.x24)**2) - m.x27
    <= 0)
m.e60 = Constraint(expr= -sqrt((-m.x9 + m.x23)**2 + (-m.x10 + m.x24)**2) -
    m.x27 <= 0)
m.e61 = Constraint(expr= -sqrt((-m.x11 + m.x23)**2 + (-m.x12 + m.x24)**2) -
    m.x27 <= 0)
m.e62 = Constraint(expr= -sqrt((-m.x13 + m.x23)**2 + (-m.x14 + m.x24)**2) -
    m.x27 <= 0)
m.e63 = Constraint(expr= -sqrt((-m.x15 + m.x23)**2 + (-m.x16 + m.x24)**2) -
    m.x27 <= 0)
m.e64 = Constraint(expr= -sqrt((-m.x17 + m.x23)**2 + (-m.x18 + m.x24)**2) -
    m.x27 <= 0)
m.e65 = Constraint(expr= -sqrt((-m.x19 + m.x23)**2 + (-m.x20 + m.x24)**2) -
    m.x27 <= 0)
m.e66 = Constraint(expr= -sqrt((-m.x21 + m.x23)**2 + (-m.x22 + m.x24)**2) -
    m.x27 <= 0)
m.e67 = Constraint(expr= -sqrt((-m.x1 + m.x25)**2 + (-m.x2 + m.x26)**2) - m.x27
    <= 0)
m.e68 = Constraint(expr= -sqrt((-m.x3 + m.x25)**2 + (-m.x4 + m.x26)**2) - m.x27
    <= 0)
m.e69 = Constraint(expr= -sqrt((-m.x5 + m.x25)**2 + (-m.x6 + m.x26)**2) - m.x27
    <= 0)
m.e70 = Constraint(expr= -sqrt((-m.x7 + m.x25)**2 + (-m.x8 + m.x26)**2) - m.x27
    <= 0)
m.e71 = Constraint(expr= -sqrt((-m.x9 + m.x25)**2 + (-m.x10 + m.x26)**2) -
    m.x27 <= 0)
m.e72 = Constraint(expr= -sqrt((-m.x11 + m.x25)**2 + (-m.x12 + m.x26)**2) -
    m.x27 <= 0)
m.e73 = Constraint(expr= -sqrt((-m.x13 + m.x25)**2 + (-m.x14 + m.x26)**2) -
    m.x27 <= 0)
m.e74 = Constraint(expr= -sqrt((-m.x15 + m.x25)**2 + (-m.x16 + m.x26)**2) -
    m.x27 <= 0)
m.e75 = Constraint(expr= -sqrt((-m.x17 + m.x25)**2 + (-m.x18 + m.x26)**2) -
    m.x27 <= 0)
m.e76 = Constraint(expr= -sqrt((-m.x19 + m.x25)**2 + (-m.x20 + m.x26)**2) -
    m.x27 <= 0)
m.e77 = Constraint(expr= -sqrt((-m.x21 + m.x25)**2 + (-m.x22 + m.x26)**2) -
    m.x27 <= 0)
m.e78 = Constraint(expr= -sqrt((-m.x23 + m.x25)**2 + (-m.x24 + m.x26)**2) -
    m.x27 <= 0)
