# MINLP written by GAMS Convert at 02/17/22 17:20:28
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        44        8       14       22        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        35       21       14        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       103      103        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,None), initialize=0)
m.b22 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b23 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b24 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b25 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b26 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b27 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b28 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b29 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b30 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b31 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b32 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b33 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b34 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b35 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= 42.18 * m.x1 * m.x1 + 40.36 * m.x1 *
    m.x2 + 21.76 * m.x1 * m.x3 + 10.6 * m.x1 * m.x4 + 24.64 * m.x1 * m.x5 +
    47.68 * m.x1 * m.x6 + 34.82 * m.x1 * m.x7 + 70.89 * m.x2 * m.x2 + 43.16 *
    m.x2 * m.x3 + 30.82 * m.x2 * m.x4 + 46.48 * m.x2 * m.x5 + 47.6 * m.x2 *
    m.x6 + 25.24 * m.x2 * m.x7 + 25.51 * m.x3 * m.x3 + 19.2 * m.x3 * m.x4 +
    45.26 * m.x3 * m.x5 + 26.44 * m.x3 * m.x6 + 9.4 * m.x3 * m.x7 + 22.33 *
    m.x4 * m.x4 + 20.64 * m.x4 * m.x5 + 20.92 * m.x4 * m.x6 + 2 * m.x4 * m.x7
    + 30.01 * m.x5 * m.x5 + 32.72 * m.x5 * m.x6 + 14.4 * m.x5 * m.x7 + 42.23 *
    m.x6 * m.x6 + 19.8 * m.x6 * m.x7 + 16.42 * m.x7 * m.x7 - 0.06435 * m.x1 -
    0.0548 * m.x2 - 0.02505 * m.x3 - 0.0762 * m.x4 - 0.03815 * m.x5 - 0.0927 *
    m.x6 - 0.031 * m.x7)

m.e1 = Constraint(expr= m.x1 + m.x2 + m.x3 + m.x4 + m.x5 + m.x6 + m.x7 == 1)
m.e2 = Constraint(expr= m.x1 - m.x8 + m.x15 == 0.2)
m.e3 = Constraint(expr= m.x2 - m.x9 + m.x16 == 0.2)
m.e4 = Constraint(expr= m.x3 - m.x10 + m.x17 == 0)
m.e5 = Constraint(expr= m.x4 - m.x11 + m.x18 == 0)
m.e6 = Constraint(expr= m.x5 - m.x12 + m.x19 == 0.2)
m.e7 = Constraint(expr= m.x6 - m.x13 + m.x20 == 0.2)
m.e8 = Constraint(expr= m.x7 - m.x14 + m.x21 == 0.2)
m.e9 = Constraint(expr= m.x8 + m.x9 + m.x10 + m.x11 + m.x12 + m.x13 + m.x14
    <= 0.3)
m.e10 = Constraint(expr= m.x8 - 0.11 * m.b22 <= 0)
m.e11 = Constraint(expr= m.x9 - 0.1 * m.b23 <= 0)
m.e12 = Constraint(expr= m.x10 - 0.07 * m.b24 <= 0)
m.e13 = Constraint(expr= m.x11 - 0.11 * m.b25 <= 0)
m.e14 = Constraint(expr= m.x12 - 0.2 * m.b26 <= 0)
m.e15 = Constraint(expr= m.x13 - 0.1 * m.b27 <= 0)
m.e16 = Constraint(expr= m.x14 - 0.1 * m.b28 <= 0)
m.e17 = Constraint(expr= m.x8 - 0.03 * m.b22 >= 0)
m.e18 = Constraint(expr= m.x9 - 0.04 * m.b23 >= 0)
m.e19 = Constraint(expr= m.x10 - 0.04 * m.b24 >= 0)
m.e20 = Constraint(expr= m.x11 - 0.03 * m.b25 >= 0)
m.e21 = Constraint(expr= m.x12 - 0.03 * m.b26 >= 0)
m.e22 = Constraint(expr= m.x13 - 0.03 * m.b27 >= 0)
m.e23 = Constraint(expr= m.x14 - 0.03 * m.b28 >= 0)
m.e24 = Constraint(expr= m.x15 - 0.2 * m.b29 <= 0)
m.e25 = Constraint(expr= m.x16 - 0.15 * m.b30 <= 0)
m.e26 = Constraint(expr= m.x17 <= 0)
m.e27 = Constraint(expr= m.x18 <= 0)
m.e28 = Constraint(expr= m.x19 - 0.1 * m.b33 <= 0)
m.e29 = Constraint(expr= m.x20 - 0.15 * m.b34 <= 0)
m.e30 = Constraint(expr= m.x21 - 0.2 * m.b35 <= 0)
m.e31 = Constraint(expr= m.x15 - 0.02 * m.b29 >= 0)
m.e32 = Constraint(expr= m.x16 - 0.02 * m.b30 >= 0)
m.e33 = Constraint(expr= m.x17 - 0.04 * m.b31 >= 0)
m.e34 = Constraint(expr= m.x18 - 0.04 * m.b32 >= 0)
m.e35 = Constraint(expr= m.x19 - 0.04 * m.b33 >= 0)
m.e36 = Constraint(expr= m.x20 - 0.04 * m.b34 >= 0)
m.e37 = Constraint(expr= m.x21 - 0.04 * m.b35 >= 0)
m.e38 = Constraint(expr= m.b22 + m.b29 <= 1)
m.e39 = Constraint(expr= m.b23 + m.b30 <= 1)
m.e40 = Constraint(expr= m.b24 + m.b31 <= 1)
m.e41 = Constraint(expr= m.b25 + m.b32 <= 1)
m.e42 = Constraint(expr= m.b26 + m.b33 <= 1)
m.e43 = Constraint(expr= m.b27 + m.b34 <= 1)
m.e44 = Constraint(expr= m.b28 + m.b35 <= 1)
