# MINLP written by GAMS Convert at 02/17/22 17:20:37
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        43       41        0        2        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        50       48        2        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       184       72      112
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,300), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,300), initialize=85.7142857142855)
m.x3 = Var(within=Reals, bounds=(0,300), initialize=57.1428571428572)
m.x4 = Var(within=Reals, bounds=(0,300), initialize=85.7142857142855)
m.x5 = Var(within=Reals, bounds=(0,300), initialize=24.2857142857143)
m.x6 = Var(within=Reals, bounds=(0,300), initialize=32.8571428571428)
m.x7 = Var(within=Reals, bounds=(0,300), initialize=57.142857142857)
m.x8 = Var(within=Reals, bounds=(0,300), initialize=28.5714285714285)
m.x9 = Var(within=Reals, bounds=(0,300), initialize=57.1428571428572)
m.x10 = Var(within=Reals, bounds=(0,300), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,300), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,300), initialize=24.2857142857143)
m.x13 = Var(within=Reals, bounds=(0,300), initialize=32.8571428571428)
m.x14 = Var(within=Reals, bounds=(0,300), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,300), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,300), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,300), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,300), initialize=28.5714285714285)
m.x19 = Var(within=Reals, bounds=(0,None), initialize=77.1428571428574)
m.x20 = Var(within=Reals, bounds=(0,None), initialize=137.142857142857)
m.x21 = Var(within=Reals, bounds=(0,100), initialize=28.5714285714286)
m.x22 = Var(within=Reals, bounds=(0,100), initialize=24.2857142857143)
m.x23 = Var(within=Reals, bounds=(0,100), initialize=4.28571428571429)
m.x24 = Var(within=Reals, bounds=(0,100), initialize=28.5714285714285)
m.x25 = Var(within=Reals, bounds=(0,100), initialize=28.5714285714285)
m.x26 = Var(within=Reals, bounds=(0,100), initialize=28.5714285714285)
m.x27 = Var(within=Reals, bounds=(0,1), initialize=0.5)
m.x28 = Var(within=Reals, bounds=(0,1), initialize=0.425)
m.x29 = Var(within=Reals, bounds=(0,1), initialize=0.075)
m.x30 = Var(within=Reals, bounds=(0,1), initialize=0.333333333333333)
m.x31 = Var(within=Reals, bounds=(0,1), initialize=0.333333333333333)
m.x32 = Var(within=Reals, bounds=(0,1), initialize=0.333333333333333)
m.x33 = Var(within=Reals, bounds=(0,1), initialize=1)
m.x34 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x35 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x36 = Var(within=Reals, bounds=(0,1), initialize=0.130434782608696)
m.x37 = Var(within=Reals, bounds=(0,1), initialize=0.739130434782609)
m.x38 = Var(within=Reals, bounds=(0,1), initialize=0.130434782608694)
m.x39 = Var(within=Reals, bounds=(0,1), initialize=0.5)
m.x40 = Var(within=Reals, bounds=(0,1), initialize=0.425)
m.x41 = Var(within=Reals, bounds=(0,1), initialize=0.075)
m.x42 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x43 = Var(within=Reals, bounds=(0,1), initialize=0.150000000000001)
m.x44 = Var(within=Reals, bounds=(0,1), initialize=0.85)
m.x45 = Var(within=Reals, bounds=(0.85,1), initialize=0.85)
m.x46 = Var(within=Reals, bounds=(0.85,1), initialize=1)
m.x47 = Var(within=Reals, bounds=(0.85,1), initialize=0.85)
m.x48 = Var(within=Reals, bounds=(0.85,1), initialize=0.85)
m.b49 = Var(within=Binary, bounds=(0,1), initialize=0.190476190476191)
m.b50 = Var(within=Binary, bounds=(0,1), initialize=0.285714285714285)

m.obj = Objective(sense=minimize, expr= m.x3 * (-0.0139904 - 0.0005719 * m.x27
    + 0.0042656 * m.x28 + 0.0093514 * m.x45 + 0.0077308 * m.x46) + m.x4 * (
    -0.0661588 + 0.0016371 * m.x30 + 0.0288996 * m.x31 + 0.0338147 * m.x47 +
    0.0373349 * m.x48) + 0.23947 * m.b49 + 0.75835 * m.b50)

m.e1 = Constraint(expr= m.x1 + m.x2 + m.x19 + m.x20 == 300)
m.e2 = Constraint(expr= m.x5 - m.x11 - m.x12 == 0)
m.e3 = Constraint(expr= m.x6 - m.x10 - m.x13 - m.x14 == 0)
m.e4 = Constraint(expr= m.x7 - m.x9 - m.x15 - m.x16 == 0)
m.e5 = Constraint(expr= m.x8 - m.x17 - m.x18 == 0)
m.e6 = Constraint(expr= -m.x9 * m.x39 - 0.333333333333333 * m.x1 + m.x21 == 0)
m.e7 = Constraint(expr= -m.x9 * m.x40 - 0.333333333333333 * m.x1 + m.x22 == 0)
m.e8 = Constraint(expr= -m.x9 * m.x41 - 0.333333333333333 * m.x1 + m.x23 == 0)
m.e9 = Constraint(expr= -m.x10 * m.x36 - 0.333333333333333 * m.x2 + m.x24 == 0)
m.e10 = Constraint(expr= -m.x10 * m.x37 - 0.333333333333333 * m.x2 + m.x25
    == 0)
m.e11 = Constraint(expr= -m.x10 * m.x38 - 0.333333333333333 * m.x2 + m.x26
    == 0)
m.e12 = Constraint(expr= -m.x5 * m.x33 - m.x6 * m.x36 + m.x21 == 0)
m.e13 = Constraint(expr= -m.x5 * m.x34 - m.x6 * m.x37 + m.x22 == 0)
m.e14 = Constraint(expr= -m.x5 * m.x35 - m.x6 * m.x38 + m.x23 == 0)
m.e15 = Constraint(expr= -m.x7 * m.x39 - m.x8 * m.x42 + m.x24 == 0)
m.e16 = Constraint(expr= -m.x7 * m.x40 - m.x8 * m.x43 + m.x25 == 0)
m.e17 = Constraint(expr= -m.x7 * m.x41 - m.x8 * m.x44 + m.x26 == 0)
m.e18 = Constraint(expr= m.x21 * m.x45 - m.x5 * m.x33 == 0)
m.e19 = Constraint(expr= m.x22 * m.x46 - m.x6 * m.x37 == 0)
m.e20 = Constraint(expr= m.x25 * m.x47 - m.x7 * m.x40 == 0)
m.e21 = Constraint(expr= m.x26 * m.x48 - m.x8 * m.x44 == 0)
m.e22 = Constraint(expr= m.x11 * m.x33 + m.x13 * m.x36 + m.x15 * m.x39 + m.x17
    * m.x42 + 0.333333333333333 * m.x19 == 30)
m.e23 = Constraint(expr= m.x11 * m.x34 + m.x13 * m.x37 + m.x15 * m.x40 + m.x17
    * m.x43 + 0.333333333333333 * m.x19 == 50)
m.e24 = Constraint(expr= m.x11 * m.x35 + m.x13 * m.x38 + m.x15 * m.x41 + m.x17
    * m.x44 + 0.333333333333333 * m.x19 == 30)
m.e25 = Constraint(expr= m.x12 * m.x33 + m.x14 * m.x36 + m.x16 * m.x39 + m.x18
    * m.x42 + 0.333333333333333 * m.x20 == 70)
m.e26 = Constraint(expr= m.x12 * m.x34 + m.x14 * m.x37 + m.x16 * m.x40 + m.x18
    * m.x43 + 0.333333333333333 * m.x20 == 50)
m.e27 = Constraint(expr= m.x12 * m.x35 + m.x14 * m.x38 + m.x16 * m.x41 + m.x18
    * m.x44 + 0.333333333333333 * m.x20 == 70)
m.e28 = Constraint(expr= m.x3 * m.x27 - m.x21 == 0)
m.e29 = Constraint(expr= m.x3 * m.x28 - m.x22 == 0)
m.e30 = Constraint(expr= m.x3 * m.x29 - m.x23 == 0)
m.e31 = Constraint(expr= m.x4 * m.x30 - m.x24 == 0)
m.e32 = Constraint(expr= m.x4 * m.x31 - m.x25 == 0)
m.e33 = Constraint(expr= m.x4 * m.x32 - m.x26 == 0)
m.e34 = Constraint(expr= m.x33 + m.x34 + m.x35 == 1)
m.e35 = Constraint(expr= m.x36 + m.x37 + m.x38 == 1)
m.e36 = Constraint(expr= m.x39 + m.x40 + m.x41 == 1)
m.e37 = Constraint(expr= m.x42 + m.x43 + m.x44 == 1)
m.e38 = Constraint(expr= m.x27 + m.x28 + m.x29 == 1)
m.e39 = Constraint(expr= m.x30 + m.x31 + m.x32 == 1)
m.e40 = Constraint(expr= m.x35 == 0)
m.e41 = Constraint(expr= m.x42 == 0)
m.e42 = Constraint(expr= m.x3 - 300 * m.b49 <= 0)
m.e43 = Constraint(expr= m.x4 - 300 * m.b50 <= 0)
