# MINLP written by GAMS Convert at 02/17/22 17:20:41
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         3        1        2        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        1        0        2        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         7        2        5
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.i1 = Var(within=Integers, bounds=(0,200), initialize=100)
m.i2 = Var(within=Integers, bounds=(0,200), initialize=100)
m.x3 = Var(within=Reals, bounds=(0,100), initialize=100)

m.obj = Objective(sense=minimize, expr= 0.04712385 * sqrt(m.i1**2 + 900) * m.i2)

m.e1 = Constraint(expr= 420.169404664517 * sqrt(m.i1**2 + 900) - m.x3 * m.i1 *
    m.i2 == 0)
m.e2 = Constraint(expr= -m.x3 >= -100)
m.e3 = Constraint(expr= (18505.4769901875 * m.i2**2 + 2960.87631843) / (m.i1**2
    + 7200) - m.x3 >= 0)
