# NLP written by GAMS Convert at 02/17/22 17:20:49
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        62       17        5       40        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        25       25        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       526       58      468
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x2 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x3 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x4 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x5 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x6 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x7 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x8 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x9 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x10 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x11 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x12 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x13 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x14 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x15 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x16 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x17 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x18 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x19 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x1)

m.e1 = Constraint(expr= m.x2 == 1)
m.e2 = Constraint(expr= m.x3 == 0)
m.e3 = Constraint(expr= m.x4 == 0)
m.e4 = Constraint(expr= m.x5 == 0)
m.e5 = Constraint(expr= m.x6 >= 0)
m.e6 = Constraint(expr= m.x7 - m.x8 >= 0)
m.e7 = Constraint(expr= m.x8 - m.x9 >= 0)
m.e8 = Constraint(expr= m.x9 - m.x10 >= 0)
m.e9 = Constraint(expr= m.x10 >= 0)
m.e10 = Constraint(expr= m.x2**2 + m.x3**2 + m.x4**2 == 1)
m.e11 = Constraint(expr= m.x6**2 + m.x11**2 + m.x5**2 == 1)
m.e12 = Constraint(expr= m.x7**2 + m.x12**2 + m.x13**2 == 1)
m.e13 = Constraint(expr= m.x8**2 + m.x14**2 + m.x15**2 == 1)
m.e14 = Constraint(expr= m.x9**2 + m.x16**2 + m.x17**2 == 1)
m.e15 = Constraint(expr= m.x10**2 + m.x18**2 + m.x19**2 == 1)
m.e16 = Constraint(expr= m.x20 * m.x2**2 + m.x21 * m.x6**2 + m.x22 * m.x7**2 +
    m.x23 * m.x8**2 + m.x24 * m.x9**2 + m.x25 * m.x10**2 == 1)
m.e17 = Constraint(expr= m.x20 * m.x2 * m.x3 + m.x21 * m.x6 * m.x11 + m.x22 *
    m.x7 * m.x12 + m.x23 * m.x8 * m.x14 + m.x24 * m.x9 * m.x16 + m.x25 * m.x10
    * m.x18 == 0)
m.e18 = Constraint(expr= m.x20 * m.x2 * m.x4 + m.x21 * m.x6 * m.x5 + m.x22 *
    m.x7 * m.x13 + m.x23 * m.x8 * m.x15 + m.x24 * m.x9 * m.x17 + m.x25 * m.x10
    * m.x19 == 0)
m.e19 = Constraint(expr= m.x20 * m.x3**2 + m.x21 * m.x11**2 + m.x22 * m.x12**2
    + m.x23 * m.x14**2 + m.x24 * m.x16**2 + m.x25 * m.x18**2 == 1)
m.e20 = Constraint(expr= m.x20 * m.x3 * m.x4 + m.x21 * m.x11 * m.x5 + m.x22 *
    m.x12 * m.x13 + m.x23 * m.x14 * m.x15 + m.x24 * m.x16 * m.x17 + m.x25 *
    m.x18 * m.x19 == 0)
m.e21 = Constraint(expr= m.x20 * m.x4**2 + m.x21 * m.x5**2 + m.x22 * m.x13**2
    + m.x23 * m.x15**2 + m.x24 * m.x17**2 + m.x25 * m.x19**2 == 1)
m.e22 = Constraint(expr= m.x20 + m.x21 + m.x22 + m.x23 + m.x24 + m.x25 == 3)
m.e23 = Constraint(expr= m.x6 * m.x12 * m.x4 - m.x7 * m.x11 * m.x4 + m.x7 *
    m.x3 * m.x5 - m.x2 * m.x12 * m.x5 - m.x6 * m.x3 * m.x13 + m.x2 * m.x11 *
    m.x13 - m.x1 <= 0)
m.e24 = Constraint(expr= m.x7 * m.x11 * m.x4 - m.x6 * m.x12 * m.x4 - m.x7 *
    m.x3 * m.x5 + m.x2 * m.x12 * m.x5 + m.x6 * m.x3 * m.x13 - m.x2 * m.x11 *
    m.x13 - m.x1 <= 0)
m.e25 = Constraint(expr= m.x6 * m.x14 * m.x4 - m.x8 * m.x11 * m.x4 + m.x8 *
    m.x3 * m.x5 - m.x2 * m.x14 * m.x5 - m.x6 * m.x3 * m.x15 + m.x2 * m.x11 *
    m.x15 - m.x1 <= 0)
m.e26 = Constraint(expr= m.x8 * m.x11 * m.x4 - m.x6 * m.x14 * m.x4 - m.x8 *
    m.x3 * m.x5 + m.x2 * m.x14 * m.x5 + m.x6 * m.x3 * m.x15 - m.x2 * m.x11 *
    m.x15 - m.x1 <= 0)
m.e27 = Constraint(expr= m.x6 * m.x16 * m.x4 - m.x9 * m.x11 * m.x4 + m.x9 *
    m.x3 * m.x5 - m.x2 * m.x16 * m.x5 - m.x6 * m.x3 * m.x17 + m.x2 * m.x11 *
    m.x17 - m.x1 <= 0)
m.e28 = Constraint(expr= m.x9 * m.x11 * m.x4 - m.x6 * m.x16 * m.x4 - m.x9 *
    m.x3 * m.x5 + m.x2 * m.x16 * m.x5 + m.x6 * m.x3 * m.x17 - m.x2 * m.x11 *
    m.x17 - m.x1 <= 0)
m.e29 = Constraint(expr= m.x6 * m.x18 * m.x4 - m.x10 * m.x11 * m.x4 + m.x10 *
    m.x3 * m.x5 - m.x2 * m.x18 * m.x5 - m.x6 * m.x3 * m.x19 + m.x2 * m.x11 *
    m.x19 - m.x1 <= 0)
m.e30 = Constraint(expr= m.x10 * m.x11 * m.x4 - m.x6 * m.x18 * m.x4 - m.x10 *
    m.x3 * m.x5 + m.x2 * m.x18 * m.x5 + m.x6 * m.x3 * m.x19 - m.x2 * m.x11 *
    m.x19 - m.x1 <= 0)
m.e31 = Constraint(expr= m.x7 * m.x14 * m.x4 - m.x8 * m.x12 * m.x4 + m.x8 *
    m.x3 * m.x13 - m.x2 * m.x14 * m.x13 - m.x7 * m.x3 * m.x15 + m.x2 * m.x12 *
    m.x15 - m.x1 <= 0)
m.e32 = Constraint(expr= m.x8 * m.x12 * m.x4 - m.x7 * m.x14 * m.x4 - m.x8 *
    m.x3 * m.x13 + m.x2 * m.x14 * m.x13 + m.x7 * m.x3 * m.x15 - m.x2 * m.x12 *
    m.x15 - m.x1 <= 0)
m.e33 = Constraint(expr= m.x7 * m.x16 * m.x4 - m.x9 * m.x12 * m.x4 + m.x9 *
    m.x3 * m.x13 - m.x2 * m.x16 * m.x13 - m.x7 * m.x3 * m.x17 + m.x2 * m.x12 *
    m.x17 - m.x1 <= 0)
m.e34 = Constraint(expr= m.x9 * m.x12 * m.x4 - m.x7 * m.x16 * m.x4 - m.x9 *
    m.x3 * m.x13 + m.x2 * m.x16 * m.x13 + m.x7 * m.x3 * m.x17 - m.x2 * m.x12 *
    m.x17 - m.x1 <= 0)
m.e35 = Constraint(expr= m.x7 * m.x18 * m.x4 - m.x10 * m.x12 * m.x4 + m.x10 *
    m.x3 * m.x13 - m.x2 * m.x18 * m.x13 - m.x7 * m.x3 * m.x19 + m.x2 * m.x12 *
    m.x19 - m.x1 <= 0)
m.e36 = Constraint(expr= m.x10 * m.x12 * m.x4 - m.x7 * m.x18 * m.x4 - m.x10 *
    m.x3 * m.x13 + m.x2 * m.x18 * m.x13 + m.x7 * m.x3 * m.x19 - m.x2 * m.x12 *
    m.x19 - m.x1 <= 0)
m.e37 = Constraint(expr= m.x8 * m.x16 * m.x4 - m.x9 * m.x14 * m.x4 + m.x9 *
    m.x3 * m.x15 - m.x2 * m.x16 * m.x15 - m.x8 * m.x3 * m.x17 + m.x2 * m.x14 *
    m.x17 - m.x1 <= 0)
m.e38 = Constraint(expr= m.x9 * m.x14 * m.x4 - m.x8 * m.x16 * m.x4 - m.x9 *
    m.x3 * m.x15 + m.x2 * m.x16 * m.x15 + m.x8 * m.x3 * m.x17 - m.x2 * m.x14 *
    m.x17 - m.x1 <= 0)
m.e39 = Constraint(expr= m.x8 * m.x18 * m.x4 - m.x10 * m.x14 * m.x4 + m.x10 *
    m.x3 * m.x15 - m.x2 * m.x18 * m.x15 - m.x8 * m.x3 * m.x19 + m.x2 * m.x14 *
    m.x19 - m.x1 <= 0)
m.e40 = Constraint(expr= m.x10 * m.x14 * m.x4 - m.x8 * m.x18 * m.x4 - m.x10 *
    m.x3 * m.x15 + m.x2 * m.x18 * m.x15 + m.x8 * m.x3 * m.x19 - m.x2 * m.x14 *
    m.x19 - m.x1 <= 0)
m.e41 = Constraint(expr= m.x9 * m.x18 * m.x4 - m.x10 * m.x16 * m.x4 + m.x10 *
    m.x3 * m.x17 - m.x2 * m.x18 * m.x17 - m.x9 * m.x3 * m.x19 + m.x2 * m.x16 *
    m.x19 - m.x1 <= 0)
m.e42 = Constraint(expr= m.x10 * m.x16 * m.x4 - m.x9 * m.x18 * m.x4 - m.x10 *
    m.x3 * m.x17 + m.x2 * m.x18 * m.x17 + m.x9 * m.x3 * m.x19 - m.x2 * m.x16 *
    m.x19 - m.x1 <= 0)
m.e43 = Constraint(expr= m.x7 * m.x14 * m.x5 - m.x8 * m.x12 * m.x5 + m.x8 *
    m.x11 * m.x13 - m.x6 * m.x14 * m.x13 - m.x7 * m.x11 * m.x15 + m.x6 * m.x12
    * m.x15 - m.x1 <= 0)
m.e44 = Constraint(expr= m.x8 * m.x12 * m.x5 - m.x7 * m.x14 * m.x5 - m.x8 *
    m.x11 * m.x13 + m.x6 * m.x14 * m.x13 + m.x7 * m.x11 * m.x15 - m.x6 * m.x12
    * m.x15 - m.x1 <= 0)
m.e45 = Constraint(expr= m.x7 * m.x16 * m.x5 - m.x9 * m.x12 * m.x5 + m.x9 *
    m.x11 * m.x13 - m.x6 * m.x16 * m.x13 - m.x7 * m.x11 * m.x17 + m.x6 * m.x12
    * m.x17 - m.x1 <= 0)
m.e46 = Constraint(expr= m.x9 * m.x12 * m.x5 - m.x7 * m.x16 * m.x5 - m.x9 *
    m.x11 * m.x13 + m.x6 * m.x16 * m.x13 + m.x7 * m.x11 * m.x17 - m.x6 * m.x12
    * m.x17 - m.x1 <= 0)
m.e47 = Constraint(expr= m.x7 * m.x18 * m.x5 - m.x10 * m.x12 * m.x5 + m.x10 *
    m.x11 * m.x13 - m.x6 * m.x18 * m.x13 - m.x7 * m.x11 * m.x19 + m.x6 * m.x12
    * m.x19 - m.x1 <= 0)
m.e48 = Constraint(expr= m.x10 * m.x12 * m.x5 - m.x7 * m.x18 * m.x5 - m.x10 *
    m.x11 * m.x13 + m.x6 * m.x18 * m.x13 + m.x7 * m.x11 * m.x19 - m.x6 * m.x12
    * m.x19 - m.x1 <= 0)
m.e49 = Constraint(expr= m.x8 * m.x16 * m.x5 - m.x9 * m.x14 * m.x5 + m.x9 *
    m.x11 * m.x15 - m.x6 * m.x16 * m.x15 - m.x8 * m.x11 * m.x17 + m.x6 * m.x14
    * m.x17 - m.x1 <= 0)
m.e50 = Constraint(expr= m.x9 * m.x14 * m.x5 - m.x8 * m.x16 * m.x5 - m.x9 *
    m.x11 * m.x15 + m.x6 * m.x16 * m.x15 + m.x8 * m.x11 * m.x17 - m.x6 * m.x14
    * m.x17 - m.x1 <= 0)
m.e51 = Constraint(expr= m.x8 * m.x18 * m.x5 - m.x10 * m.x14 * m.x5 + m.x10 *
    m.x11 * m.x15 - m.x6 * m.x18 * m.x15 - m.x8 * m.x11 * m.x19 + m.x6 * m.x14
    * m.x19 - m.x1 <= 0)
m.e52 = Constraint(expr= m.x10 * m.x14 * m.x5 - m.x8 * m.x18 * m.x5 - m.x10 *
    m.x11 * m.x15 + m.x6 * m.x18 * m.x15 + m.x8 * m.x11 * m.x19 - m.x6 * m.x14
    * m.x19 - m.x1 <= 0)
m.e53 = Constraint(expr= m.x9 * m.x18 * m.x5 - m.x10 * m.x16 * m.x5 + m.x10 *
    m.x11 * m.x17 - m.x6 * m.x18 * m.x17 - m.x9 * m.x11 * m.x19 + m.x6 * m.x16
    * m.x19 - m.x1 <= 0)
m.e54 = Constraint(expr= m.x10 * m.x16 * m.x5 - m.x9 * m.x18 * m.x5 - m.x10 *
    m.x11 * m.x17 + m.x6 * m.x18 * m.x17 + m.x9 * m.x11 * m.x19 - m.x6 * m.x16
    * m.x19 - m.x1 <= 0)
m.e55 = Constraint(expr= m.x8 * m.x16 * m.x13 - m.x9 * m.x14 * m.x13 + m.x9 *
    m.x12 * m.x15 - m.x7 * m.x16 * m.x15 - m.x8 * m.x12 * m.x17 + m.x7 * m.x14
    * m.x17 - m.x1 <= 0)
m.e56 = Constraint(expr= m.x9 * m.x14 * m.x13 - m.x8 * m.x16 * m.x13 - m.x9 *
    m.x12 * m.x15 + m.x7 * m.x16 * m.x15 + m.x8 * m.x12 * m.x17 - m.x7 * m.x14
    * m.x17 - m.x1 <= 0)
m.e57 = Constraint(expr= m.x8 * m.x18 * m.x13 - m.x10 * m.x14 * m.x13 + m.x10
    * m.x12 * m.x15 - m.x7 * m.x18 * m.x15 - m.x8 * m.x12 * m.x19 + m.x7 *
    m.x14 * m.x19 - m.x1 <= 0)
m.e58 = Constraint(expr= m.x10 * m.x14 * m.x13 - m.x8 * m.x18 * m.x13 - m.x10
    * m.x12 * m.x15 + m.x7 * m.x18 * m.x15 + m.x8 * m.x12 * m.x19 - m.x7 *
    m.x14 * m.x19 - m.x1 <= 0)
m.e59 = Constraint(expr= m.x9 * m.x18 * m.x13 - m.x10 * m.x16 * m.x13 + m.x10
    * m.x12 * m.x17 - m.x7 * m.x18 * m.x17 - m.x9 * m.x12 * m.x19 + m.x7 *
    m.x16 * m.x19 - m.x1 <= 0)
m.e60 = Constraint(expr= m.x10 * m.x16 * m.x13 - m.x9 * m.x18 * m.x13 - m.x10
    * m.x12 * m.x17 + m.x7 * m.x18 * m.x17 + m.x9 * m.x12 * m.x19 - m.x7 *
    m.x16 * m.x19 - m.x1 <= 0)
m.e61 = Constraint(expr= m.x9 * m.x18 * m.x15 - m.x10 * m.x16 * m.x15 + m.x10
    * m.x14 * m.x17 - m.x8 * m.x18 * m.x17 - m.x9 * m.x14 * m.x19 + m.x8 *
    m.x16 * m.x19 - m.x1 <= 0)
m.e62 = Constraint(expr= m.x10 * m.x16 * m.x15 - m.x9 * m.x18 * m.x15 - m.x10
    * m.x14 * m.x17 + m.x8 * m.x18 * m.x17 + m.x9 * m.x14 * m.x19 - m.x8 *
    m.x16 * m.x19 - m.x1 <= 0)
