# NLP written by GAMS Convert at 02/17/22 17:20:49
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#       127       67        1       59        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        42       42        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       590      140      450
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x23 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x25 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x26 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x27 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x28 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x29 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x30 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x31 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x32 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x33 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x34 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x35 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x36 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x37 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x38 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x39 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x40 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x41 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x42 = Var(within=Reals, bounds=(-1,1), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x1)

m.e1 = Constraint(expr= m.x1 >= 0)
m.e2 = Constraint(expr= -m.x3 * m.x4 + m.x2 == 0)
m.e3 = Constraint(expr= -m.x3 * m.x6 + m.x5 == 0)
m.e4 = Constraint(expr= -m.x3 * m.x8 + m.x7 == 0)
m.e5 = Constraint(expr= -m.x3 * m.x10 + m.x9 == 0)
m.e6 = Constraint(expr= -m.x3 * m.x12 + m.x11 == 0)
m.e7 = Constraint(expr= -m.x4 * m.x6 + m.x13 == 0)
m.e8 = Constraint(expr= -m.x4 * m.x8 + m.x14 == 0)
m.e9 = Constraint(expr= -m.x4 * m.x10 + m.x15 == 0)
m.e10 = Constraint(expr= -m.x4 * m.x12 + m.x16 == 0)
m.e11 = Constraint(expr= -m.x6 * m.x8 + m.x17 == 0)
m.e12 = Constraint(expr= -m.x6 * m.x10 + m.x18 == 0)
m.e13 = Constraint(expr= -m.x6 * m.x12 + m.x19 == 0)
m.e14 = Constraint(expr= -m.x8 * m.x10 + m.x20 == 0)
m.e15 = Constraint(expr= -m.x8 * m.x12 + m.x21 == 0)
m.e16 = Constraint(expr= -m.x10 * m.x12 + m.x22 == 0)
m.e17 = Constraint(expr= m.x3 + m.x4 + m.x6 + m.x8 + m.x10 + m.x12 == 3)
m.e18 = Constraint(expr= m.x23 - m.x24 <= 0)
m.e19 = Constraint(expr= -m.x24 + m.x25 <= 0)
m.e20 = Constraint(expr= -m.x24 + m.x26 <= 0)
m.e21 = Constraint(expr= -m.x24 + m.x27 <= 0)
m.e22 = Constraint(expr= -m.x24 + m.x28 <= 0)
m.e23 = Constraint(expr= -m.x24 + m.x29 <= 0)
m.e24 = Constraint(expr= -m.x24 + m.x30 <= 0)
m.e25 = Constraint(expr= -m.x24 + m.x31 <= 0)
m.e26 = Constraint(expr= -m.x24 + m.x32 <= 0)
m.e27 = Constraint(expr= -m.x24 + m.x33 <= 0)
m.e28 = Constraint(expr= -m.x24 + m.x34 <= 0)
m.e29 = Constraint(expr= -m.x24 + m.x35 <= 0)
m.e30 = Constraint(expr= -m.x24 + m.x36 <= 0)
m.e31 = Constraint(expr= -m.x24 + m.x37 <= 0)
m.e32 = Constraint(expr= -m.x24 + m.x38 <= 0)
m.e33 = Constraint(expr= -m.x24 + m.x39 <= 0)
m.e34 = Constraint(expr= -m.x24 + m.x40 <= 0)
m.e35 = Constraint(expr= -m.x24 + m.x41 <= 0)
m.e36 = Constraint(expr= -m.x24 + m.x42 <= 0)
m.e37 = Constraint(expr= m.x13 * m.x23**2 + m.x14 * m.x25**2 + m.x15 * m.x26**2
    + m.x16 * m.x27**2 + m.x17 * m.x28**2 + m.x18 * m.x29**2 + m.x19 * m.x30**
    2 + m.x20 * m.x31**2 + m.x21 * m.x32**2 + m.x22 * m.x33**2 == 1)
m.e38 = Constraint(expr= m.x5 * m.x23**2 + m.x7 * m.x25**2 + m.x9 * m.x26**2 +
    m.x11 * m.x27**2 + m.x17 * m.x34**2 + m.x18 * m.x35**2 + m.x19 * m.x36**2
    + m.x20 * m.x37**2 + m.x21 * m.x38**2 + m.x22 * m.x39**2 == 1)
m.e39 = Constraint(expr= m.x2 * m.x23**2 + m.x7 * m.x28**2 + m.x9 * m.x29**2 +
    m.x11 * m.x30**2 + m.x14 * m.x34**2 + m.x15 * m.x35**2 + m.x16 * m.x36**2
    + m.x20 * m.x40**2 + m.x21 * m.x41**2 + m.x22 * m.x42**2 == 1)
m.e40 = Constraint(expr= m.x2 * m.x25**2 + m.x5 * m.x28**2 + m.x9 * m.x31**2 +
    m.x11 * m.x32**2 + m.x13 * m.x34**2 + m.x15 * m.x37**2 + m.x16 * m.x38**2
    + m.x18 * m.x40**2 + m.x19 * m.x41**2 + m.x22 * m.x24**2 == 1)
m.e41 = Constraint(expr= m.x2 * m.x26**2 + m.x5 * m.x29**2 + m.x7 * m.x31**2 +
    m.x11 * m.x33**2 + m.x13 * m.x35**2 + m.x14 * m.x37**2 + m.x16 * m.x39**2
    + m.x17 * m.x40**2 + m.x19 * m.x42**2 + m.x21 * m.x24**2 == 1)
m.e42 = Constraint(expr= m.x2 * m.x27**2 + m.x5 * m.x30**2 + m.x7 * m.x32**2 +
    m.x9 * m.x33**2 + m.x13 * m.x36**2 + m.x14 * m.x38**2 + m.x15 * m.x39**2 +
    m.x17 * m.x41**2 + m.x18 * m.x42**2 + m.x20 * m.x24**2 == 1)
m.e43 = Constraint(expr= m.x23 * m.x31 - m.x25 * m.x29 + m.x26 * m.x28 == 0)
m.e44 = Constraint(expr= m.x23 * m.x37 - m.x25 * m.x35 + m.x26 * m.x34 == 0)
m.e45 = Constraint(expr= m.x23 * m.x32 - m.x25 * m.x30 + m.x27 * m.x28 == 0)
m.e46 = Constraint(expr= m.x23 * m.x38 - m.x25 * m.x36 + m.x27 * m.x34 == 0)
m.e47 = Constraint(expr= m.x23 * m.x33 - m.x26 * m.x30 + m.x27 * m.x29 == 0)
m.e48 = Constraint(expr= m.x23 * m.x39 - m.x26 * m.x36 + m.x27 * m.x35 == 0)
m.e49 = Constraint(expr= m.x23 * m.x40 - m.x28 * m.x35 + m.x29 * m.x34 == 0)
m.e50 = Constraint(expr= m.x23 * m.x41 - m.x28 * m.x36 + m.x30 * m.x34 == 0)
m.e51 = Constraint(expr= m.x23 * m.x42 - m.x29 * m.x36 + m.x30 * m.x35 == 0)
m.e52 = Constraint(expr= m.x25 * m.x33 - m.x26 * m.x32 + m.x27 * m.x31 == 0)
m.e53 = Constraint(expr= m.x25 * m.x39 - m.x26 * m.x38 + m.x27 * m.x37 == 0)
m.e54 = Constraint(expr= m.x25 * m.x40 - m.x28 * m.x37 + m.x31 * m.x34 == 0)
m.e55 = Constraint(expr= m.x25 * m.x41 - m.x28 * m.x38 + m.x32 * m.x34 == 0)
m.e56 = Constraint(expr= m.x24 * m.x25 - m.x31 * m.x38 + m.x32 * m.x37 == 0)
m.e57 = Constraint(expr= m.x26 * m.x40 - m.x29 * m.x37 + m.x31 * m.x35 == 0)
m.e58 = Constraint(expr= m.x26 * m.x42 - m.x29 * m.x39 + m.x33 * m.x35 == 0)
m.e59 = Constraint(expr= m.x24 * m.x26 - m.x31 * m.x39 + m.x33 * m.x37 == 0)
m.e60 = Constraint(expr= m.x27 * m.x41 - m.x30 * m.x38 + m.x32 * m.x36 == 0)
m.e61 = Constraint(expr= m.x27 * m.x42 - m.x30 * m.x39 + m.x33 * m.x36 == 0)
m.e62 = Constraint(expr= m.x24 * m.x27 - m.x32 * m.x39 + m.x33 * m.x38 == 0)
m.e63 = Constraint(expr= m.x28 * m.x33 - m.x29 * m.x32 + m.x30 * m.x31 == 0)
m.e64 = Constraint(expr= m.x28 * m.x42 - m.x29 * m.x41 + m.x30 * m.x40 == 0)
m.e65 = Constraint(expr= m.x24 * m.x28 - m.x31 * m.x41 + m.x32 * m.x40 == 0)
m.e66 = Constraint(expr= m.x24 * m.x29 - m.x31 * m.x42 + m.x33 * m.x40 == 0)
m.e67 = Constraint(expr= m.x24 * m.x30 - m.x32 * m.x42 + m.x33 * m.x41 == 0)
m.e68 = Constraint(expr= m.x34 * m.x39 - m.x35 * m.x38 + m.x36 * m.x37 == 0)
m.e69 = Constraint(expr= m.x34 * m.x42 - m.x35 * m.x41 + m.x36 * m.x40 == 0)
m.e70 = Constraint(expr= m.x24 * m.x34 - m.x37 * m.x41 + m.x38 * m.x40 == 0)
m.e71 = Constraint(expr= m.x24 * m.x35 - m.x37 * m.x42 + m.x39 * m.x40 == 0)
m.e72 = Constraint(expr= m.x24 * m.x36 - m.x38 * m.x42 + m.x39 * m.x41 == 0)
m.e73 = Constraint(expr= m.x23 * m.x24 - m.x25 * m.x42 + m.x26 * m.x41 - m.x27
    * m.x40 == 0)
m.e74 = Constraint(expr= m.x23 * m.x24 - m.x25 * m.x42 + m.x28 * m.x39 - m.x33
    * m.x34 == 0)
m.e75 = Constraint(expr= m.x23 * m.x24 + m.x26 * m.x41 - m.x29 * m.x38 + m.x32
    * m.x35 == 0)
m.e76 = Constraint(expr= m.x23 * m.x24 - m.x27 * m.x40 + m.x30 * m.x37 - m.x31
    * m.x36 == 0)
m.e77 = Constraint(expr= m.x23 * m.x24 + m.x28 * m.x39 - m.x29 * m.x38 + m.x30
    * m.x37 == 0)
m.e78 = Constraint(expr= m.x23 * m.x24 - m.x31 * m.x36 + m.x32 * m.x35 - m.x33
    * m.x34 == 0)
m.e79 = Constraint(expr= m.x25 * m.x42 - m.x26 * m.x41 + m.x30 * m.x37 - m.x31
    * m.x36 == 0)
m.e80 = Constraint(expr= m.x25 * m.x42 + m.x27 * m.x40 - m.x29 * m.x38 + m.x32
    * m.x35 == 0)
m.e81 = Constraint(expr= m.x25 * m.x42 - m.x28 * m.x39 - m.x31 * m.x36 + m.x32
    * m.x35 == 0)
m.e82 = Constraint(expr= m.x25 * m.x42 - m.x29 * m.x38 + m.x30 * m.x37 + m.x33
    * m.x34 == 0)
m.e83 = Constraint(expr= m.x26 * m.x41 - m.x27 * m.x40 - m.x28 * m.x39 + m.x33
    * m.x34 == 0)
m.e84 = Constraint(expr= m.x26 * m.x41 - m.x28 * m.x39 - m.x30 * m.x37 + m.x32
    * m.x35 == 0)
m.e85 = Constraint(expr= m.x26 * m.x41 - m.x29 * m.x38 + m.x31 * m.x36 + m.x33
    * m.x34 == 0)
m.e86 = Constraint(expr= m.x27 * m.x40 + m.x28 * m.x39 - m.x29 * m.x38 + m.x31
    * m.x36 == 0)
m.e87 = Constraint(expr= m.x27 * m.x40 - m.x30 * m.x37 + m.x32 * m.x35 - m.x33
    * m.x34 == 0)
m.e88 = Constraint(expr= -m.x1 + m.x23 <= 0)
m.e89 = Constraint(expr= -m.x1 - m.x23 <= 0)
m.e90 = Constraint(expr= -m.x1 + m.x25 <= 0)
m.e91 = Constraint(expr= -m.x1 - m.x25 <= 0)
m.e92 = Constraint(expr= -m.x1 + m.x26 <= 0)
m.e93 = Constraint(expr= -m.x1 - m.x26 <= 0)
m.e94 = Constraint(expr= -m.x1 + m.x27 <= 0)
m.e95 = Constraint(expr= -m.x1 - m.x27 <= 0)
m.e96 = Constraint(expr= -m.x1 + m.x28 <= 0)
m.e97 = Constraint(expr= -m.x1 - m.x28 <= 0)
m.e98 = Constraint(expr= -m.x1 + m.x29 <= 0)
m.e99 = Constraint(expr= -m.x1 - m.x29 <= 0)
m.e100 = Constraint(expr= -m.x1 + m.x30 <= 0)
m.e101 = Constraint(expr= -m.x1 - m.x30 <= 0)
m.e102 = Constraint(expr= -m.x1 + m.x31 <= 0)
m.e103 = Constraint(expr= -m.x1 - m.x31 <= 0)
m.e104 = Constraint(expr= -m.x1 + m.x32 <= 0)
m.e105 = Constraint(expr= -m.x1 - m.x32 <= 0)
m.e106 = Constraint(expr= -m.x1 + m.x33 <= 0)
m.e107 = Constraint(expr= -m.x1 - m.x33 <= 0)
m.e108 = Constraint(expr= -m.x1 + m.x34 <= 0)
m.e109 = Constraint(expr= -m.x1 - m.x34 <= 0)
m.e110 = Constraint(expr= -m.x1 + m.x35 <= 0)
m.e111 = Constraint(expr= -m.x1 - m.x35 <= 0)
m.e112 = Constraint(expr= -m.x1 + m.x36 <= 0)
m.e113 = Constraint(expr= -m.x1 - m.x36 <= 0)
m.e114 = Constraint(expr= -m.x1 + m.x37 <= 0)
m.e115 = Constraint(expr= -m.x1 - m.x37 <= 0)
m.e116 = Constraint(expr= -m.x1 + m.x38 <= 0)
m.e117 = Constraint(expr= -m.x1 - m.x38 <= 0)
m.e118 = Constraint(expr= -m.x1 + m.x39 <= 0)
m.e119 = Constraint(expr= -m.x1 - m.x39 <= 0)
m.e120 = Constraint(expr= -m.x1 + m.x40 <= 0)
m.e121 = Constraint(expr= -m.x1 - m.x40 <= 0)
m.e122 = Constraint(expr= -m.x1 + m.x41 <= 0)
m.e123 = Constraint(expr= -m.x1 - m.x41 <= 0)
m.e124 = Constraint(expr= -m.x1 + m.x42 <= 0)
m.e125 = Constraint(expr= -m.x1 - m.x42 <= 0)
m.e126 = Constraint(expr= -m.x1 + m.x24 <= 0)
m.e127 = Constraint(expr= -m.x1 - m.x24 <= 0)
