# NLP written by GAMS Convert at 02/17/22 17:21:48
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        52       36        0       16        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        48       48        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       192      128       64
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,600), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,600), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,600), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,600), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x26 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x27 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x28 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x29 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x30 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x31 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x32 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x33 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x34 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x35 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x36 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x37 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x38 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x39 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x40 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x41 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x42 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x43 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x44 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x45 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x46 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x47 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x48 = Var(within=Reals, bounds=(0,200), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x3 - 5 * m.x4 + 4 * m.x5 - 2 * m.x6
    - 2 * m.x9 - 8 * m.x10 + m.x11 - 5 * m.x12 - 3 * m.x33 - 9 * m.x34 - 6 *
    m.x36 + 7 * m.x37 + m.x38 + 10 * m.x39 + 4 * m.x40 - 6 * m.x41 - 12 * m.x42
    - 3 * m.x43 - 9 * m.x44 + 4 * m.x45 - 2 * m.x46 + 7 * m.x47 + m.x48)

m.e1 = Constraint(expr= m.x33 + m.x34 + m.x35 + m.x36 <= 600)
m.e2 = Constraint(expr= m.x37 + m.x38 + m.x39 + m.x40 <= 600)
m.e3 = Constraint(expr= m.x3 + m.x4 + m.x5 + m.x6 <= 600)
m.e4 = Constraint(expr= m.x41 + m.x42 + m.x43 + m.x44 <= 600)
m.e5 = Constraint(expr= m.x45 + m.x46 + m.x47 + m.x48 <= 600)
m.e6 = Constraint(expr= m.x9 + m.x10 + m.x11 + m.x12 <= 600)
m.e7 = Constraint(expr= m.x33 + m.x34 + m.x35 + m.x36 + m.x37 + m.x38 + m.x39
    + m.x40 <= 600)
m.e8 = Constraint(expr= m.x41 + m.x42 + m.x43 + m.x44 + m.x45 + m.x46 + m.x47
    + m.x48 <= 600)
m.e9 = Constraint(expr= m.x3 + m.x9 + m.x33 + m.x37 + m.x41 + m.x45 <= 100)
m.e10 = Constraint(expr= m.x4 + m.x10 + m.x34 + m.x38 + m.x42 + m.x46 <= 200)
m.e11 = Constraint(expr= m.x5 + m.x11 + m.x35 + m.x39 + m.x43 + m.x47 <= 100)
m.e12 = Constraint(expr= m.x6 + m.x12 + m.x36 + m.x40 + m.x44 + m.x48 <= 200)
m.e13 = Constraint(expr= -0.5 * m.x3 + 0.5 * m.x33 - 1.5 * m.x37 + m.x41 -
    m.x45 <= 0)
m.e14 = Constraint(expr= 0.5 * m.x4 + m.x10 + 1.5 * m.x34 - 0.5 * m.x38 + 2 *
    m.x42 <= 0)
m.e15 = Constraint(expr= -m.x5 - 0.5 * m.x11 - 2 * m.x39 + 0.5 * m.x43 - 1.5 *
    m.x47 <= 0)
m.e16 = Constraint(expr= 0.5 * m.x12 + m.x36 - m.x40 + 1.5 * m.x44 - 0.5 *
    m.x48 <= 0)
m.e17 = Constraint(expr= m.x21 + m.x22 == 1)
m.e18 = Constraint(expr= m.x23 + m.x24 == 1)
m.e19 = Constraint(expr= m.x25 + m.x26 + m.x27 + m.x28 == 1)
m.e20 = Constraint(expr= m.x29 + m.x30 + m.x31 + m.x32 == 1)
m.e21 = Constraint(expr= -m.x21 * m.x13 + m.x33 == 0)
m.e22 = Constraint(expr= -m.x21 * m.x14 + m.x34 == 0)
m.e23 = Constraint(expr= -m.x21 * m.x15 + m.x35 == 0)
m.e24 = Constraint(expr= -m.x21 * m.x16 + m.x36 == 0)
m.e25 = Constraint(expr= -m.x22 * m.x13 + m.x37 == 0)
m.e26 = Constraint(expr= -m.x22 * m.x14 + m.x38 == 0)
m.e27 = Constraint(expr= -m.x22 * m.x15 + m.x39 == 0)
m.e28 = Constraint(expr= -m.x22 * m.x16 + m.x40 == 0)
m.e29 = Constraint(expr= -m.x23 * m.x17 + m.x41 == 0)
m.e30 = Constraint(expr= -m.x23 * m.x18 + m.x42 == 0)
m.e31 = Constraint(expr= -m.x23 * m.x19 + m.x43 == 0)
m.e32 = Constraint(expr= -m.x23 * m.x20 + m.x44 == 0)
m.e33 = Constraint(expr= -m.x24 * m.x17 + m.x45 == 0)
m.e34 = Constraint(expr= -m.x24 * m.x18 + m.x46 == 0)
m.e35 = Constraint(expr= -m.x24 * m.x19 + m.x47 == 0)
m.e36 = Constraint(expr= -m.x24 * m.x20 + m.x48 == 0)
m.e37 = Constraint(expr= -m.x25 * m.x1 + m.x33 == 0)
m.e38 = Constraint(expr= -m.x26 * m.x1 + m.x34 == 0)
m.e39 = Constraint(expr= -m.x27 * m.x1 + m.x35 == 0)
m.e40 = Constraint(expr= -m.x28 * m.x1 + m.x36 == 0)
m.e41 = Constraint(expr= -m.x25 * m.x2 + m.x37 == 0)
m.e42 = Constraint(expr= -m.x26 * m.x2 + m.x38 == 0)
m.e43 = Constraint(expr= -m.x27 * m.x2 + m.x39 == 0)
m.e44 = Constraint(expr= -m.x28 * m.x2 + m.x40 == 0)
m.e45 = Constraint(expr= -m.x29 * m.x7 + m.x41 == 0)
m.e46 = Constraint(expr= -m.x30 * m.x7 + m.x42 == 0)
m.e47 = Constraint(expr= -m.x31 * m.x7 + m.x43 == 0)
m.e48 = Constraint(expr= -m.x32 * m.x7 + m.x44 == 0)
m.e49 = Constraint(expr= -m.x29 * m.x8 + m.x45 == 0)
m.e50 = Constraint(expr= -m.x30 * m.x8 + m.x46 == 0)
m.e51 = Constraint(expr= -m.x31 * m.x8 + m.x47 == 0)
m.e52 = Constraint(expr= -m.x32 * m.x8 + m.x48 == 0)
