# NLP written by GAMS Convert at 02/17/22 17:21:49
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        52       20        3       29        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        34       34        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       277      241       36
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x26 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x27 = Var(within=Reals, bounds=(0,60.98), initialize=0)
m.x28 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x29 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x30 = Var(within=Reals, bounds=(0,161.29), initialize=0)
m.x31 = Var(within=Reals, bounds=(0,161.29), initialize=0)
m.x32 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x33 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x34 = Var(within=Reals, bounds=(0,5), initialize=0)

m.obj = Objective(sense=minimize, expr= -140.8 * m.x7 - 180.8 * m.x8 - 100.8 *
    m.x9 - 140.8 * m.x10 - 180.8 * m.x11 - 100.8 * m.x12 - 128 * m.x13 - 168 *
    m.x14 - 88 * m.x15 - 128 * m.x16 - 168 * m.x17 - 88 * m.x18 + 110 * m.x19
    + 70 * m.x20 + 150 * m.x21 + 110 * m.x22 + 70 * m.x23 + 150 * m.x24 -
    180.8 * m.x27 - 128 * m.x30 - 88 * m.x31 + 110 * m.x34)

m.e1 = Constraint(expr= m.x7 + m.x8 + m.x9 + m.x10 + m.x11 + m.x12 + m.x27
    <= 60.98)
m.e2 = Constraint(expr= m.x13 + m.x14 + m.x15 + m.x16 + m.x17 + m.x18 + m.x30
    + m.x31 <= 161.29)
m.e3 = Constraint(expr= m.x19 + m.x20 + m.x21 + m.x22 + m.x23 + m.x24 + m.x34
    <= 5)
m.e4 = Constraint(expr= m.x7 + m.x8 + m.x9 + m.x13 + m.x14 + m.x15 + m.x19 +
    m.x20 + m.x21 <= 12.5)
m.e5 = Constraint(expr= m.x10 + m.x11 + m.x12 + m.x16 + m.x17 + m.x18 + m.x22
    + m.x23 + m.x24 <= 17.5)
m.e6 = Constraint(expr= m.x7 + m.x10 + m.x13 + m.x16 + m.x19 + m.x22 + m.x30 +
    m.x34 >= 5)
m.e7 = Constraint(expr= m.x8 + m.x11 + m.x14 + m.x17 + m.x20 + m.x23 + m.x27
    >= 5)
m.e8 = Constraint(expr= m.x9 + m.x12 + m.x15 + m.x18 + m.x21 + m.x24 + m.x31
    >= 5)
m.e9 = Constraint(expr= m.x7 + m.x10 + m.x13 + m.x16 + m.x19 + m.x22 + m.x30 +
    m.x34 <= 300)
m.e10 = Constraint(expr= m.x8 + m.x11 + m.x14 + m.x17 + m.x20 + m.x23 + m.x27
    <= 300)
m.e11 = Constraint(expr= m.x9 + m.x12 + m.x15 + m.x18 + m.x21 + m.x24 + m.x31
    <= 300)
m.e12 = Constraint(expr= 0.0299999999999999 * m.x7 + 0.0299999999999999 * m.x10
    - 0.17 * m.x13 - 0.17 * m.x16 - 0.04 * m.x19 - 0.04 * m.x22 - 0.17 * m.x30
    - 0.04 * m.x34 <= 0)
m.e13 = Constraint(expr= -3 * m.x13 - 3 * m.x16 - 3 * m.x19 - 3 * m.x22 - 3 *
    m.x30 - 3 * m.x34 <= 0)
m.e14 = Constraint(expr= -14.8 * m.x7 - 14.8 * m.x10 - 26.1 * m.x13 - 26.1 *
    m.x16 - 26.1 * m.x30 <= 0)
m.e15 = Constraint(expr= -8.2 * m.x7 - 8.2 * m.x10 - 15.2 * m.x13 - 15.2 *
    m.x16 - 15.2 * m.x30 <= 0)
m.e16 = Constraint(expr= -0.08 * m.x7 - 0.08 * m.x10 + 0.12 * m.x13 + 0.12 *
    m.x16 - 0.01 * m.x19 - 0.01 * m.x22 + 0.12 * m.x30 - 0.01 * m.x34 <= 0)
m.e17 = Constraint(expr= -4.2 * m.x7 - 4.2 * m.x10 + 7.09999999999999 * m.x13
    + 7.09999999999999 * m.x16 - 19 * m.x19 - 19 * m.x22 + 7.09999999999999 *
    m.x30 - 19 * m.x34 <= 0)
m.e18 = Constraint(expr= -5.5 * m.x7 - 5.5 * m.x10 + 1.5 * m.x13 + 1.5 * m.x16
    - 13.7 * m.x19 - 13.7 * m.x22 + 1.5 * m.x30 - 13.7 * m.x34 <= 0)
m.e19 = Constraint(expr= 0.0299999999999999 * m.x8 + 0.0299999999999999 * m.x11
    - 0.17 * m.x14 - 0.17 * m.x17 - 0.04 * m.x20 - 0.04 * m.x23 +
    0.0299999999999999 * m.x27 <= 0)
m.e20 = Constraint(expr= 2.1 * m.x8 + 2.1 * m.x11 - 0.9 * m.x14 - 0.9 * m.x17
    - 0.9 * m.x20 - 0.9 * m.x23 + 2.1 * m.x27 <= 0)
m.e21 = Constraint(expr= -14.8 * m.x8 - 14.8 * m.x11 - 26.1 * m.x14 - 26.1 *
    m.x17 - 14.8 * m.x27 <= 0)
m.e22 = Constraint(expr= -8.2 * m.x8 - 8.2 * m.x11 - 15.2 * m.x14 - 15.2 *
    m.x17 - 8.2 * m.x27 <= 0)
m.e23 = Constraint(expr= -0.08 * m.x8 - 0.08 * m.x11 + 0.12 * m.x14 + 0.12 *
    m.x17 - 0.01 * m.x20 - 0.01 * m.x23 - 0.08 * m.x27 <= 0)
m.e24 = Constraint(expr= -3.2 * m.x8 - 3.2 * m.x11 + 8.09999999999999 * m.x14
    + 8.09999999999999 * m.x17 - 18 * m.x20 - 18 * m.x23 - 3.2 * m.x27 <= 0)
m.e25 = Constraint(expr= -2.5 * m.x8 - 2.5 * m.x11 + 4.5 * m.x14 + 4.5 * m.x17
    - 10.7 * m.x20 - 10.7 * m.x23 - 2.5 * m.x27 <= 0)
m.e26 = Constraint(expr= 0.0299999999999999 * m.x9 + 0.0299999999999999 * m.x12
    - 0.17 * m.x15 - 0.17 * m.x18 - 0.04 * m.x21 - 0.04 * m.x24 - 0.17 * m.x31
    <= 0)
m.e27 = Constraint(expr= -3 * m.x15 - 3 * m.x18 - 3 * m.x21 - 3 * m.x24 - 3 *
    m.x31 <= 0)
m.e28 = Constraint(expr= -14.8 * m.x9 - 14.8 * m.x12 - 26.1 * m.x15 - 26.1 *
    m.x18 - 26.1 * m.x31 <= 0)
m.e29 = Constraint(expr= -8.2 * m.x9 - 8.2 * m.x12 - 15.2 * m.x15 - 15.2 *
    m.x18 - 15.2 * m.x31 <= 0)
m.e30 = Constraint(expr= -0.08 * m.x9 - 0.08 * m.x12 + 0.12 * m.x15 + 0.12 *
    m.x18 - 0.01 * m.x21 - 0.01 * m.x24 + 0.12 * m.x31 <= 0)
m.e31 = Constraint(expr= -8.2 * m.x9 - 8.2 * m.x12 + 3.09999999999999 * m.x15
    + 3.09999999999999 * m.x18 - 23 * m.x21 - 23 * m.x24 + 3.09999999999999 *
    m.x31 <= 0)
m.e32 = Constraint(expr= -7 * m.x9 - 7 * m.x12 - 15.2 * m.x21 - 15.2 * m.x24
    <= 0)
m.e33 = Constraint(expr= m.x1 + m.x2 + m.x3 == 1)
m.e34 = Constraint(expr= m.x4 + m.x5 + m.x6 == 1)
m.e35 = Constraint(expr= -m.x1 * m.x25 + m.x7 == 0)
m.e36 = Constraint(expr= -m.x2 * m.x25 + m.x8 == 0)
m.e37 = Constraint(expr= -m.x3 * m.x25 + m.x9 == 0)
m.e38 = Constraint(expr= -m.x4 * m.x26 + m.x10 == 0)
m.e39 = Constraint(expr= -m.x5 * m.x26 + m.x11 == 0)
m.e40 = Constraint(expr= -m.x6 * m.x26 + m.x12 == 0)
m.e41 = Constraint(expr= -m.x1 * m.x28 + m.x13 == 0)
m.e42 = Constraint(expr= -m.x2 * m.x28 + m.x14 == 0)
m.e43 = Constraint(expr= -m.x3 * m.x28 + m.x15 == 0)
m.e44 = Constraint(expr= -m.x4 * m.x29 + m.x16 == 0)
m.e45 = Constraint(expr= -m.x5 * m.x29 + m.x17 == 0)
m.e46 = Constraint(expr= -m.x6 * m.x29 + m.x18 == 0)
m.e47 = Constraint(expr= -m.x1 * m.x32 + m.x19 == 0)
m.e48 = Constraint(expr= -m.x2 * m.x32 + m.x20 == 0)
m.e49 = Constraint(expr= -m.x3 * m.x32 + m.x21 == 0)
m.e50 = Constraint(expr= -m.x4 * m.x33 + m.x22 == 0)
m.e51 = Constraint(expr= -m.x5 * m.x33 + m.x23 == 0)
m.e52 = Constraint(expr= -m.x6 * m.x33 + m.x24 == 0)
