# MINLP written by GAMS Convert at 02/17/22 17:22:28
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         1        0        0        1        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         2        0        0        2        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         2        0        2
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.i1 = Var(within=Integers, bounds=(1,5), initialize=1)
m.i2 = Var(within=Integers, bounds=(1,5), initialize=1)

m.obj = Objective(sense=minimize, expr= 3 * m.i1 + 2 * m.i2)

m.e1 = Constraint(expr= -m.i1 * m.i2 <= -3.5)
