# NLP written by GAMS Convert at 02/17/22 17:22:28
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         1        1        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         3        1        2
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(-100,100), initialize=2.28067255148468e-06)
m.x2 = Var(within=Reals, bounds=(-2,2), initialize=0.999139149741104)
m.x3 = Var(within=Reals, bounds=(-2,2), initialize=0.998154959548312)

m.obj = Objective(sense=minimize, expr= m.x1)

m.e1 = Constraint(expr= 100 * (-m.x2**2 + m.x3)**2 + (1 - m.x2)**2 - m.x1 == 0)
