# MINLP written by GAMS Convert at 02/17/22 17:22:28
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         2        0        0        2        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         2        1        0        1        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         4        4        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,10), initialize=0)
m.i2 = Var(within=Integers, bounds=(0,10), initialize=0)

m.obj = Objective(sense=minimize, expr= 1.1 * ((-10 + 2 * m.x1)**2 + (-5 + m.i2)
    **2) + sin((-10 + 2 * m.x1)**2 + (-5 + m.i2)**2))

m.e1 = Constraint(expr= 0.7 * m.x1 + m.i2 <= 7)
m.e2 = Constraint(expr= 2.5 * m.x1 + m.i2 <= 19)
