# NLP written by GAMS Convert at 02/17/22 17:22:52
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         3        3        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         7        3        4
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,9.422), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,5.9023), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,267.417085245), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x3)

m.e1 = Constraint(expr= -6 * m.x1 * m.x1 + 30 * m.x1 - m.x3 == -250)
m.e2 = Constraint(expr= -12 * m.x2 * m.x2 + 20 * m.x2 - m.x3 == -300)
m.e3 = Constraint(expr= 0.5 * (m.x1 + m.x2)**2 - m.x3 == -150)
