# MINLP written by GAMS Convert at 02/17/22 17:22:53
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         5        2        0        3        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         5        2        3        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        11        9        2
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,10), initialize=0)
m.b3 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b4 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b5 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= 2 * m.x1 + 3 * m.x2 + 1.5 * m.b3 + 2 *
    m.b4 - 0.5 * m.b5)

m.e1 = Constraint(expr= m.x1**2 + m.b3 == 1.25)
m.e2 = Constraint(expr= m.x2**1.5 + 1.5 * m.b4 == 3)
m.e3 = Constraint(expr= m.x1 + m.b3 <= 1.6)
m.e4 = Constraint(expr= 1.333 * m.x2 + m.b4 <= 3)
m.e5 = Constraint(expr= -m.b3 - m.b4 + m.b5 <= 0)
