# NLP written by GAMS Convert at 02/17/22 17:22:53
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        15        7        3        5        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        14       14        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        42       28       14
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x2 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x3 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x4 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x5 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x6 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x7 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x8 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x9 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x10 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,3), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,3), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,3), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,3), initialize=0)

m.obj = Objective(sense=minimize, expr= -m.x14)

m.e1 = Constraint(expr= -m.x12 * m.x7 - m.x1 + m.x3 == 0)
m.e2 = Constraint(expr= -m.x12 * m.x8 - m.x2 + m.x4 == 0)
m.e3 = Constraint(expr= -m.x13 * m.x7 - m.x11 * m.x9 - m.x1 + m.x5 == 0)
m.e4 = Constraint(expr= -m.x13 * m.x8 - m.x11 * m.x10 - m.x2 + m.x6 == 0)
m.e5 = Constraint(expr= m.x7**2 + m.x8**2 == 1)
m.e6 = Constraint(expr= m.x8 + m.x9 == 0)
m.e7 = Constraint(expr= -m.x7 + m.x10 == 0)
m.e8 = Constraint(expr= -m.x12 + m.x14 <= 0)
m.e9 = Constraint(expr= -m.x11 + m.x14 <= 0)
m.e10 = Constraint(expr= 2 * m.x1 + m.x2 >= -1)
m.e11 = Constraint(expr= 2 * m.x3 + m.x4 >= -1)
m.e12 = Constraint(expr= 2 * m.x5 + m.x6 >= -1)
m.e13 = Constraint(expr= m.x1 + m.x2 <= 1)
m.e14 = Constraint(expr= m.x3 + m.x4 <= 1)
m.e15 = Constraint(expr= m.x5 + m.x6 <= 1)
