# MINLP written by GAMS Convert at 02/17/22 17:22:53
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        39       15        6       18        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        32       25        7        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       107      107        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.b1 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b2 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b3 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b4 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b5 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b6 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b7 = Var(within=Binary, bounds=(0,1), initialize=0)
m.x8 = Var(within=Reals, bounds=(0.01,1000), initialize=0.01)
m.x9 = Var(within=Reals, bounds=(0.01,1000), initialize=0.01)
m.x10 = Var(within=Reals, bounds=(0.01,1000), initialize=0.01)
m.x11 = Var(within=Reals, bounds=(0.01,1000), initialize=0.01)
m.x12 = Var(within=Reals, bounds=(0.01,1000), initialize=0.01)
m.x13 = Var(within=Reals, bounds=(0.01,1000), initialize=0.01)
m.x14 = Var(within=Reals, bounds=(0.01,1000), initialize=0.01)
m.x15 = Var(within=Reals, bounds=(0.01,1000), initialize=0.01)
m.x16 = Var(within=Reals, bounds=(0.01,1000), initialize=0.01)
m.x17 = Var(within=Reals, bounds=(0,1620), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,1620), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,360), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,360), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,1980), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,1620), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,360), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,600), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,600), initialize=0)
m.x26 = Var(within=Reals, bounds=(350,600), initialize=350)
m.x27 = Var(within=Reals, bounds=(0,430), initialize=0)
m.x28 = Var(within=Reals, bounds=(0,600), initialize=0)
m.x29 = Var(within=Reals, bounds=(0,600), initialize=0)
m.x30 = Var(within=Reals, bounds=(0,368), initialize=0)
m.x31 = Var(within=Reals, bounds=(0,600), initialize=0)
m.x32 = Var(within=Reals, bounds=(0,600), initialize=0)

m.obj = Objective(sense=minimize, expr= 670 * (m.x17 / (0.5 * (m.x9 * m.x8**2
    + m.x8 * m.x9**2))**0.333333333333333)**0.83 + 670 * (m.x18 / (0.5 * (
    m.x10 * m.x9**2 + m.x9 * m.x10**2))**0.333333333333333)**0.83 + 670 * (0.5
    * m.x19 / (0.5 * (m.x12 * m.x11**2 + m.x11 * m.x12**2))**0.333333333333333)
    **0.83 + 670 * (0.5 * m.x20 / (0.5 * (m.x13 * m.x12**2 + m.x12 * m.x13**2))
    **0.333333333333333)**0.83 + 670 * (0.666666666666667 * m.x21 / (1250 *
    m.x14**2)**0.333333333333333)**0.83 + 20 * m.x21 + 670 * (0.666666666666667
    * m.x22 / (2450 * m.x15**2)**0.333333333333333)**0.83 + 120 * m.x22 + 670
    * (0.4 * m.x23 / (8712 * m.x16**2)**0.333333333333333)**0.83 + 120 * m.x23
    + 6600 * m.b1 + 6600 * m.b2 + 6600 * m.b3 + 6600 * m.b4 + 6600 * m.b5 +
    6600 * m.b6 + 6600 * m.b7)

m.e1 = Constraint(expr= m.x17 + m.x18 + m.x19 + m.x20 + m.x21 == 1980)
m.e2 = Constraint(expr= m.x17 + m.x18 + m.x22 == 1620)
m.e3 = Constraint(expr= m.x19 + m.x20 + m.x23 == 360)
m.e4 = Constraint(expr= -m.x17 - m.x19 + 22 * m.x24 - 22 * m.x25 == 0)
m.e5 = Constraint(expr= -m.x18 - m.x20 + 22 * m.x25 - 22 * m.x26 == 0)
m.e6 = Constraint(expr= -m.x17 + 20 * m.x27 - 20 * m.x28 == 0)
m.e7 = Constraint(expr= -m.x18 + 20 * m.x28 - 20 * m.x29 == 0)
m.e8 = Constraint(expr= -m.x19 + 7.5 * m.x30 - 7.5 * m.x31 == 0)
m.e9 = Constraint(expr= -m.x20 + 7.5 * m.x31 - 7.5 * m.x32 == 0)
m.e10 = Constraint(expr= m.x24 == 440)
m.e11 = Constraint(expr= m.x29 == 349)
m.e12 = Constraint(expr= m.x32 == 320)
m.e13 = Constraint(expr= m.x24 - m.x25 >= 0)
m.e14 = Constraint(expr= m.x25 - m.x26 >= 0)
m.e15 = Constraint(expr= m.x27 - m.x28 >= 0)
m.e16 = Constraint(expr= m.x28 - m.x29 >= 0)
m.e17 = Constraint(expr= m.x30 - m.x31 >= 0)
m.e18 = Constraint(expr= m.x31 - m.x32 >= 0)
m.e19 = Constraint(expr= -m.x21 + 22 * m.x26 == 7700)
m.e20 = Constraint(expr= -m.x22 - 20 * m.x27 == -8600)
m.e21 = Constraint(expr= -m.x23 - 7.5 * m.x30 == -2760)
m.e22 = Constraint(expr= -1620 * m.b1 + m.x17 <= 0)
m.e23 = Constraint(expr= -1620 * m.b2 + m.x18 <= 0)
m.e24 = Constraint(expr= -360 * m.b3 + m.x19 <= 0)
m.e25 = Constraint(expr= -360 * m.b4 + m.x20 <= 0)
m.e26 = Constraint(expr= -1980 * m.b5 + m.x21 <= 0)
m.e27 = Constraint(expr= -1620 * m.b6 + m.x22 <= 0)
m.e28 = Constraint(expr= -360 * m.b7 + m.x23 <= 0)
m.e29 = Constraint(expr= 200 * m.b1 + m.x8 - m.x24 + m.x27 <= 200)
m.e30 = Constraint(expr= 200 * m.b2 + m.x9 - m.x25 + m.x28 <= 200)
m.e31 = Constraint(expr= 200 * m.b3 + m.x11 - m.x24 + m.x30 <= 200)
m.e32 = Constraint(expr= 200 * m.b4 + m.x12 - m.x25 + m.x31 <= 200)
m.e33 = Constraint(expr= 200 * m.b1 + m.x9 - m.x25 + m.x28 <= 200)
m.e34 = Constraint(expr= 200 * m.b2 + m.x10 - m.x26 + m.x29 <= 200)
m.e35 = Constraint(expr= 200 * m.b3 + m.x12 - m.x25 + m.x31 <= 200)
m.e36 = Constraint(expr= 200 * m.b4 + m.x13 - m.x26 + m.x32 <= 200)
m.e37 = Constraint(expr= 200 * m.b5 + m.x14 - m.x26 <= -120)
m.e38 = Constraint(expr= 200 * m.b6 + m.x15 + m.x27 <= 700)
m.e39 = Constraint(expr= 200 * m.b7 + m.x16 + m.x30 <= 700)
