# MINLP written by GAMS Convert at 02/17/22 17:22:53
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         2        1        0        1        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         2        1        0        1        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         4        0        4
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.i1 = Var(within=Integers, bounds=(15,25), initialize=15)
m.x2 = Var(within=Reals, bounds=(3,5.5), initialize=3)

m.obj = Objective(sense=minimize, expr= 2 * m.x2**2 + 0.008 * m.i1**3 - 3.2 *
    m.x2 * m.i1 - 2 * m.i1)

m.e1 = Constraint(expr= (m.x2**2 - 6 * m.x2 - 11 + 0.8 * m.i1) * ((-0.62 * m.i1
    + 3.25 * m.x2)**2 + (-6.35 + 0.2 * m.i1 + m.x2)**2) * ((-0.66 * m.i1 +
    3.55 * m.x2)**2 + (-6.85 + 0.2 * m.i1 + m.x2)**2) * ((-0.7 * m.i1 + 3.6 *
    m.x2)**2 + (-7.1 + 0.2 * m.i1 + m.x2)**2) * ((-0.82 * m.i1 + 3.8 * m.x2)**2
    + (-7.9 + 0.2 * m.i1 + m.x2)**2) == 0)
m.e2 = Constraint(expr= -0.2 * m.x2 * m.i1 + 0.6 * m.i1 + exp(-3 + m.x2) <= 1)
