# NLP written by GAMS Convert at 02/17/22 17:22:54
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         2        0        0        2        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         4        4        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         8        0        8
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.5,1), initialize=0.5)
m.x2 = Var(within=Reals, bounds=(0.5,1), initialize=0.5)
m.x3 = Var(within=Reals, bounds=(0.5,1), initialize=0.5)
m.x4 = Var(within=Reals, bounds=(0.5,1), initialize=0.5)

m.obj = Objective(sense=minimize, expr= 200 * m.x1**0.6 + 200 * m.x2**0.6 + 200
    * m.x3**0.6 + 300 * m.x4**0.6)

m.e1 = Constraint(expr= m.x3 * (1 - m.x1)**2 * (1 - m.x4)**2 + (-m.x2 * (-(1 -
    m.x1) * (1 - m.x4) + 1) + 1)**2 * (1 - m.x3) <= 0.1)
m.e2 = Constraint(expr= -m.x3 * (1 - m.x1)**2 * (1 - m.x4)**2 - (-m.x2 * (-(1
    - m.x1) * (1 - m.x4) + 1) + 1)**2 * (1 - m.x3) <= 0)
