# NLP written by GAMS Convert at 02/17/22 17:22:55
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        0        0        4        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         2        2        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         8        8        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(None,0), initialize=0)

m.obj = Objective(sense=minimize, expr= -1.5 * m.x1**2 + 3 * m.x1 - 3.5 * m.x2
    **2 + 7 * m.x2)

m.e1 = Constraint(expr= -2 * m.x1 + m.x2 <= 1)
m.e2 = Constraint(expr= m.x1 + 2 * m.x2 <= 7)
m.e3 = Constraint(expr= m.x1 + m.x2 <= 5)
m.e4 = Constraint(expr= m.x1 - 2 * m.x2 <= 2)
