# NLP written by GAMS Convert at 02/17/22 17:22:55
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        10        0        0       10        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        24       24        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -0.5 * m.x1**2 + m.x1 - 0.5 * m.x2**2
    + m.x2 - 0.5 * m.x3**2 + m.x3)

m.e1 = Constraint(expr= m.x1 <= 4)
m.e2 = Constraint(expr= m.x2 <= 4)
m.e3 = Constraint(expr= m.x3 <= 4)
m.e4 = Constraint(expr= 2 * m.x1 + 3 * m.x2 + 4 * m.x3 <= 35)
m.e5 = Constraint(expr= 2 * m.x1 + 3 * m.x2 - 4 * m.x3 <= 19)
m.e6 = Constraint(expr= 2 * m.x1 - 3 * m.x2 + 4 * m.x3 <= 23)
m.e7 = Constraint(expr= -2 * m.x1 + 3 * m.x2 + 4 * m.x3 <= 27)
m.e8 = Constraint(expr= 2 * m.x1 - 3 * m.x2 - 4 * m.x3 <= 7)
m.e9 = Constraint(expr= -2 * m.x1 - 3 * m.x2 + 4 * m.x3 <= 15)
m.e10 = Constraint(expr= -2 * m.x1 + 3 * m.x2 - 4 * m.x3 <= 11)
