# NLP written by GAMS Convert at 02/17/22 17:22:55
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         9        0        0        9        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        24       24        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -m.x1**2 + 15 * m.x1 - m.x2**2 - 2 *
    m.x2 + m.x3)

m.e1 = Constraint(expr= -4 * m.x1 - 3 * m.x2 + 4 * m.x3 <= 30)
m.e2 = Constraint(expr= 4 * m.x1 + 9 * m.x2 - 2 * m.x3 <= 114)
m.e3 = Constraint(expr= 2 * m.x2 - m.x3 <= 8)
m.e4 = Constraint(expr= 2 * m.x1 + 15 * m.x2 - 8 * m.x3 <= 64)
m.e5 = Constraint(expr= m.x2 <= 14)
m.e6 = Constraint(expr= -4 * m.x1 + 3 * m.x2 - 2 * m.x3 <= -18)
m.e7 = Constraint(expr= 4 * m.x1 - 9 * m.x2 + 4 * m.x3 <= -6)
m.e8 = Constraint(expr= -6 * m.x1 + 5 * m.x2 - 4 * m.x3 <= -40)
m.e9 = Constraint(expr= 4 * m.x1 - 9 * m.x2 - 3 * m.x3 <= -132)
