# MINLP written by GAMS Convert at 02/17/22 17:22:58
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        28        5        6       17        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        20       15        5        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        73       70        3
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,7), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,None), initialize=0)
m.b16 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b17 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b18 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b19 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b20 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=maximize, expr= 5 * m.x7 - 2 * m.x12 + 200 * m.x13 +
    250 * m.x14 + 300 * m.x15 - 5 * m.b16 - 8 * m.b17 - 6 * m.b18 - 10 * m.b19
    - 6 * m.b20)

m.e1 = Constraint(expr= m.x1 - m.x2 - m.x3 == 0)
m.e2 = Constraint(expr= -m.x4 - m.x5 + m.x6 == 0)
m.e3 = Constraint(expr= m.x6 - m.x7 - m.x8 == 0)
m.e4 = Constraint(expr= m.x8 - m.x9 - m.x10 - m.x11 == 0)
m.e5 = Constraint(expr= -log(1 + m.x2) + m.x4 + m.b16 <= 1)
m.e6 = Constraint(expr= m.x2 - 10 * m.b16 <= 0)
m.e7 = Constraint(expr= m.x4 - 2.39789527279837 * m.b16 <= 0)
m.e8 = Constraint(expr= -1.2 * log(1 + m.x3) + m.x5 + m.b17 <= 1)
m.e9 = Constraint(expr= m.x3 - 10 * m.b17 <= 0)
m.e10 = Constraint(expr= m.x5 - 2.87747432735804 * m.b17 <= 0)
m.e11 = Constraint(expr= -0.75 * m.x9 + m.x13 + m.b18 <= 1)
m.e12 = Constraint(expr= -0.75 * m.x9 + m.x13 - m.b18 >= -1)
m.e13 = Constraint(expr= m.x9 - 2.87747432735804 * m.b18 <= 0)
m.e14 = Constraint(expr= m.x13 - 2.15810574551853 * m.b18 <= 0)
m.e15 = Constraint(expr= -1.5 * log(1 + m.x10) + m.x14 + m.b19 <= 1)
m.e16 = Constraint(expr= m.x10 - 2.87747432735804 * m.b19 <= 0)
m.e17 = Constraint(expr= m.x14 - 2.03277599268042 * m.b19 <= 0)
m.e18 = Constraint(expr= -m.x11 + m.x15 + m.b20 <= 1)
m.e19 = Constraint(expr= -m.x11 + m.x15 - m.b20 >= -1)
m.e20 = Constraint(expr= -0.5 * m.x12 + m.x15 + m.b20 <= 1)
m.e21 = Constraint(expr= -0.5 * m.x12 + m.x15 - m.b20 >= -1)
m.e22 = Constraint(expr= m.x11 - 2.87747432735804 * m.b20 <= 0)
m.e23 = Constraint(expr= m.x12 - 7 * m.b20 <= 0)
m.e24 = Constraint(expr= m.x15 - 3.5 * m.b20 <= 0)
m.e25 = Constraint(expr= m.b16 + m.b17 == 1)
m.e26 = Constraint(expr= m.b16 + m.b17 - m.b18 >= 0)
m.e27 = Constraint(expr= m.b16 + m.b17 - m.b19 >= 0)
m.e28 = Constraint(expr= m.b16 + m.b17 - m.b20 >= 0)
