# MINLP written by GAMS Convert at 02/17/22 17:22:58
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        54        7       15       32        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        35       25       10        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       136      130        6
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,7), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,None), initialize=0)
m.b26 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b27 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b28 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b29 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b30 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b31 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b32 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b33 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b34 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b35 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=maximize, expr= 5 * m.x7 - 2 * m.x12 + 200 * m.x20 +
    250 * m.x21 + 200 * m.x22 + 200 * m.x23 + 500 * m.x24 + 350 * m.x25 - 5 *
    m.b26 - 8 * m.b27 - 6 * m.b28 - 10 * m.b29 - 6 * m.b30 - 7 * m.b31 - 4 *
    m.b32 - 5 * m.b33 - 2 * m.b34 - 4 * m.b35)

m.e1 = Constraint(expr= m.x1 - m.x2 - m.x3 == 0)
m.e2 = Constraint(expr= -m.x4 - m.x5 + m.x6 == 0)
m.e3 = Constraint(expr= m.x6 - m.x7 - m.x8 == 0)
m.e4 = Constraint(expr= m.x8 - m.x9 - m.x10 - m.x11 == 0)
m.e5 = Constraint(expr= m.x13 - m.x16 - m.x17 == 0)
m.e6 = Constraint(expr= m.x15 - m.x18 - m.x19 - m.x20 == 0)
m.e7 = Constraint(expr= -log(1 + m.x2) + m.x4 + m.b26 <= 1)
m.e8 = Constraint(expr= m.x2 - 10 * m.b26 <= 0)
m.e9 = Constraint(expr= m.x4 - 2.39789527279837 * m.b26 <= 0)
m.e10 = Constraint(expr= -1.2 * log(1 + m.x3) + m.x5 + m.b27 <= 1)
m.e11 = Constraint(expr= m.x3 - 10 * m.b27 <= 0)
m.e12 = Constraint(expr= m.x5 - 2.87747432735804 * m.b27 <= 0)
m.e13 = Constraint(expr= -0.75 * m.x9 + m.x13 + m.b28 <= 1)
m.e14 = Constraint(expr= -0.75 * m.x9 + m.x13 - m.b28 >= -1)
m.e15 = Constraint(expr= m.x9 - 2.87747432735804 * m.b28 <= 0)
m.e16 = Constraint(expr= m.x13 - 2.15810574551853 * m.b28 <= 0)
m.e17 = Constraint(expr= -1.5 * log(1 + m.x10) + m.x14 + m.b29 <= 1)
m.e18 = Constraint(expr= m.x10 - 2.87747432735804 * m.b29 <= 0)
m.e19 = Constraint(expr= m.x14 - 2.03277599268042 * m.b29 <= 0)
m.e20 = Constraint(expr= -m.x11 + m.x15 + m.b30 <= 1)
m.e21 = Constraint(expr= -m.x11 + m.x15 - m.b30 >= -1)
m.e22 = Constraint(expr= -0.5 * m.x12 + m.x15 + m.b30 <= 1)
m.e23 = Constraint(expr= -0.5 * m.x12 + m.x15 - m.b30 >= -1)
m.e24 = Constraint(expr= m.x11 - 2.87747432735804 * m.b30 <= 0)
m.e25 = Constraint(expr= m.x12 - 7 * m.b30 <= 0)
m.e26 = Constraint(expr= m.x15 - 3.5 * m.b30 <= 0)
m.e27 = Constraint(expr= -1.25 * log(1 + m.x16) + m.x21 + m.b31 <= 1)
m.e28 = Constraint(expr= m.x16 - 2.15810574551853 * m.b31 <= 0)
m.e29 = Constraint(expr= m.x21 - 1.43746550029693 * m.b31 <= 0)
m.e30 = Constraint(expr= -0.9 * log(1 + m.x17) + m.x22 + m.b32 <= 1)
m.e31 = Constraint(expr= m.x17 - 2.15810574551853 * m.b32 <= 0)
m.e32 = Constraint(expr= m.x22 - 1.03497516021379 * m.b32 <= 0)
m.e33 = Constraint(expr= -log(1 + m.x14) + m.x23 + m.b33 <= 1)
m.e34 = Constraint(expr= m.x14 - 2.03277599268042 * m.b33 <= 0)
m.e35 = Constraint(expr= m.x23 - 1.10947836929589 * m.b33 <= 0)
m.e36 = Constraint(expr= -0.9 * m.x18 + m.x24 + m.b34 <= 1)
m.e37 = Constraint(expr= -0.9 * m.x18 + m.x24 - m.b34 >= -1)
m.e38 = Constraint(expr= m.x18 - 3.5 * m.b34 <= 0)
m.e39 = Constraint(expr= m.x24 - 3.15 * m.b34 <= 0)
m.e40 = Constraint(expr= -0.6 * m.x19 + m.x25 + m.b35 <= 1)
m.e41 = Constraint(expr= -0.6 * m.x19 + m.x25 - m.b35 >= -1)
m.e42 = Constraint(expr= m.x19 - 3.5 * m.b35 <= 0)
m.e43 = Constraint(expr= m.x25 - 2.1 * m.b35 <= 0)
m.e44 = Constraint(expr= m.b26 + m.b27 == 1)
m.e45 = Constraint(expr= -m.b28 + m.b31 + m.b32 >= 0)
m.e46 = Constraint(expr= -m.b29 + m.b33 >= 0)
m.e47 = Constraint(expr= m.b26 + m.b27 - m.b28 >= 0)
m.e48 = Constraint(expr= m.b26 + m.b27 - m.b29 >= 0)
m.e49 = Constraint(expr= m.b26 + m.b27 - m.b30 >= 0)
m.e50 = Constraint(expr= m.b28 - m.b31 >= 0)
m.e51 = Constraint(expr= m.b28 - m.b32 >= 0)
m.e52 = Constraint(expr= m.b29 - m.b33 >= 0)
m.e53 = Constraint(expr= m.b30 - m.b34 >= 0)
m.e54 = Constraint(expr= m.b30 - m.b35 >= 0)
