# NLP written by GAMS Convert at 02/17/22 17:23:41
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         1        0        0        1        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         1        1        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         1        0        1
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(-2,5), initialize=1)

m.obj = Objective(sense=minimize, expr= sin(11 * m.x1) + cos(13 * m.x1) - sin(
    17 * m.x1) - cos(19 * m.x1))

m.e1 = Constraint(expr= 5 * sin(m.x1) - m.x1 <= 0)
