# NLP written by GAMS Convert at 02/17/22 17:18:24
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        4        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        11       11        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        25       25        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.001,None), initialize=0.001)
m.x2 = Var(within=Reals, bounds=(0.001,None), initialize=0.001)
m.x3 = Var(within=Reals, bounds=(0.001,None), initialize=0.001)
m.x4 = Var(within=Reals, bounds=(0.001,None), initialize=0.001)
m.x5 = Var(within=Reals, bounds=(0.001,None), initialize=0.001)
m.x6 = Var(within=Reals, bounds=(0.001,None), initialize=0.001)
m.x7 = Var(within=Reals, bounds=(0.001,None), initialize=0.001)
m.x8 = Var(within=Reals, bounds=(0.001,None), initialize=0.001)
m.x9 = Var(within=Reals, bounds=(0.001,None), initialize=0.001)
m.x10 = Var(within=Reals, bounds=(0.001,None), initialize=0.001)
m.x11 = Var(within=Reals, bounds=(0.01,None), initialize=0.01)

m.obj = Objective(sense=minimize, expr= m.x1 * (log(m.x1 / m.x11) -
    6.05576803624071) + m.x2 * (log(m.x2 / m.x11) - 17.1307680362407) + m.x3 *
    (log(m.x3 / m.x11) - 34.0207680362407) + m.x4 * (log(m.x4 / m.x11) -
    5.88076803624071) + m.x5 * (log(m.x5 / m.x11) - 24.6877680362407) + m.x6 *
    (log(m.x6 / m.x11) - 14.9527680362407) + m.x7 * (log(m.x7 / m.x11) -
    24.0667680362407) + m.x8 * (log(m.x8 / m.x11) - 10.6747680362407) + m.x9 *
    (log(m.x9 / m.x11) - 26.6287680362407) + m.x10 * (log(m.x10 / m.x11) -
    22.1447680362407))

m.e1 = Constraint(expr= m.x1 + 2 * m.x2 + 2 * m.x3 + m.x6 + m.x10 == 2)
m.e2 = Constraint(expr= m.x4 + 2 * m.x5 + m.x6 + m.x7 == 1)
m.e3 = Constraint(expr= m.x3 + m.x7 + m.x8 + 2 * m.x9 + m.x10 == 1)
m.e4 = Constraint(expr= -m.x1 - m.x2 - m.x3 - m.x4 - m.x5 - m.x6 - m.x7 - m.x8
    - m.x9 - m.x10 + m.x11 == 0)
