# MINLP written by GAMS Convert at 02/17/22 17:18:28
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        90       10       24       56        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        52       20       32        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       272      208       64
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(11.5,57.5), initialize=11.5)
m.x2 = Var(within=Reals, bounds=(12.5,56.5), initialize=12.5)
m.x3 = Var(within=Reals, bounds=(10.5,58.5), initialize=10.5)
m.x4 = Var(within=Reals, bounds=(10,59), initialize=10)
m.x5 = Var(within=Reals, bounds=(7,87), initialize=7)
m.x6 = Var(within=Reals, bounds=(6.5,87.5), initialize=6.5)
m.x7 = Var(within=Reals, bounds=(5.5,88.5), initialize=5.5)
m.x8 = Var(within=Reals, bounds=(5.5,88.5), initialize=5.5)
m.b9 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b10 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b11 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b12 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b13 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b14 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b15 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b16 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b17 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b18 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b19 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b20 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b21 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b22 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b23 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b24 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b25 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b26 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b27 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b28 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b29 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b30 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b31 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b32 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b33 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b34 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b35 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b36 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b37 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b38 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b39 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b40 = Var(within=Binary, bounds=(0,1), initialize=0)
m.x41 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x42 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x43 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x44 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x45 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x46 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x47 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x48 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x49 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x50 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x51 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x52 = Var(within=Reals, bounds=(0,None), initialize=0)

m.obj = Objective(sense=minimize, expr= 300 * m.x41 + 240 * m.x42 + 210 * m.x43
    + 100 * m.x44 + 150 * m.x45 + 120 * m.x46 + 300 * m.x47 + 240 * m.x48 +
    210 * m.x49 + 100 * m.x50 + 150 * m.x51 + 120 * m.x52)

m.e1 = Constraint(expr= -m.x1 + m.x2 + m.x41 >= 0)
m.e2 = Constraint(expr= -m.x1 + m.x3 + m.x42 >= 0)
m.e3 = Constraint(expr= -m.x1 + m.x4 + m.x43 >= 0)
m.e4 = Constraint(expr= -m.x2 + m.x3 + m.x44 >= 0)
m.e5 = Constraint(expr= -m.x2 + m.x4 + m.x45 >= 0)
m.e6 = Constraint(expr= -m.x3 + m.x4 + m.x46 >= 0)
m.e7 = Constraint(expr= m.x1 - m.x2 + m.x41 >= 0)
m.e8 = Constraint(expr= m.x1 - m.x3 + m.x42 >= 0)
m.e9 = Constraint(expr= m.x1 - m.x4 + m.x43 >= 0)
m.e10 = Constraint(expr= m.x2 - m.x3 + m.x44 >= 0)
m.e11 = Constraint(expr= m.x2 - m.x4 + m.x45 >= 0)
m.e12 = Constraint(expr= m.x3 - m.x4 + m.x46 >= 0)
m.e13 = Constraint(expr= -m.x5 + m.x6 + m.x47 >= 0)
m.e14 = Constraint(expr= -m.x5 + m.x7 + m.x48 >= 0)
m.e15 = Constraint(expr= -m.x5 + m.x8 + m.x49 >= 0)
m.e16 = Constraint(expr= -m.x6 + m.x7 + m.x50 >= 0)
m.e17 = Constraint(expr= -m.x6 + m.x8 + m.x51 >= 0)
m.e18 = Constraint(expr= -m.x7 + m.x8 + m.x52 >= 0)
m.e19 = Constraint(expr= m.x5 - m.x6 + m.x47 >= 0)
m.e20 = Constraint(expr= m.x5 - m.x7 + m.x48 >= 0)
m.e21 = Constraint(expr= m.x5 - m.x8 + m.x49 >= 0)
m.e22 = Constraint(expr= m.x6 - m.x7 + m.x50 >= 0)
m.e23 = Constraint(expr= m.x6 - m.x8 + m.x51 >= 0)
m.e24 = Constraint(expr= m.x7 - m.x8 + m.x52 >= 0)
m.e25 = Constraint(expr= m.x1 - m.x2 + 51 * m.b9 <= 45)
m.e26 = Constraint(expr= m.x1 - m.x3 + 51 * m.b10 <= 47)
m.e27 = Constraint(expr= m.x1 - m.x4 + 51 * m.b11 <= 47.5)
m.e28 = Constraint(expr= m.x2 - m.x3 + 51 * m.b12 <= 46)
m.e29 = Constraint(expr= m.x2 - m.x4 + 51 * m.b13 <= 46.5)
m.e30 = Constraint(expr= m.x3 - m.x4 + 51 * m.b14 <= 48.5)
m.e31 = Constraint(expr= -m.x1 + m.x2 + 51 * m.b15 <= 45)
m.e32 = Constraint(expr= -m.x1 + m.x3 + 51 * m.b16 <= 47)
m.e33 = Constraint(expr= -m.x1 + m.x4 + 51 * m.b17 <= 47.5)
m.e34 = Constraint(expr= -m.x2 + m.x3 + 51 * m.b18 <= 46)
m.e35 = Constraint(expr= -m.x2 + m.x4 + 51 * m.b19 <= 46.5)
m.e36 = Constraint(expr= -m.x3 + m.x4 + 51 * m.b20 <= 48.5)
m.e37 = Constraint(expr= m.x5 - m.x6 + 86 * m.b21 <= 80.5)
m.e38 = Constraint(expr= m.x5 - m.x7 + 86 * m.b22 <= 81.5)
m.e39 = Constraint(expr= m.x5 - m.x8 + 86 * m.b23 <= 81.5)
m.e40 = Constraint(expr= m.x6 - m.x7 + 86 * m.b24 <= 82)
m.e41 = Constraint(expr= m.x6 - m.x8 + 86 * m.b25 <= 82)
m.e42 = Constraint(expr= m.x7 - m.x8 + 86 * m.b26 <= 83)
m.e43 = Constraint(expr= -m.x5 + m.x6 + 86 * m.b27 <= 80.5)
m.e44 = Constraint(expr= -m.x5 + m.x7 + 86 * m.b28 <= 81.5)
m.e45 = Constraint(expr= -m.x5 + m.x8 + 86 * m.b29 <= 81.5)
m.e46 = Constraint(expr= -m.x6 + m.x7 + 86 * m.b30 <= 82)
m.e47 = Constraint(expr= -m.x6 + m.x8 + 86 * m.b31 <= 82)
m.e48 = Constraint(expr= -m.x7 + m.x8 + 86 * m.b32 <= 83)
m.e49 = Constraint(expr= m.b9 + m.b15 + m.b21 + m.b27 == 1)
m.e50 = Constraint(expr= m.b10 + m.b16 + m.b22 + m.b28 == 1)
m.e51 = Constraint(expr= m.b11 + m.b17 + m.b23 + m.b29 == 1)
m.e52 = Constraint(expr= m.b12 + m.b18 + m.b24 + m.b30 == 1)
m.e53 = Constraint(expr= m.b13 + m.b19 + m.b25 + m.b31 == 1)
m.e54 = Constraint(expr= m.b14 + m.b20 + m.b26 + m.b32 == 1)
m.e55 = Constraint(expr= (-17.5 + m.x1)**2 + (-7 + m.x5)**2 + 7964 * m.b33
    <= 8000)
m.e56 = Constraint(expr= (-18.5 + m.x2)**2 + (-7.5 + m.x6)**2 + 7808 * m.b34
    <= 7844)
m.e57 = Constraint(expr= (-16.5 + m.x3)**2 + (-8.5 + m.x7)**2 + 8128 * m.b35
    <= 8164)
m.e58 = Constraint(expr= (-16 + m.x4)**2 + (-8.5 + m.x8)**2 + 8213 * m.b36
    <= 8249)
m.e59 = Constraint(expr= (-52.5 + m.x1)**2 + (-77 + m.x5)**2 + 6481 * m.b37
    <= 6581)
m.e60 = Constraint(expr= (-53.5 + m.x2)**2 + (-77.5 + m.x6)**2 + 6622 * m.b38
    <= 6722)
m.e61 = Constraint(expr= (-51.5 + m.x3)**2 + (-78.5 + m.x7)**2 + 6951.25 *
    m.b39 <= 7051.25)
m.e62 = Constraint(expr= (-51 + m.x4)**2 + (-78.5 + m.x8)**2 + 6910 * m.b40
    <= 7010)
m.e63 = Constraint(expr= (-17.5 + m.x1)**2 + (-13 + m.x5)**2 + 7040 * m.b33
    <= 7076)
m.e64 = Constraint(expr= (-18.5 + m.x2)**2 + (-12.5 + m.x6)**2 + 7033 * m.b34
    <= 7069)
m.e65 = Constraint(expr= (-16.5 + m.x3)**2 + (-11.5 + m.x7)**2 + 7657 * m.b35
    <= 7693)
m.e66 = Constraint(expr= (-16 + m.x4)**2 + (-11.5 + m.x8)**2 + 7742 * m.b36
    <= 7778)
m.e67 = Constraint(expr= (-52.5 + m.x1)**2 + (-83 + m.x5)**2 + 7357 * m.b37
    <= 7457)
m.e68 = Constraint(expr= (-53.5 + m.x2)**2 + (-82.5 + m.x6)**2 + 7357 * m.b38
    <= 7457)
m.e69 = Constraint(expr= (-51.5 + m.x3)**2 + (-81.5 + m.x7)**2 + 7398.25 *
    m.b39 <= 7498.25)
m.e70 = Constraint(expr= (-51 + m.x4)**2 + (-81.5 + m.x8)**2 + 7357 * m.b40
    <= 7457)
m.e71 = Constraint(expr= (-12.5 + m.x1)**2 + (-7 + m.x5)**2 + 8389 * m.b33
    <= 8425)
m.e72 = Constraint(expr= (-11.5 + m.x2)**2 + (-7.5 + m.x6)**2 + 8389 * m.b34
    <= 8425)
m.e73 = Constraint(expr= (-13.5 + m.x3)**2 + (-8.5 + m.x7)**2 + 8389 * m.b35
    <= 8425)
m.e74 = Constraint(expr= (-14 + m.x4)**2 + (-8.5 + m.x8)**2 + 8389 * m.b36
    <= 8425)
m.e75 = Constraint(expr= (-47.5 + m.x1)**2 + (-77 + m.x5)**2 + 6096 * m.b37
    <= 6196)
m.e76 = Constraint(expr= (-46.5 + m.x2)**2 + (-77.5 + m.x6)**2 + 6097 * m.b38
    <= 6197)
m.e77 = Constraint(expr= (-48.5 + m.x3)**2 + (-78.5 + m.x7)**2 + 6711.25 *
    m.b39 <= 6811.25)
m.e78 = Constraint(expr= (-49 + m.x4)**2 + (-78.5 + m.x8)**2 + 6750 * m.b40
    <= 6850)
m.e79 = Constraint(expr= (-12.5 + m.x1)**2 + (-13 + m.x5)**2 + 7465 * m.b33
    <= 7501)
m.e80 = Constraint(expr= (-11.5 + m.x2)**2 + (-12.5 + m.x6)**2 + 7614 * m.b34
    <= 7650)
m.e81 = Constraint(expr= (-13.5 + m.x3)**2 + (-11.5 + m.x7)**2 + 7918 * m.b35
    <= 7954)
m.e82 = Constraint(expr= (-14 + m.x4)**2 + (-11.5 + m.x8)**2 + 7918 * m.b36
    <= 7954)
m.e83 = Constraint(expr= (-47.5 + m.x1)**2 + (-83 + m.x5)**2 + 6972 * m.b37
    <= 7072)
m.e84 = Constraint(expr= (-46.5 + m.x2)**2 + (-82.5 + m.x6)**2 + 6832 * m.b38
    <= 6932)
m.e85 = Constraint(expr= (-48.5 + m.x3)**2 + (-81.5 + m.x7)**2 + 7158.25 *
    m.b39 <= 7258.25)
m.e86 = Constraint(expr= (-49 + m.x4)**2 + (-81.5 + m.x8)**2 + 7197 * m.b40
    <= 7297)
m.e87 = Constraint(expr= m.b33 + m.b37 == 1)
m.e88 = Constraint(expr= m.b34 + m.b38 == 1)
m.e89 = Constraint(expr= m.b35 + m.b39 == 1)
m.e90 = Constraint(expr= m.b36 + m.b40 == 1)
