# MINLP written by GAMS Convert at 02/17/22 17:18:39
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        21        0        0       21        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        40       30        0       10        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        60       40       20
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.i1 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i2 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i3 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i4 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i5 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i6 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i7 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i8 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i9 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i10 = Var(within=Integers, bounds=(0,5), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x21 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x22 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x23 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x24 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x25 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x26 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x27 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x28 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x29 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x30 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x31 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x32 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x33 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x34 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x35 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x36 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x37 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x38 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x39 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x40 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -0.175 * m.i1 - 0.39 * m.i2 - 0.83 *
    m.i3 - 0.805 * m.i4 - 0.06 * m.i5 - 0.4 * m.i6 - 0.52 * m.i7 - 0.415 * m.i8
    - 0.655 * m.i9 - 0.63 * m.i10 - 0.29 * m.x11 - 0.43 * m.x12 - 0.015 *
    m.x13 - 0.985 * m.x14 - 0.165 * m.x15 - 0.105 * m.x16 - 0.37 * m.x17 - 0.2
    * m.x18 - 0.49 * m.x19 - 0.34 * m.x20)

m.e1 = Constraint(expr= m.x21 + m.x22 + m.x23 + m.x24 + m.x25 + m.x26 + m.x27
    + m.x28 + m.x29 + m.x30 + m.x31 + m.x32 + m.x33 + m.x34 + m.x35 + m.x36 +
    m.x37 + m.x38 + m.x39 + m.x40 <= 99.9999)
m.e2 = Constraint(expr= m.i1**2 - m.x21 <= 0)
m.e3 = Constraint(expr= m.i2**2 - m.x22 <= 0)
m.e4 = Constraint(expr= m.i3**2 - m.x23 <= 0)
m.e5 = Constraint(expr= m.i4**2 - m.x24 <= 0)
m.e6 = Constraint(expr= m.i5**2 - m.x25 <= 0)
m.e7 = Constraint(expr= m.i6**2 - m.x26 <= 0)
m.e8 = Constraint(expr= m.i7**2 - m.x27 <= 0)
m.e9 = Constraint(expr= m.i8**2 - m.x28 <= 0)
m.e10 = Constraint(expr= m.i9**2 - m.x29 <= 0)
m.e11 = Constraint(expr= m.i10**2 - m.x30 <= 0)
m.e12 = Constraint(expr= m.x11**2 - m.x31 <= 0)
m.e13 = Constraint(expr= m.x12**2 - m.x32 <= 0)
m.e14 = Constraint(expr= m.x13**2 - m.x33 <= 0)
m.e15 = Constraint(expr= m.x14**2 - m.x34 <= 0)
m.e16 = Constraint(expr= m.x15**2 - m.x35 <= 0)
m.e17 = Constraint(expr= m.x16**2 - m.x36 <= 0)
m.e18 = Constraint(expr= m.x17**2 - m.x37 <= 0)
m.e19 = Constraint(expr= m.x18**2 - m.x38 <= 0)
m.e20 = Constraint(expr= m.x19**2 - m.x39 <= 0)
m.e21 = Constraint(expr= m.x20**2 - m.x40 <= 0)
