# MINLP written by GAMS Convert at 02/17/22 17:18:40
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        20        0        0       20        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        39       29        0       10        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        76       38       38
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.i1 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i2 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i3 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i4 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i5 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i6 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i7 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i8 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i9 = Var(within=Integers, bounds=(0,5), initialize=0)
m.i10 = Var(within=Integers, bounds=(0,5), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x21 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x22 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x23 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x24 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x25 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x26 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x27 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x28 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x29 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x30 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x31 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x32 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x33 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x34 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x35 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x36 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x37 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x38 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x39 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -0.53 * m.i1 - 0.65 * m.i2 - 0.49 *
    m.i3 - 0.82 * m.i4 - 0.88 * m.i5 - 0.97 * m.i6 - 0.53 * m.i7 - 0.33 * m.i8
    - 0.11 * m.i9 - 0.61 * m.i10 - 0.78 * m.x11 - 0.09 * m.x12 - 0.27 * m.x13
    - 0.15 * m.x14 - 0.28 * m.x15 - 0.44 * m.x16 - 0.53 * m.x17 - 0.46 * m.x18
    - 0.88 * m.x19 - 0.15 * m.x20)

m.e1 = Constraint(expr= m.x21 + m.x22 + m.x23 + m.x24 + m.x25 + m.x26 + m.x27
    + m.x28 + m.x29 + m.x30 + m.x31 + m.x32 + m.x33 + m.x34 + m.x35 + m.x36 +
    m.x37 + m.x38 + m.x39 <= 240)
m.e2 = Constraint(expr= 2**(m.i1 + m.i2) - m.x21 <= 0)
m.e3 = Constraint(expr= 2**(m.i2 + m.i3) - m.x22 <= 0)
m.e4 = Constraint(expr= 2**(m.i3 + m.i4) - m.x23 <= 0)
m.e5 = Constraint(expr= 2**(m.i4 + m.i5) - m.x24 <= 0)
m.e6 = Constraint(expr= 2**(m.i5 + m.i6) - m.x25 <= 0)
m.e7 = Constraint(expr= 2**(m.i6 + m.i7) - m.x26 <= 0)
m.e8 = Constraint(expr= 2**(m.i7 + m.i8) - m.x27 <= 0)
m.e9 = Constraint(expr= 2**(m.i8 + m.i9) - m.x28 <= 0)
m.e10 = Constraint(expr= 2**(m.i9 + m.i10) - m.x29 <= 0)
m.e11 = Constraint(expr= 2**(m.i10 + m.x11) - m.x30 <= 0)
m.e12 = Constraint(expr= 2**(m.x11 + m.x12) - m.x31 <= 0)
m.e13 = Constraint(expr= 2**(m.x12 + m.x13) - m.x32 <= 0)
m.e14 = Constraint(expr= 2**(m.x13 + m.x14) - m.x33 <= 0)
m.e15 = Constraint(expr= 2**(m.x14 + m.x15) - m.x34 <= 0)
m.e16 = Constraint(expr= 2**(m.x15 + m.x16) - m.x35 <= 0)
m.e17 = Constraint(expr= 2**(m.x16 + m.x17) - m.x36 <= 0)
m.e18 = Constraint(expr= 2**(m.x17 + m.x18) - m.x37 <= 0)
m.e19 = Constraint(expr= 2**(m.x18 + m.x19) - m.x38 <= 0)
m.e20 = Constraint(expr= 2**(m.x19 + m.x20) - m.x39 <= 0)
