# MINLP written by GAMS Convert at 02/17/22 17:19:04
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        13        4        0        9        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        11        7        4        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        32       22       10
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,1), initialize=0)
m.b8 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b9 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b10 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b11 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= (-1 + m.x4)**2 + (-2 + m.x5)**2 + (-1
    + m.x6)**2 - log(1 + m.x7) + (-1 + m.x1)**2 + (-2 + m.x2)**2 + (-3 + m.x3)
    **2)

m.e1 = Constraint(expr= m.x1 + m.x2 + m.x3 + m.b8 + m.b9 + m.b10 <= 5)
m.e2 = Constraint(expr= m.x6**2 + m.x1**2 + m.x2**2 + m.x3**2 <= 5.5)
m.e3 = Constraint(expr= m.x1 + m.b8 <= 1.2)
m.e4 = Constraint(expr= m.x2 + m.b9 <= 1.8)
m.e5 = Constraint(expr= m.x3 + m.b10 <= 2.5)
m.e6 = Constraint(expr= m.x1 + m.b11 <= 1.2)
m.e7 = Constraint(expr= m.x5**2 + m.x2**2 <= 1.64)
m.e8 = Constraint(expr= m.x6**2 + m.x3**2 <= 4.25)
m.e9 = Constraint(expr= m.x5**2 + m.x3**2 <= 4.64)
m.e10 = Constraint(expr= m.x4 - m.b8 == 0)
m.e11 = Constraint(expr= m.x5 - m.b9 == 0)
m.e12 = Constraint(expr= m.x6 - m.b10 == 0)
m.e13 = Constraint(expr= m.x7 - m.b11 == 0)
