# NLP written by GAMS Convert at 02/17/22 17:19:05
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         9        1        0        8        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         6        6        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        41       15       26
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.0001,100), initialize=0.0001)
m.x2 = Var(within=Reals, bounds=(0.0001,100), initialize=0.0001)
m.x3 = Var(within=Reals, bounds=(0.0001,100), initialize=0.0001)
m.x4 = Var(within=Reals, bounds=(0.0001,100), initialize=0.0001)
m.x5 = Var(within=Reals, bounds=(0.0001,100), initialize=0.0001)
m.x6 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x6)

m.e1 = Constraint(expr= m.x1 * m.x2 + m.x1 - 3 * m.x5 == 0)
m.e2 = Constraint(expr= 2.8845e-06 * m.x2**2 + 4.4975e-07 * m.x2 + 2 * m.x1 *
    m.x2 + m.x1 + 0.000545176668613029 * m.x2 * m.x3 + 3.40735417883143e-05 *
    m.x2 * m.x4 + m.x2 * m.x3**2 - 10 * m.x5 - m.x6 <= 0)
m.e3 = Constraint(expr= -2.8845e-06 * m.x2**2 - 4.4975e-07 * m.x2 - 2 * m.x1 *
    m.x2 - m.x1 - 0.000545176668613029 * m.x2 * m.x3 - 3.40735417883143e-05 *
    m.x2 * m.x4 - m.x2 * m.x3**2 + 10 * m.x5 - m.x6 <= 0)
m.e4 = Constraint(expr= 0.386 * m.x3**2 + 0.000410621754172864 * m.x3 +
    0.000545176668613029 * m.x2 * m.x3 + 2 * m.x3**2 * m.x2 - 8 * m.x5 - m.x6
    <= 0)
m.e5 = Constraint(expr= -0.386 * m.x3**2 - 0.000410621754172864 * m.x3 -
    0.000545176668613029 * m.x2 * m.x3 - 2 * m.x3**2 * m.x2 + 8 * m.x5 - m.x6
    <= 0)
m.e6 = Constraint(expr= 2 * m.x4**2 + 3.40735417883143e-05 * m.x2 * m.x4 - 40 *
    m.x5 - m.x6 <= 0)
m.e7 = Constraint(expr= -2 * m.x4**2 - 3.40735417883143e-05 * m.x2 * m.x4 + 40
    * m.x5 - m.x6 <= 0)
m.e8 = Constraint(expr= 9.615e-07 * m.x2**2 + 4.4975e-07 * m.x2 + 0.193 * m.x3
    **2 + 0.000410621754172864 * m.x3 + m.x4**2 + m.x1 * m.x2 + m.x1 +
    0.000545176668613029 * m.x2 * m.x3 + 3.40735417883143e-05 * m.x2 * m.x4 +
    m.x2 * m.x3**2 - m.x6 <= 1)
m.e9 = Constraint(expr= -9.615e-07 * m.x2**2 - 4.4975e-07 * m.x2 - 0.193 * m.x3
    **2 - 0.000410621754172864 * m.x3 - m.x4**2 - m.x1 * m.x2 - m.x1 -
    0.000545176668613029 * m.x2 * m.x3 - 3.40735417883143e-05 * m.x2 * m.x4 -
    m.x2 * m.x3**2 - m.x6 <= -1)
