# NLP written by GAMS Convert at 02/17/22 17:19:05
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        0        0        4        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        12        4        8
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(5.49e-06,4.553), initialize=5.49e-06)
m.x2 = Var(within=Reals, bounds=(0.0021961,18.21), initialize=0.0021961)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x3)

m.e1 = Constraint(expr= 1e+04 * m.x1 * m.x2 - m.x3 <= 1)
m.e2 = Constraint(expr= -1e+04 * m.x1 * m.x2 - m.x3 <= -1)
m.e3 = Constraint(expr= exp(-m.x1) + exp(-m.x2) - m.x3 <= 1.001)
m.e4 = Constraint(expr= -exp(-m.x1) - exp(-m.x2) - m.x3 <= -1.001)
