# NLP written by GAMS Convert at 02/17/22 17:19:05
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        15        1        0       14        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         9        9        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        60       28       32
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x2 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x3 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x4 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x5 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x6 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x7 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x8 = Var(within=Reals, bounds=(-1,1), initialize=0)
m.x9 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x9)

m.e1 = Constraint(expr= 0.004731 * m.x1 * m.x3 - 0.1238 * m.x1 - 0.3578 * m.x2
    * m.x3 - 0.001637 * m.x2 - 0.9338 * m.x4 + m.x7 - m.x9 <= 0.3571)
m.e2 = Constraint(expr= -0.004731 * m.x1 * m.x3 + 0.1238 * m.x1 + 0.3578 * m.x2
    * m.x3 + 0.001637 * m.x2 + 0.9338 * m.x4 - m.x7 - m.x9 <= -0.3571)
m.e3 = Constraint(expr= 0.2238 * m.x1 * m.x3 + 0.2638 * m.x1 + 0.7623 * m.x2 *
    m.x3 - 0.07745 * m.x2 - 0.6734 * m.x4 - m.x7 - m.x9 <= 0.6022)
m.e4 = Constraint(expr= -0.2238 * m.x1 * m.x3 - 0.2638 * m.x1 - 0.7623 * m.x2
    * m.x3 + 0.07745 * m.x2 + 0.6734 * m.x4 + m.x7 - m.x9 <= -0.6022)
m.e5 = Constraint(expr= m.x6 * m.x8 + 0.3578 * m.x1 + 0.004731 * m.x2 - m.x9
    <= 0)
m.e6 = Constraint(expr= -m.x6 * m.x8 - 0.3578 * m.x1 - 0.004731 * m.x2 - m.x9
    <= 0)
m.e7 = Constraint(expr= -0.7623 * m.x1 + 0.2238 * m.x2 == -0.3461)
m.e8 = Constraint(expr= m.x1**2 + m.x2**2 - m.x9 <= 1)
m.e9 = Constraint(expr= -m.x1**2 - m.x2**2 - m.x9 <= -1)
m.e10 = Constraint(expr= m.x3**2 + m.x4**2 - m.x9 <= 1)
m.e11 = Constraint(expr= -m.x3**2 - m.x4**2 - m.x9 <= -1)
m.e12 = Constraint(expr= m.x5**2 + m.x6**2 - m.x9 <= 1)
m.e13 = Constraint(expr= -m.x5**2 - m.x6**2 - m.x9 <= -1)
m.e14 = Constraint(expr= m.x7**2 + m.x8**2 - m.x9 <= 1)
m.e15 = Constraint(expr= -m.x7**2 - m.x8**2 - m.x9 <= -1)
