# NLP written by GAMS Convert at 02/17/22 17:19:06
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         6        0        3        3        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         6        6        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        12       10        2
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=5)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=1)
m.x3 = Var(within=Reals, bounds=(1,5), initialize=5)
m.x4 = Var(within=Reals, bounds=(0,6), initialize=0)
m.x5 = Var(within=Reals, bounds=(1,5), initialize=5)
m.x6 = Var(within=Reals, bounds=(0,10), initialize=10)

m.obj = Objective(sense=minimize, expr= -25 * (-2 + m.x1)**2 - (-2 + m.x2)**2
    - (-1 + m.x3)**2 - (-4 + m.x4)**2 - (-1 + m.x5)**2 - (-4 + m.x6)**2)

m.e1 = Constraint(expr= (-3 + m.x3)**2 + m.x4 >= 4)
m.e2 = Constraint(expr= (-3 + m.x5)**2 + m.x6 >= 4)
m.e3 = Constraint(expr= m.x1 - 3 * m.x2 <= 2)
m.e4 = Constraint(expr= -m.x1 + m.x2 <= 2)
m.e5 = Constraint(expr= m.x1 + m.x2 <= 6)
m.e6 = Constraint(expr= m.x1 + m.x2 >= 2)
