# NLP written by GAMS Convert at 02/17/22 17:19:07
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         6        1        0        5        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         7        7        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        20        9       11
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,200), initialize=0)

m.obj = Objective(sense=minimize, expr= -m.x4 * (9 - 6 * m.x1 - 16 * m.x2 - 15
    * m.x3) - m.x5 * (15 - 6 * m.x1 - 16 * m.x2 - 15 * m.x3) + m.x6 - 5 * m.x7)

m.e1 = Constraint(expr= m.x3 * m.x4 + m.x3 * m.x5 <= 50)
m.e2 = Constraint(expr= m.x4 + m.x6 <= 100)
m.e3 = Constraint(expr= m.x5 + m.x7 <= 200)
m.e4 = Constraint(expr= m.x4 * (-2.5 + 3 * m.x1 + m.x2 + m.x3) - 0.5 * m.x6
    <= 0)
m.e5 = Constraint(expr= m.x5 * (-1.5 + 3 * m.x1 + m.x2 + m.x3) + 0.5 * m.x7
    <= 0)
m.e6 = Constraint(expr= m.x1 + m.x2 + m.x3 == 1)
