# NLP written by GAMS Convert at 02/17/22 17:19:07
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        19        3        0       16        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        32       32        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       206       38      168
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x26 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x27 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x28 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x29 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x30 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x31 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x32 = Var(within=Reals, bounds=(0,100), initialize=0)

m.obj = Objective(sense=minimize, expr= -m.x18 * (18 - 6 * m.x1 - 16 * m.x4 -
    15 * m.x7 - 12 * m.x10) - m.x23 * (18 - 6 * m.x2 - 16 * m.x5 - 15 * m.x8 -
    12 * m.x11) - m.x28 * (18 - 6 * m.x3 - 16 * m.x6 - 15 * m.x9 - 12 * m.x12)
    - m.x19 * (15 - 6 * m.x1 - 16 * m.x4 - 15 * m.x7 - 12 * m.x10) - m.x24 * (
    15 - 6 * m.x2 - 16 * m.x5 - 15 * m.x8 - 12 * m.x11) - m.x29 * (15 - 6 *
    m.x3 - 16 * m.x6 - 15 * m.x9 - 12 * m.x12) - m.x20 * (19 - 6 * m.x1 - 16 *
    m.x4 - 15 * m.x7 - 12 * m.x10) - m.x25 * (19 - 6 * m.x2 - 16 * m.x5 - 15 *
    m.x8 - 12 * m.x11) - m.x30 * (19 - 6 * m.x3 - 16 * m.x6 - 15 * m.x9 - 12 *
    m.x12) - m.x21 * (16 - 6 * m.x1 - 16 * m.x4 - 15 * m.x7 - 12 * m.x10) -
    m.x26 * (16 - 6 * m.x2 - 16 * m.x5 - 15 * m.x8 - 12 * m.x11) - m.x31 * (16
    - 6 * m.x3 - 16 * m.x6 - 15 * m.x9 - 12 * m.x12) - m.x22 * (14 - 6 * m.x1
    - 16 * m.x4 - 15 * m.x7 - 12 * m.x10) - m.x27 * (14 - 6 * m.x2 - 16 * m.x5
    - 15 * m.x8 - 12 * m.x11) - m.x32 * (14 - 6 * m.x3 - 16 * m.x6 - 15 * m.x9
    - 12 * m.x12) - 8 * m.x13 - 5 * m.x14 - 9 * m.x15 - 6 * m.x16 - 4 * m.x17)

m.e1 = Constraint(expr= m.x7 * m.x18 + m.x7 * m.x19 + m.x7 * m.x20 + m.x7 *
    m.x21 + m.x7 * m.x22 + m.x8 * m.x23 + m.x8 * m.x24 + m.x8 * m.x25 + m.x8 *
    m.x26 + m.x8 * m.x27 + m.x9 * m.x28 + m.x9 * m.x29 + m.x9 * m.x30 + m.x9 *
    m.x31 + m.x9 * m.x32 <= 50)
m.e2 = Constraint(expr= m.x13 + m.x18 + m.x23 + m.x28 <= 100)
m.e3 = Constraint(expr= m.x14 + m.x19 + m.x24 + m.x29 <= 200)
m.e4 = Constraint(expr= m.x15 + m.x20 + m.x25 + m.x30 <= 100)
m.e5 = Constraint(expr= m.x16 + m.x21 + m.x26 + m.x31 <= 100)
m.e6 = Constraint(expr= m.x17 + m.x22 + m.x27 + m.x32 <= 100)
m.e7 = Constraint(expr= m.x18 * (-2.5 + 3 * m.x1 + m.x4 + m.x7 + 1.5 * m.x10)
    + m.x23 * (-2.5 + 3 * m.x2 + m.x5 + m.x8 + 1.5 * m.x11) + m.x28 * (-2.5 +
    3 * m.x3 + m.x6 + m.x9 + 1.5 * m.x12) - 0.5 * m.x13 <= 0)
m.e8 = Constraint(expr= m.x18 * (-2 + m.x1 + 3 * m.x4 + 2.5 * m.x7 + 2.5 *
    m.x10) + m.x23 * (-2 + m.x2 + 3 * m.x5 + 2.5 * m.x8 + 2.5 * m.x11) + m.x28
    * (-2 + m.x3 + 3 * m.x6 + 2.5 * m.x9 + 2.5 * m.x12) + 0.5 * m.x13 <= 0)
m.e9 = Constraint(expr= m.x19 * (-1.5 + 3 * m.x1 + m.x4 + m.x7 + 1.5 * m.x10)
    + m.x24 * (-1.5 + 3 * m.x2 + m.x5 + m.x8 + 1.5 * m.x11) + m.x29 * (-1.5 +
    3 * m.x3 + m.x6 + m.x9 + 1.5 * m.x12) + 0.5 * m.x14 <= 0)
m.e10 = Constraint(expr= m.x19 * (-2.5 + m.x1 + 3 * m.x4 + 2.5 * m.x7 + 2.5 *
    m.x10) + m.x24 * (-2.5 + m.x2 + 3 * m.x5 + 2.5 * m.x8 + 2.5 * m.x11) +
    m.x29 * (-2.5 + m.x3 + 3 * m.x6 + 2.5 * m.x9 + 2.5 * m.x12) <= 0)
m.e11 = Constraint(expr= m.x20 * (-2 + 3 * m.x1 + m.x4 + m.x7 + 1.5 * m.x10) +
    m.x25 * (-2 + 3 * m.x2 + m.x5 + m.x8 + 1.5 * m.x11) + m.x30 * (-2 + 3 *
    m.x3 + m.x6 + m.x9 + 1.5 * m.x12) <= 0)
m.e12 = Constraint(expr= m.x20 * (-2.6 + m.x1 + 3 * m.x4 + 2.5 * m.x7 + 2.5 *
    m.x10) + m.x25 * (-2.6 + m.x2 + 3 * m.x5 + 2.5 * m.x8 + 2.5 * m.x11) +
    m.x30 * (-2.6 + m.x3 + 3 * m.x6 + 2.5 * m.x9 + 2.5 * m.x12) - 0.1 * m.x15
    <= 0)
m.e13 = Constraint(expr= m.x21 * (-2 + 3 * m.x1 + m.x4 + m.x7 + 1.5 * m.x10) +
    m.x26 * (-2 + 3 * m.x2 + m.x5 + m.x8 + 1.5 * m.x11) + m.x31 * (-2 + 3 *
    m.x3 + m.x6 + m.x9 + 1.5 * m.x12) <= 0)
m.e14 = Constraint(expr= m.x21 * (-2 + m.x1 + 3 * m.x4 + 2.5 * m.x7 + 2.5 *
    m.x10) + m.x26 * (-2 + m.x2 + 3 * m.x5 + 2.5 * m.x8 + 2.5 * m.x11) + m.x31
    * (-2 + m.x3 + 3 * m.x6 + 2.5 * m.x9 + 2.5 * m.x12) + 0.5 * m.x16 <= 0)
m.e15 = Constraint(expr= m.x22 * (-2 + 3 * m.x1 + m.x4 + m.x7 + 1.5 * m.x10) +
    m.x27 * (-2 + 3 * m.x2 + m.x5 + m.x8 + 1.5 * m.x11) + m.x32 * (-2 + 3 *
    m.x3 + m.x6 + m.x9 + 1.5 * m.x12) <= 0)
m.e16 = Constraint(expr= m.x22 * (-2 + m.x1 + 3 * m.x4 + 2.5 * m.x7 + 2.5 *
    m.x10) + m.x27 * (-2 + m.x2 + 3 * m.x5 + 2.5 * m.x8 + 2.5 * m.x11) + m.x32
    * (-2 + m.x3 + 3 * m.x6 + 2.5 * m.x9 + 2.5 * m.x12) + 0.5 * m.x17 <= 0)
m.e17 = Constraint(expr= m.x1 + m.x4 + m.x7 + m.x10 == 1)
m.e18 = Constraint(expr= m.x2 + m.x5 + m.x8 + m.x11 == 1)
m.e19 = Constraint(expr= m.x3 + m.x6 + m.x9 + m.x12 == 1)
