# NLP written by GAMS Convert at 02/17/22 17:19:07
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         3        3        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         4        4        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         8        2        6
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(1e-06,1), initialize=0.00421)
m.x2 = Var(within=Reals, bounds=(1e-06,1), initialize=0.99579)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0.0258947377097763)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0.998699779997328)

m.obj = Objective(sense=minimize, expr= m.x1 * (log(m.x1) + 0.06391) + m.x2 * (
    log(m.x2) - 0.02875) + 0.925356626778358 * m.x1 * m.x4 + 0.746014540096753
    * m.x2 * m.x3)

m.e1 = Constraint(expr= m.x3 * (m.x1 + 0.159040857374844 * m.x2) - m.x1 == 0)
m.e2 = Constraint(expr= m.x4 * (0.307941026821595 * m.x1 + m.x2) - m.x2 == 0)
m.e3 = Constraint(expr= m.x1 + m.x2 == 1)
