# NLP written by GAMS Convert at 02/17/22 17:19:07
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        4        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         6        6        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        15        3       12
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(1e-06,1), initialize=7e-05)
m.x2 = Var(within=Reals, bounds=(1e-06,1), initialize=0.99686)
m.x3 = Var(within=Reals, bounds=(1e-06,1), initialize=0.00307)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0.000474076675116379)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=0.997993046160137)
m.x6 = Var(within=Reals, bounds=(0,None), initialize=0.0126755759820888)

m.obj = Objective(sense=minimize, expr= m.x1 * (log(m.x1) + 0.28809) + m.x2 * (
    log(m.x2) - 0.29158) + m.x3 * (log(m.x3) + 0.59336) + m.x1 * (
    1.44805026165593 * m.x5 + 0.989428667054834 * m.x6) + m.x2 * (
    1.12676386427658 * m.x4 + 1.00363012835441 * m.x6) + m.x3 * (
    0.0347225450624344 * m.x4 + 0.82681418300153 * m.x5))

m.e1 = Constraint(expr= m.x4 * (m.x1 + 0.145002897355373 * m.x2 +
    0.989528214945409 * m.x3) - m.x1 == 0)
m.e2 = Constraint(expr= m.x5 * (0.293701311601799 * m.x1 + m.x2 +
    0.646291923054068 * m.x3) - m.x2 == 0)
m.e3 = Constraint(expr= m.x6 * (0.619143628558899 * m.x1 + 0.239837817616513 *
    m.x2 + m.x3) - m.x3 == 0)
m.e4 = Constraint(expr= m.x1 + m.x2 + m.x3 == 1)
