# NLP written by GAMS Convert at 02/17/22 17:19:07
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         2        2        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         4        4        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         4        4        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.4994)
m.x2 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.0006)
m.x3 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.1179)
m.x4 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.3821)

m.obj = Objective(sense=minimize, expr= m.x1 * log(m.x1 / (8 * m.x1 + m.x3)) +
    m.x3 * log(m.x3 / (8 * m.x1 + m.x3)) + 0.0696225416798359 * m.x1 + 0.752006
    * m.x3 + log(8 * m.x1 + 1.6 * m.x3) * (8 * m.x1 + 1.6 * m.x3) + 5 * log(
    m.x1 / (5.00000397494442 * m.x1 + 0.480353357956269 * m.x3)) * m.x1 + 3 *
    log(m.x1 / (8.96062592375197 * m.x1 + 1.13841069150863 * m.x3)) * m.x1 +
    1.6 * log(m.x3 / (1.69889877049372 * m.x1 + 1.6 * m.x3)) * m.x3 + m.x2 *
    log(m.x2 / (8 * m.x2 + m.x4)) + m.x4 * log(m.x4 / (8 * m.x2 + m.x4)) +
    0.0696225416798359 * m.x2 + 0.752006 * m.x4 + log(8 * m.x2 + 1.6 * m.x4) *
    (8 * m.x2 + 1.6 * m.x4) + 5 * log(m.x2 / (5.00000397494442 * m.x2 +
    0.480353357956269 * m.x4)) * m.x2 + 3 * log(m.x2 / (8.96062592375197 * m.x2
    + 1.13841069150863 * m.x4)) * m.x2 + 1.6 * log(m.x4 / (1.69889877049372 *
    m.x2 + 1.6 * m.x4)) * m.x4 - 8 * log(m.x1) * m.x1 - 1.6 * log(m.x3) * m.x3
    - 8 * log(m.x2) * m.x2 - 1.6 * log(m.x4) * m.x4)

m.e1 = Constraint(expr= m.x1 + m.x2 == 0.5)
m.e2 = Constraint(expr= m.x3 + m.x4 == 0.5)
