# NLP written by GAMS Convert at 02/17/22 17:19:07
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         2        2        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         4        4        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         4        4        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.0583)
m.x2 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.4417)
m.x3 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.408)
m.x4 = Var(within=Reals, bounds=(1e-07,0.5), initialize=0.092)

m.obj = Objective(sense=minimize, expr= m.x1 * (log(m.x1 / (m.x1 + m.x3)) + log
    (m.x1 / (m.x1 + 0.095173 * m.x3))) + m.x3 * (log(m.x3 / (m.x1 + m.x3)) +
    log(m.x3 / (0.30384 * m.x1 + m.x3))) + log(m.x1 + 2.6738 * m.x3) * (m.x1 +
    2.6738 * m.x3) + log(0.374 * m.x1 + m.x3) * (0.374 * m.x1 + m.x3) + 2.6738
    * log(m.x3 / (m.x1 + 2.6738 * m.x3)) * m.x3 + 0.374 * log(m.x1 / (0.374 *
    m.x1 + m.x3)) * m.x1 + m.x2 * (log(m.x2 / (m.x2 + m.x4)) + log(m.x2 / (m.x2
    + 0.095173 * m.x4))) + m.x4 * (log(m.x4 / (m.x2 + m.x4)) + log(m.x4 / (
    0.30384 * m.x2 + m.x4))) + log(m.x2 + 2.6738 * m.x4) * (m.x2 + 2.6738 *
    m.x4) + log(0.374 * m.x2 + m.x4) * (0.374 * m.x2 + m.x4) + 2.6738 * log(
    m.x4 / (m.x2 + 2.6738 * m.x4)) * m.x4 + 0.374 * log(m.x2 / (0.374 * m.x2 +
    m.x4)) * m.x2 - 3.6838 * log(m.x1) * m.x1 - 1.59549 * log(m.x3) * m.x3 -
    3.6838 * log(m.x2) * m.x2 - 1.59549 * log(m.x4) * m.x4)

m.e1 = Constraint(expr= m.x1 + m.x2 == 0.5)
m.e2 = Constraint(expr= m.x3 + m.x4 == 0.5)
