# NLP written by GAMS Convert at 02/17/22 17:19:08
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         6        0        0        6        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         8        8        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        17        7       10
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(100,1e+04), initialize=100)
m.x2 = Var(within=Reals, bounds=(1000,1e+04), initialize=1000)
m.x3 = Var(within=Reals, bounds=(1000,1e+04), initialize=1000)
m.x4 = Var(within=Reals, bounds=(10,1000), initialize=10)
m.x5 = Var(within=Reals, bounds=(10,1000), initialize=10)
m.x6 = Var(within=Reals, bounds=(10,1000), initialize=10)
m.x7 = Var(within=Reals, bounds=(10,1000), initialize=10)
m.x8 = Var(within=Reals, bounds=(10,1000), initialize=10)

m.obj = Objective(sense=minimize, expr= m.x1 + m.x2 + m.x3)

m.e1 = Constraint(expr= 833.33252 * m.x4 / m.x1 / m.x6 + 100 / m.x6 - 83333.333
    / (m.x1 * m.x6) <= 1)
m.e2 = Constraint(expr= 1250 * m.x5 / m.x2 / m.x7 + m.x4 / m.x7 - 1250 * m.x4
    / m.x2 / m.x7 <= 1)
m.e3 = Constraint(expr= 1.25e+06 / (m.x3 * m.x8) + m.x5 / m.x8 - 2500 * m.x5 /
    m.x3 / m.x8 <= 1)
m.e4 = Constraint(expr= 0.0025 * m.x4 + 0.0025 * m.x6 <= 1)
m.e5 = Constraint(expr= -0.0025 * m.x4 + 0.0025 * m.x5 + 0.0025 * m.x7 <= 1)
m.e6 = Constraint(expr= -0.01 * m.x5 + 0.01 * m.x8 <= 1)
