# NLP written by GAMS Convert at 02/17/22 17:19:08
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         7        0        0        7        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         4        4        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        15       12        3
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x4)

m.e1 = Constraint(expr= 10 * m.x2**2 * m.x3**3 + 10 * m.x2**3 * m.x3**2 + 200
    * m.x2**2 * m.x3**2 + 100 * m.x2**3 * m.x3 + 100 * m.x3**3 * m.x2 + m.x1
    * m.x2 * m.x3**2 + m.x1 * m.x2**2 * m.x3 + 1000 * m.x3**2 * m.x2 + 8 *
    m.x3**2 * m.x1 + 1000 * m.x2**2 * m.x3 + 8 * m.x2**2 * m.x1 + 6 * m.x1 *
    m.x2 * m.x3 - m.x1**2 + 60 * m.x1 * m.x3 + 60 * m.x1 * m.x2 - 200 * m.x1
    <= 0)
m.e2 = Constraint(expr= -m.x1 - 800 * m.x4 <= -800)
m.e3 = Constraint(expr= m.x1 - 800 * m.x4 <= 800)
m.e4 = Constraint(expr= -m.x2 - 2 * m.x4 <= -4)
m.e5 = Constraint(expr= m.x2 - 2 * m.x4 <= 4)
m.e6 = Constraint(expr= -m.x3 - 3 * m.x4 <= -6)
m.e7 = Constraint(expr= m.x3 - 3 * m.x4 <= 6)
