# NLP written by GAMS Convert at 02/17/22 17:19:08
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        15       11        0        4        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        13       13        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        44       19       25
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x4 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x5 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x7 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x8 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x9 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x10 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x12 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x13 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x4)

m.e1 = Constraint(expr= m.x13 * m.x3**8 - m.x11 * m.x3**6 + m.x9 * m.x3**4 -
    m.x7 * m.x3**2 + m.x5 == 0)
m.e2 = Constraint(expr= m.x12 * m.x3**6 - m.x10 * m.x3**4 + m.x8 * m.x3**2 -
    m.x6 == 0)
m.e3 = Constraint(expr= -m.x1 - 0.145 * m.x4 <= -0.175)
m.e4 = Constraint(expr= m.x1 - 0.145 * m.x4 <= 0.175)
m.e5 = Constraint(expr= -m.x2 - 0.15 * m.x4 <= -0.2)
m.e6 = Constraint(expr= m.x2 - 0.15 * m.x4 <= 0.2)
m.e7 = Constraint(expr= -4.53 * m.x1**2 + m.x5 == 0)
m.e8 = Constraint(expr= -5.28 * m.x1**2 - 0.364 * m.x1 + m.x6 == 0)
m.e9 = Constraint(expr= -5.72 * m.x1**2 * m.x2 - 1.13 * m.x1**2 - 0.425 * m.x1
    + m.x7 == 0)
m.e10 = Constraint(expr= -6.93 * m.x1**2 * m.x2 - 0.0911 * m.x1 + m.x8
    == 0.00422)
m.e11 = Constraint(expr= -1.45 * m.x1**2 * m.x2 - 0.168 * m.x1 * m.x2 + m.x9
    == 0.000338)
m.e12 = Constraint(expr= -1.56 * m.x1**2 * m.x2**2 - 0.00084 * m.x1**2 * m.x2
    - 0.0135 * m.x1 * m.x2 + m.x10 == 1.35e-05)
m.e13 = Constraint(expr= -0.125 * m.x1**2 * m.x2**2 - 1.68e-05 * m.x1**2 * m.x2
    - 0.000539 * m.x1 * m.x2 + m.x11 == 2.7e-07)
m.e14 = Constraint(expr= -0.005 * m.x1**2 * m.x2**2 - 1.08e-05 * m.x1 * m.x2 +
    m.x12 == 0)
m.e15 = Constraint(expr= -0.0001 * m.x1**2 * m.x2**2 + m.x13 == 0)
