# NLP written by GAMS Convert at 02/17/22 17:19:08
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         5        1        0        4        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         5        5        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        14        6        8
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(-5,5), initialize=0)
m.x2 = Var(within=Reals, bounds=(-5,5), initialize=0)
m.x3 = Var(within=Reals, bounds=(-5,5), initialize=0)
m.x4 = Var(within=Reals, bounds=(-5,5), initialize=0)
m.x5 = Var(within=Reals, bounds=(-5,5), initialize=0)

m.obj = Objective(sense=minimize, expr= (-1 + m.x1)**2 + (m.x1 - m.x2)**2 + (
    m.x2 - m.x3)**3 + (m.x3 - m.x4)**4 + (m.x4 - m.x5)**4)

m.e1 = Constraint(expr= m.x2**2 + m.x3**3 + m.x1 <= 6.24264068711929)
m.e2 = Constraint(expr= -m.x3**3 - m.x2**2 - m.x1 <= -6.24264068711929)
m.e3 = Constraint(expr= -m.x3**2 + m.x2 + m.x4 <= 0.82842712474619)
m.e4 = Constraint(expr= m.x3**2 - m.x2 - m.x4 <= -0.82842712474619)
m.e5 = Constraint(expr= 0.5 * m.x1 * m.x5 + 0.5 * m.x1 * m.x5 == 2)
