# NLP written by GAMS Convert at 02/17/22 17:19:10
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        4        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         6        6        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        14        8        6
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=0.333333333333333)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=0.333333333333333)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=0.333333333333333)
m.x4 = Var(within=Reals, bounds=(None,None), initialize=2)
m.x5 = Var(within=Reals, bounds=(None,None), initialize=1)
m.x6 = Var(within=Reals, bounds=(None,None), initialize=1)

m.obj = Objective(sense=minimize, expr= m.x1 * log(m.x1) + m.x2 * log(m.x2) +
    m.x3 * log(m.x3) - log(m.x4 - m.x6) + m.x4 - 0.353553390593274 * log((m.x4
    + 2.41421356237309 * m.x6) / (m.x4 - 0.414213562373095 * m.x6)) * m.x5 /
    m.x6 + 1.42876598488588 * m.x1 + 1.27098480432594 * m.x2 + 1.62663700075562
    * m.x3 - 1)

m.e1 = Constraint(expr= m.x4**3 - m.x4**2 * (1 - m.x6) + m.x4 * (-3 * m.x6**2
    - 2 * m.x6 + m.x5) - m.x5 * m.x6 + m.x6**3 + m.x6**2 == 0)
m.e2 = Constraint(expr= -0.142724 * m.x1 * m.x1 - 0.206577 * m.x1 * m.x2 -
    0.342119 * m.x1 * m.x3 - 0.206577 * m.x2 * m.x1 - 0.323084 * m.x2 * m.x2 -
    0.547748 * m.x2 * m.x3 - 0.342119 * m.x3 * m.x1 - 0.547748 * m.x3 * m.x2 -
    0.968906 * m.x3 * m.x3 + m.x5 == 0)
m.e3 = Constraint(expr= -0.0815247 * m.x1 - 0.0907391 * m.x2 - 0.13705 * m.x3
    + m.x6 == 0)
m.e4 = Constraint(expr= m.x1 + m.x2 + m.x3 == 1)
