# NLP written by GAMS Convert at 02/17/22 17:19:11
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        11        8        0        3        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        10       10        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        24       16        8
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,20), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,20), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,20), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,20), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,20), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,20), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,20), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,20), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x1 * m.x1 + (-10 + m.x2) * (-10 +
    m.x2))

m.e1 = Constraint(expr= m.x1 <= 15)
m.e2 = Constraint(expr= -m.x1 + m.x2 <= 0)
m.e3 = Constraint(expr= -m.x1 <= 0)
m.e4 = Constraint(expr= m.x1 + m.x2 + m.x3 == 20)
m.e5 = Constraint(expr= -m.x2 + m.x4 == 0)
m.e6 = Constraint(expr= m.x2 + m.x5 == 20)
m.e7 = Constraint(expr= m.x3 * m.x7 == 0)
m.e8 = Constraint(expr= m.x4 * m.x8 == 0)
m.e9 = Constraint(expr= m.x5 * m.x9 == 0)
m.e10 = Constraint(expr= m.x6 * m.x10 == 0)
m.e11 = Constraint(expr= 2 * m.x1 + 4 * m.x2 + m.x7 - m.x8 + m.x9 == 60)
