# NLP written by GAMS Convert at 02/17/22 17:19:11
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        15       14        0        1        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        16       16        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        40       28       12
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=-8)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=-8)
m.x3 = Var(within=Reals, bounds=(0,50), initialize=1)
m.x4 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,200), initialize=0)

m.obj = Objective(sense=minimize, expr= -3 * m.x1 - 3 * m.x2 + 2 * m.x3 + 2 *
    m.x4 - 60)

m.e1 = Constraint(expr= m.x1 - 2 * m.x2 + m.x3 + m.x4 <= 40)
m.e2 = Constraint(expr= 2 * m.x1 - m.x3 + m.x5 == -10)
m.e3 = Constraint(expr= 2 * m.x2 - m.x4 + m.x6 == -10)
m.e4 = Constraint(expr= -m.x1 + m.x7 == 10)
m.e5 = Constraint(expr= m.x1 + m.x8 == 20)
m.e6 = Constraint(expr= -m.x2 + m.x9 == 10)
m.e7 = Constraint(expr= m.x2 + m.x10 == 20)
m.e8 = Constraint(expr= m.x5 * m.x11 == 0)
m.e9 = Constraint(expr= m.x6 * m.x12 == 0)
m.e10 = Constraint(expr= m.x7 * m.x13 == 0)
m.e11 = Constraint(expr= m.x8 * m.x14 == 0)
m.e12 = Constraint(expr= m.x9 * m.x15 == 0)
m.e13 = Constraint(expr= m.x10 * m.x16 == 0)
m.e14 = Constraint(expr= 2 * m.x1 - 2 * m.x3 + 2 * m.x11 - m.x13 + m.x14
    == -40)
m.e15 = Constraint(expr= 2 * m.x2 - 2 * m.x4 + 2 * m.x12 - m.x15 + m.x16
    == -40)
