# MINLP written by GAMS Convert at 02/17/22 17:19:34
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        42        6        8       28        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        42       18       24        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       152      148        4
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,97), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,97), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,97), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,97), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,97), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,97), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,97), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,97), initialize=0)
m.x9 = Var(within=Reals, bounds=(3,13.3333333333333), initialize=3)
m.x10 = Var(within=Reals, bounds=(3,16.6666666666667), initialize=3)
m.x11 = Var(within=Reals, bounds=(3,20), initialize=3)
m.x12 = Var(within=Reals, bounds=(3,11.6666666666667), initialize=3)
m.x13 = Var(within=Reals, bounds=(3,13.3333333333333), initialize=3)
m.x14 = Var(within=Reals, bounds=(3,16.6666666666667), initialize=3)
m.x15 = Var(within=Reals, bounds=(3,20), initialize=3)
m.x16 = Var(within=Reals, bounds=(3,11.6666666666667), initialize=3)
m.x17 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,100), initialize=0)
m.b19 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b20 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b21 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b22 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b23 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b24 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b25 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b26 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b27 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b28 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b29 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b30 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b31 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b32 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b33 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b34 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b35 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b36 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b37 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b38 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b39 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b40 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b41 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b42 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= 2 * m.x17 + 2 * m.x18)

m.e1 = Constraint(expr= -m.x1 - m.x9 + m.x17 >= 0)
m.e2 = Constraint(expr= -m.x2 - m.x10 + m.x17 >= 0)
m.e3 = Constraint(expr= -m.x3 - m.x11 + m.x17 >= 0)
m.e4 = Constraint(expr= -m.x4 - m.x12 + m.x17 >= 0)
m.e5 = Constraint(expr= -m.x5 - m.x13 + m.x18 >= 0)
m.e6 = Constraint(expr= -m.x6 - m.x14 + m.x18 >= 0)
m.e7 = Constraint(expr= -m.x7 - m.x15 + m.x18 >= 0)
m.e8 = Constraint(expr= -m.x8 - m.x16 + m.x18 >= 0)
m.e9 = Constraint(expr= 40 / m.x13 - m.x9 <= 0)
m.e10 = Constraint(expr= 50 / m.x14 - m.x10 <= 0)
m.e11 = Constraint(expr= 60 / m.x15 - m.x11 <= 0)
m.e12 = Constraint(expr= 35 / m.x16 - m.x12 <= 0)
m.e13 = Constraint(expr= m.x1 - m.x2 + m.x9 + 110.333333333333 * m.b19
    <= 110.333333333333)
m.e14 = Constraint(expr= m.x1 - m.x3 + m.x9 + 110.333333333333 * m.b20
    <= 110.333333333333)
m.e15 = Constraint(expr= m.x1 - m.x4 + m.x9 + 110.333333333333 * m.b21
    <= 110.333333333333)
m.e16 = Constraint(expr= m.x2 - m.x3 + m.x10 + 113.666666666667 * m.b22
    <= 113.666666666667)
m.e17 = Constraint(expr= m.x2 - m.x4 + m.x10 + 113.666666666667 * m.b23
    <= 113.666666666667)
m.e18 = Constraint(expr= m.x3 - m.x4 + m.x11 + 117 * m.b24 <= 117)
m.e19 = Constraint(expr= -m.x1 + m.x2 + m.x10 + 113.666666666667 * m.b25
    <= 113.666666666667)
m.e20 = Constraint(expr= -m.x1 + m.x3 + m.x11 + 117 * m.b26 <= 117)
m.e21 = Constraint(expr= -m.x1 + m.x4 + m.x12 + 108.666666666667 * m.b27
    <= 108.666666666667)
m.e22 = Constraint(expr= -m.x2 + m.x3 + m.x11 + 117 * m.b28 <= 117)
m.e23 = Constraint(expr= -m.x2 + m.x4 + m.x12 + 108.666666666667 * m.b29
    <= 108.666666666667)
m.e24 = Constraint(expr= -m.x3 + m.x4 + m.x12 + 108.666666666667 * m.b30
    <= 108.666666666667)
m.e25 = Constraint(expr= m.x5 - m.x6 + m.x13 + 110.333333333333 * m.b31
    <= 110.333333333333)
m.e26 = Constraint(expr= m.x5 - m.x7 + m.x13 + 110.333333333333 * m.b32
    <= 110.333333333333)
m.e27 = Constraint(expr= m.x5 - m.x8 + m.x13 + 110.333333333333 * m.b33
    <= 110.333333333333)
m.e28 = Constraint(expr= m.x6 - m.x7 + m.x14 + 113.666666666667 * m.b34
    <= 113.666666666667)
m.e29 = Constraint(expr= m.x6 - m.x8 + m.x14 + 113.666666666667 * m.b35
    <= 113.666666666667)
m.e30 = Constraint(expr= m.x7 - m.x8 + m.x15 + 117 * m.b36 <= 117)
m.e31 = Constraint(expr= -m.x5 + m.x6 + m.x14 + 113.666666666667 * m.b37
    <= 113.666666666667)
m.e32 = Constraint(expr= -m.x5 + m.x7 + m.x15 + 117 * m.b38 <= 117)
m.e33 = Constraint(expr= -m.x5 + m.x8 + m.x16 + 108.666666666667 * m.b39
    <= 108.666666666667)
m.e34 = Constraint(expr= -m.x6 + m.x7 + m.x15 + 117 * m.b40 <= 117)
m.e35 = Constraint(expr= -m.x6 + m.x8 + m.x16 + 108.666666666667 * m.b41
    <= 108.666666666667)
m.e36 = Constraint(expr= -m.x7 + m.x8 + m.x16 + 108.666666666667 * m.b42
    <= 108.666666666667)
m.e37 = Constraint(expr= m.b19 + m.b25 + m.b31 + m.b37 == 1)
m.e38 = Constraint(expr= m.b20 + m.b26 + m.b32 + m.b38 == 1)
m.e39 = Constraint(expr= m.b21 + m.b27 + m.b33 + m.b39 == 1)
m.e40 = Constraint(expr= m.b22 + m.b28 + m.b34 + m.b40 == 1)
m.e41 = Constraint(expr= m.b23 + m.b29 + m.b35 + m.b41 == 1)
m.e42 = Constraint(expr= m.b24 + m.b30 + m.b36 + m.b42 == 1)
