# MINLP written by GAMS Convert at 02/17/22 17:19:36
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        15        6        6        3        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        15       12        3        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        35       32        3
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.b1 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b2 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b3 = Var(within=Binary, bounds=(0,1), initialize=0)
m.x4 = Var(within=Reals, bounds=(None,None), initialize=100)
m.x5 = Var(within=Reals, bounds=(None,None), initialize=100)
m.x6 = Var(within=Reals, bounds=(None,None), initialize=100)
m.x7 = Var(within=Reals, bounds=(50,700), initialize=50)
m.x8 = Var(within=Reals, bounds=(50,700), initialize=50)
m.x9 = Var(within=Reals, bounds=(50,700), initialize=50)
m.x10 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,4000), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,4000), initialize=0)
m.x15 = Var(within=Reals, bounds=(2000,4000), initialize=2000)

m.obj = Objective(sense=minimize, expr= 0.0025 * m.x7**2 + 6 * m.x7 + 0.0025 *
    m.x8**2 + 6 * m.x8 + 0.0025 * m.x9**2 + 6 * m.x9 + 900)

m.e1 = Constraint(expr= -100 * m.b1 + m.x4 >= 0)
m.e2 = Constraint(expr= -100 * m.b2 + m.x5 >= 0)
m.e3 = Constraint(expr= -100 * m.b3 + m.x6 >= 0)
m.e4 = Constraint(expr= -500 * m.b1 + m.x4 <= 0)
m.e5 = Constraint(expr= -500 * m.b2 + m.x5 <= 0)
m.e6 = Constraint(expr= -500 * m.b3 + m.x6 <= 0)
m.e7 = Constraint(expr= m.x10 + m.x13 == 3500)
m.e8 = Constraint(expr= m.x11 - m.x13 + m.x14 == 500)
m.e9 = Constraint(expr= m.x12 - m.x14 + m.x15 == 500)
m.e10 = Constraint(expr= m.x4 + m.x7 >= 400)
m.e11 = Constraint(expr= m.x5 + m.x8 >= 900)
m.e12 = Constraint(expr= m.x6 + m.x9 >= 700)
m.e13 = Constraint(expr= -0.005 * m.x4**2 - m.x4 - 50 * m.b1 + m.x10 == 0)
m.e14 = Constraint(expr= -0.005 * m.x5**2 - m.x5 - 50 * m.b2 + m.x11 == 0)
m.e15 = Constraint(expr= -0.005 * m.x6**2 - m.x6 - 50 * m.b3 + m.x12 == 0)
