# MINLP written by GAMS Convert at 02/17/22 17:19:48
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        0        2        2        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         4        1        3        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        12       12        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.2,1), initialize=0.2)
m.b2 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b3 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b4 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= 5 * m.x1**2 + m.b2 + m.b3 + m.b4)

m.e1 = Constraint(expr= 3 * m.x1 - m.b2 - m.b3 <= 0)
m.e2 = Constraint(expr= -m.x1 + 0.1 * m.b3 + 0.25 * m.b4 <= 0)
m.e3 = Constraint(expr= m.b2 + m.b3 + m.b4 >= 2)
m.e4 = Constraint(expr= m.b2 + m.b3 + 2 * m.b4 >= 2)
