# MINLP written by GAMS Convert at 02/17/22 17:19:48
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        4        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        28        4       24        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        28       28        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(12,60), initialize=12)
m.x2 = Var(within=Reals, bounds=(12,60), initialize=12)
m.x3 = Var(within=Reals, bounds=(12,60), initialize=12)
m.x4 = Var(within=Reals, bounds=(12,60), initialize=12)
m.b5 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b6 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b7 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b8 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b9 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b10 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b11 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b12 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b13 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b14 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b15 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b16 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b17 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b18 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b19 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b20 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b21 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b22 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b23 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b24 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b25 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b26 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b27 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b28 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= (-m.x1 * m.x2 / (m.x3 * m.x4) +
    0.14427932477276)**2)

m.e1 = Constraint(expr= m.x1 - m.b5 - 2 * m.b6 - 4 * m.b7 - 8 * m.b8 - 16 *
    m.b9 - 32 * m.b10 == 0)
m.e2 = Constraint(expr= m.x2 - m.b11 - 2 * m.b12 - 4 * m.b13 - 8 * m.b14 - 16 *
    m.b15 - 32 * m.b16 == 0)
m.e3 = Constraint(expr= m.x3 - m.b17 - 2 * m.b18 - 4 * m.b19 - 8 * m.b20 - 16 *
    m.b21 - 32 * m.b22 == 0)
m.e4 = Constraint(expr= m.x4 - m.b23 - 2 * m.b24 - 4 * m.b25 - 8 * m.b26 - 16 *
    m.b27 - 32 * m.b28 == 0)
