# MINLP written by GAMS Convert at 02/17/22 17:19:48
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         4        4        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         8        4        0        4        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         8        8        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(12,60), initialize=12)
m.x2 = Var(within=Reals, bounds=(12,60), initialize=12)
m.x3 = Var(within=Reals, bounds=(12,60), initialize=12)
m.x4 = Var(within=Reals, bounds=(12,60), initialize=12)
m.i5 = Var(within=Integers, bounds=(12,60), initialize=12)
m.i6 = Var(within=Integers, bounds=(12,60), initialize=12)
m.i7 = Var(within=Integers, bounds=(12,60), initialize=12)
m.i8 = Var(within=Integers, bounds=(12,60), initialize=12)

m.obj = Objective(sense=minimize, expr= (-m.x1 * m.x2 / (m.x3 * m.x4) +
    0.14427932477276)**2)

m.e1 = Constraint(expr= m.x1 - m.i5 == 0)
m.e2 = Constraint(expr= m.x2 - m.i6 == 0)
m.e3 = Constraint(expr= m.x3 - m.i7 == 0)
m.e4 = Constraint(expr= m.x4 - m.i8 == 0)
