# MINLP written by GAMS Convert at 02/17/22 17:19:49
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         8        5        0        3        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        11        8        3        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        19       17        2
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,1), initialize=0)
m.b9 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b10 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b11 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= 1.8 * m.x1 + 7 * m.x5 + m.x6 + 1.2 *
    m.x7 - 11 * m.x8 + 3.5 * m.b9 + m.b10 + 1.5 * m.b11)

m.e1 = Constraint(expr= -log(1 + m.x2) + m.x6 == 0)
m.e2 = Constraint(expr= -1.2 * log(1 + m.x3) + m.x7 == 0)
m.e3 = Constraint(expr= -0.9 * m.x4 + m.x8 == 0)
m.e4 = Constraint(expr= -m.x4 + m.x5 + m.x6 + m.x7 == 0)
m.e5 = Constraint(expr= m.x1 - m.x2 - m.x3 == 0)
m.e6 = Constraint(expr= m.x4 - 5 * m.b9 <= 0)
m.e7 = Constraint(expr= m.x2 - 5 * m.b10 <= 0)
m.e8 = Constraint(expr= m.x3 - 5 * m.b11 <= 0)
