# NLP written by GAMS Convert at 02/17/22 17:20:02
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        21        6        0       15        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        18       18        0        0        0        0        0        0
# FX      3
#
# Nonzero counts
#     Total    const       NL
#        90        6       84
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,0), initialize=0)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=0.5)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=0.5)
m.x4 = Var(within=Reals, bounds=(None,None), initialize=0.5)
m.x5 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,0), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,0), initialize=0)
m.x9 = Var(within=Reals, bounds=(None,None), initialize=0.4)
m.x10 = Var(within=Reals, bounds=(None,None), initialize=0.8)
m.x11 = Var(within=Reals, bounds=(None,None), initialize=0.8)
m.x12 = Var(within=Reals, bounds=(None,None), initialize=0.4)
m.x13 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x14 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x15 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x16 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x17 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x18 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -m.x13 - m.x14 - m.x15 - m.x16 - m.x17
    - m.x18)

m.e1 = Constraint(expr= (m.x1 - m.x2)**2 + (m.x7 - m.x8)**2 <= 1)
m.e2 = Constraint(expr= (m.x1 - m.x3)**2 + (m.x7 - m.x9)**2 <= 1)
m.e3 = Constraint(expr= (m.x1 - m.x4)**2 + (m.x7 - m.x10)**2 <= 1)
m.e4 = Constraint(expr= (m.x1 - m.x5)**2 + (m.x7 - m.x11)**2 <= 1)
m.e5 = Constraint(expr= (m.x1 - m.x6)**2 + (m.x7 - m.x12)**2 <= 1)
m.e6 = Constraint(expr= (m.x2 - m.x3)**2 + (m.x8 - m.x9)**2 <= 1)
m.e7 = Constraint(expr= (m.x2 - m.x4)**2 + (m.x8 - m.x10)**2 <= 1)
m.e8 = Constraint(expr= (m.x2 - m.x5)**2 + (m.x8 - m.x11)**2 <= 1)
m.e9 = Constraint(expr= (m.x2 - m.x6)**2 + (m.x8 - m.x12)**2 <= 1)
m.e10 = Constraint(expr= (m.x3 - m.x4)**2 + (m.x9 - m.x10)**2 <= 1)
m.e11 = Constraint(expr= (m.x3 - m.x5)**2 + (m.x9 - m.x11)**2 <= 1)
m.e12 = Constraint(expr= (m.x3 - m.x6)**2 + (m.x9 - m.x12)**2 <= 1)
m.e13 = Constraint(expr= (m.x4 - m.x5)**2 + (m.x10 - m.x11)**2 <= 1)
m.e14 = Constraint(expr= (m.x4 - m.x6)**2 + (m.x10 - m.x12)**2 <= 1)
m.e15 = Constraint(expr= (m.x5 - m.x6)**2 + (m.x11 - m.x12)**2 <= 1)
m.e16 = Constraint(expr= -0.5 * (m.x1 * m.x8 - m.x7 * m.x2) + m.x13 == 0)
m.e17 = Constraint(expr= -0.5 * (m.x2 * m.x9 - m.x8 * m.x3) + m.x14 == 0)
m.e18 = Constraint(expr= -0.5 * (m.x3 * m.x10 - m.x9 * m.x4) + m.x15 == 0)
m.e19 = Constraint(expr= -0.5 * (m.x4 * m.x11 - m.x10 * m.x5) + m.x16 == 0)
m.e20 = Constraint(expr= -0.5 * (m.x5 * m.x12 - m.x11 * m.x6) + m.x17 == 0)
m.e21 = Constraint(expr= -0.5 * (m.x6 * m.x7 - m.x12 * m.x1) + m.x18 == 0)
