# NLP written by GAMS Convert at 02/17/22 17:20:02
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         8        4        3        1        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         8        8        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        23       14        9
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=30)
m.x2 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(40,68), initialize=68)
m.x5 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(56,100), initialize=56)
m.x7 = Var(within=Reals, bounds=(None,3000), initialize=0)
m.x8 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -m.x7 - m.x8)

m.e1 = Constraint(expr= -m.x1 * m.x2 - m.x5 * m.x4 + m.x7 == 0)
m.e2 = Constraint(expr= -m.x1 * m.x3 + m.x8 == 0)
m.e3 = Constraint(expr= -m.x2 - m.x5 + m.x6 == 0)
m.e4 = Constraint(expr= m.x1 - 0.333333333333333 * m.x4 >= 0)
m.e5 = Constraint(expr= m.x1 - 0.5 * m.x4 <= 0)
m.e6 = Constraint(expr= m.x2 * (-m.x1 + m.x4) >= 1500)
m.e7 = Constraint(expr= -0.5 * m.x2 + m.x3 - m.x5 == 0)
m.e8 = Constraint(expr= -0.5 * m.x2 + m.x5 >= 0)
