# NLP written by GAMS Convert at 02/17/22 17:20:03
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        24       18        6        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        31       31        0        0        0        0        0        0
# FX      1
#
# Nonzero counts
#     Total    const       NL
#        60       54        6
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(150,1500), initialize=150)
m.x2 = Var(within=Reals, bounds=(150,1500), initialize=150)
m.x3 = Var(within=Reals, bounds=(150,1500), initialize=150)
m.x4 = Var(within=Reals, bounds=(150,1500), initialize=150)
m.x5 = Var(within=Reals, bounds=(150,1500), initialize=150)
m.x6 = Var(within=Reals, bounds=(150,1500), initialize=150)
m.x7 = Var(within=Reals, bounds=(0,1000), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,1000), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,1000), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,1000), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,1000), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,1000), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x25 = Var(within=Reals, bounds=(1e+05,1e+05), initialize=1e+05)
m.x26 = Var(within=Reals, bounds=(6e+04,1.2e+05), initialize=6e+04)
m.x27 = Var(within=Reals, bounds=(6e+04,1.2e+05), initialize=6e+04)
m.x28 = Var(within=Reals, bounds=(6e+04,1.2e+05), initialize=6e+04)
m.x29 = Var(within=Reals, bounds=(6e+04,1.2e+05), initialize=6e+04)
m.x30 = Var(within=Reals, bounds=(6e+04,1.2e+05), initialize=6e+04)
m.x31 = Var(within=Reals, bounds=(6e+04,1.2e+05), initialize=6e+04)

m.obj = Objective(sense=minimize, expr= 82.8 * (0.0016 * m.x1**2 + 8 * m.x1 +
    0.0016 * m.x2**2 + 8 * m.x2 + 0.0016 * m.x3**2 + 8 * m.x3 + 0.0016 * m.x4**
    2 + 8 * m.x4 + 0.0016 * m.x5**2 + 8 * m.x5 + 0.0016 * m.x6**2 + 8 * m.x6)
    + 248400)

m.e1 = Constraint(expr= m.x1 + m.x7 - m.x13 >= 1200)
m.e2 = Constraint(expr= m.x2 + m.x8 - m.x14 >= 1500)
m.e3 = Constraint(expr= m.x3 + m.x9 - m.x15 >= 1100)
m.e4 = Constraint(expr= m.x4 + m.x10 - m.x16 >= 1800)
m.e5 = Constraint(expr= m.x5 + m.x11 - m.x17 >= 950)
m.e6 = Constraint(expr= m.x6 + m.x12 - m.x18 >= 1300)
m.e7 = Constraint(expr= 12 * m.x19 - m.x25 + m.x26 == 24000)
m.e8 = Constraint(expr= 12 * m.x20 - m.x26 + m.x27 == 24000)
m.e9 = Constraint(expr= 12 * m.x21 - m.x27 + m.x28 == 24000)
m.e10 = Constraint(expr= 12 * m.x22 - m.x28 + m.x29 == 24000)
m.e11 = Constraint(expr= 12 * m.x23 - m.x29 + m.x30 == 24000)
m.e12 = Constraint(expr= 12 * m.x24 - m.x30 + m.x31 == 24000)
m.e13 = Constraint(expr= -8e-05 * m.x7**2 + m.x13 == 0)
m.e14 = Constraint(expr= -8e-05 * m.x8**2 + m.x14 == 0)
m.e15 = Constraint(expr= -8e-05 * m.x9**2 + m.x15 == 0)
m.e16 = Constraint(expr= -8e-05 * m.x10**2 + m.x16 == 0)
m.e17 = Constraint(expr= -8e-05 * m.x11**2 + m.x17 == 0)
m.e18 = Constraint(expr= -8e-05 * m.x12**2 + m.x18 == 0)
m.e19 = Constraint(expr= -4.97 * m.x7 + m.x19 == 330)
m.e20 = Constraint(expr= -4.97 * m.x8 + m.x20 == 330)
m.e21 = Constraint(expr= -4.97 * m.x9 + m.x21 == 330)
m.e22 = Constraint(expr= -4.97 * m.x10 + m.x22 == 330)
m.e23 = Constraint(expr= -4.97 * m.x11 + m.x23 == 330)
m.e24 = Constraint(expr= -4.97 * m.x12 + m.x24 == 330)
