# NLP written by GAMS Convert at 02/17/22 17:20:13
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        24        2        6       16        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        12       12        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        59       33       26
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.25,8), initialize=0.25)
m.x2 = Var(within=Reals, bounds=(0.5,3.5), initialize=0.5)
m.x3 = Var(within=Reals, bounds=(0.5,1.5), initialize=0.5)
m.x4 = Var(within=Reals, bounds=(0.5,3.5), initialize=0.5)
m.x5 = Var(within=Reals, bounds=(0.5,1.5), initialize=0.5)
m.x6 = Var(within=Reals, bounds=(0.5,3.5), initialize=0.5)
m.x7 = Var(within=Reals, bounds=(0.5,1.5), initialize=0.5)
m.x8 = Var(within=Reals, bounds=(0.5,3.5), initialize=0.5)
m.x9 = Var(within=Reals, bounds=(0.5,1.5), initialize=0.5)
m.x10 = Var(within=Reals, bounds=(0,4), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,2), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,8), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x12)

m.e1 = Constraint(expr= -m.x1 + m.x12 == -3.14159265358979)
m.e2 = Constraint(expr= -m.x10 * m.x11 + m.x1 == 0)
m.e3 = Constraint(expr= (m.x2 - m.x4) * (m.x2 - m.x4) + (m.x3 - m.x5) * (m.x3
    - m.x5) >= 1)
m.e4 = Constraint(expr= (m.x2 - m.x6) * (m.x2 - m.x6) + (m.x3 - m.x7) * (m.x3
    - m.x7) >= 1)
m.e5 = Constraint(expr= (m.x2 - m.x8) * (m.x2 - m.x8) + (m.x3 - m.x9) * (m.x3
    - m.x9) >= 1)
m.e6 = Constraint(expr= (m.x4 - m.x6) * (m.x4 - m.x6) + (m.x5 - m.x7) * (m.x5
    - m.x7) >= 1)
m.e7 = Constraint(expr= (m.x4 - m.x8) * (m.x4 - m.x8) + (m.x5 - m.x9) * (m.x5
    - m.x9) >= 1)
m.e8 = Constraint(expr= (m.x6 - m.x8) * (m.x6 - m.x8) + (m.x7 - m.x9) * (m.x7
    - m.x9) >= 1)
m.e9 = Constraint(expr= m.x2 - m.x10 <= -0.5)
m.e10 = Constraint(expr= m.x3 - m.x11 <= -0.5)
m.e11 = Constraint(expr= m.x4 - m.x10 <= -0.5)
m.e12 = Constraint(expr= m.x5 - m.x11 <= -0.5)
m.e13 = Constraint(expr= m.x6 - m.x10 <= -0.5)
m.e14 = Constraint(expr= m.x7 - m.x11 <= -0.5)
m.e15 = Constraint(expr= m.x8 - m.x10 <= -0.5)
m.e16 = Constraint(expr= m.x9 - m.x11 <= -0.5)
m.e17 = Constraint(expr= m.x2 <= 2)
m.e18 = Constraint(expr= m.x3 <= 1)
m.e19 = Constraint(expr= m.x2 - m.x4 <= 0)
m.e20 = Constraint(expr= m.x2 - m.x6 <= 0)
m.e21 = Constraint(expr= m.x2 - m.x8 <= 0)
m.e22 = Constraint(expr= m.x4 - m.x6 <= 0)
m.e23 = Constraint(expr= m.x4 - m.x8 <= 0)
m.e24 = Constraint(expr= m.x6 - m.x8 <= 0)
