# NLP written by GAMS Convert at 02/17/22 17:20:13
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        24        2       10       12        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        14       14        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        67       25       42
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(2.89,90), initialize=2.89)
m.x2 = Var(within=Reals, bounds=(1.2,16.8), initialize=1.2)
m.x3 = Var(within=Reals, bounds=(1.2,3.8), initialize=1.2)
m.x4 = Var(within=Reals, bounds=(0.6,17.4), initialize=0.6)
m.x5 = Var(within=Reals, bounds=(0.6,4.4), initialize=0.6)
m.x6 = Var(within=Reals, bounds=(0.8,17.2), initialize=0.8)
m.x7 = Var(within=Reals, bounds=(0.8,4.2), initialize=0.8)
m.x8 = Var(within=Reals, bounds=(1.7,16.3), initialize=1.7)
m.x9 = Var(within=Reals, bounds=(1.7,3.3), initialize=1.7)
m.x10 = Var(within=Reals, bounds=(0.5,17.5), initialize=0.5)
m.x11 = Var(within=Reals, bounds=(0.5,4.5), initialize=0.5)
m.x12 = Var(within=Reals, bounds=(0,18), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,90), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x14)

m.e1 = Constraint(expr= -m.x1 + m.x14 == -17.530087007031)
m.e2 = Constraint(expr= -m.x12 * m.x13 + m.x1 == 0)
m.e3 = Constraint(expr= (m.x2 - m.x4) * (m.x2 - m.x4) + (m.x3 - m.x5) * (m.x3
    - m.x5) >= 3.24)
m.e4 = Constraint(expr= (m.x2 - m.x6) * (m.x2 - m.x6) + (m.x3 - m.x7) * (m.x3
    - m.x7) >= 4)
m.e5 = Constraint(expr= (m.x2 - m.x8) * (m.x2 - m.x8) + (m.x3 - m.x9) * (m.x3
    - m.x9) >= 8.41)
m.e6 = Constraint(expr= (m.x2 - m.x10) * (m.x2 - m.x10) + (m.x3 - m.x11) * (
    m.x3 - m.x11) >= 2.89)
m.e7 = Constraint(expr= (m.x4 - m.x6) * (m.x4 - m.x6) + (m.x5 - m.x7) * (m.x5
    - m.x7) >= 1.96)
m.e8 = Constraint(expr= (m.x4 - m.x8) * (m.x4 - m.x8) + (m.x5 - m.x9) * (m.x5
    - m.x9) >= 5.29)
m.e9 = Constraint(expr= (m.x4 - m.x10) * (m.x4 - m.x10) + (m.x5 - m.x11) * (
    m.x5 - m.x11) >= 1.21)
m.e10 = Constraint(expr= (m.x6 - m.x8) * (m.x6 - m.x8) + (m.x7 - m.x9) * (m.x7
    - m.x9) >= 6.25)
m.e11 = Constraint(expr= (m.x6 - m.x10) * (m.x6 - m.x10) + (m.x7 - m.x11) * (
    m.x7 - m.x11) >= 1.69)
m.e12 = Constraint(expr= (m.x8 - m.x10) * (m.x8 - m.x10) + (m.x9 - m.x11) * (
    m.x9 - m.x11) >= 4.84)
m.e13 = Constraint(expr= m.x2 - m.x12 <= -1.2)
m.e14 = Constraint(expr= m.x3 - m.x13 <= -1.2)
m.e15 = Constraint(expr= m.x4 - m.x12 <= -0.6)
m.e16 = Constraint(expr= m.x5 - m.x13 <= -0.6)
m.e17 = Constraint(expr= m.x6 - m.x12 <= -0.8)
m.e18 = Constraint(expr= m.x7 - m.x13 <= -0.8)
m.e19 = Constraint(expr= m.x8 - m.x12 <= -1.7)
m.e20 = Constraint(expr= m.x9 - m.x13 <= -1.7)
m.e21 = Constraint(expr= m.x10 - m.x12 <= -0.5)
m.e22 = Constraint(expr= m.x11 - m.x13 <= -0.5)
m.e23 = Constraint(expr= m.x2 <= 9)
m.e24 = Constraint(expr= m.x3 <= 2.5)
