# MINLP written by GAMS Convert at 02/17/22 17:20:18
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        43        0        0       43        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        26       20        6        0        0        0        0        0
# FX      2
#
# Nonzero counts
#     Total    const       NL
#       152      146        6
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.b1 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b2 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b3 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b4 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b5 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b6 = Var(within=Binary, bounds=(0,1), initialize=0)
m.x7 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x8 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x9 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x10 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x12 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x13 = Var(within=Reals, bounds=(2,5.4772), initialize=2)
m.x14 = Var(within=Reals, bounds=(3,6.7081), initialize=3)
m.x15 = Var(within=Reals, bounds=(3.8,7.5498), initialize=3.8)
m.x16 = Var(within=Reals, bounds=(10,10), initialize=10)
m.x17 = Var(within=Reals, bounds=(1.8258,5), initialize=1.8258)
m.x18 = Var(within=Reals, bounds=(2.2361,5), initialize=2.2361)
m.x19 = Var(within=Reals, bounds=(2.5166,5), initialize=2.5166)
m.x20 = Var(within=Reals, bounds=(5,5), initialize=5)
m.x21 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x22 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x23 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x24 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x25 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x26 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= 6 * m.x9 + 6 * m.x10 + 6 * m.x11 + 6 *
    m.x12)

m.e1 = Constraint(expr= m.x21 - m.x22 <= 0)
m.e2 = Constraint(expr= 0.5 * m.x13 - m.x16 + m.x21 <= 0)
m.e3 = Constraint(expr= 0.5 * m.x13 - m.x21 <= 0)
m.e4 = Constraint(expr= 0.5 * m.x17 - m.x20 + m.x24 <= 0)
m.e5 = Constraint(expr= 0.5 * m.x17 - m.x24 <= 0)
m.e6 = Constraint(expr= 0.5 * m.x14 - m.x16 + m.x22 <= 0)
m.e7 = Constraint(expr= 0.5 * m.x14 - m.x22 <= 0)
m.e8 = Constraint(expr= 0.5 * m.x18 - m.x20 + m.x25 <= 0)
m.e9 = Constraint(expr= 0.5 * m.x18 - m.x25 <= 0)
m.e10 = Constraint(expr= 0.5 * m.x15 - m.x16 + m.x23 <= 0)
m.e11 = Constraint(expr= 0.5 * m.x15 - m.x23 <= 0)
m.e12 = Constraint(expr= 0.5 * m.x19 - m.x20 + m.x26 <= 0)
m.e13 = Constraint(expr= 0.5 * m.x19 - m.x26 <= 0)
m.e14 = Constraint(expr= -m.x7 + m.x21 - m.x22 <= 0)
m.e15 = Constraint(expr= -m.x7 - m.x21 + m.x22 <= 0)
m.e16 = Constraint(expr= -m.x8 + m.x24 - m.x25 <= 0)
m.e17 = Constraint(expr= -m.x8 - m.x24 + m.x25 <= 0)
m.e18 = Constraint(expr= -10 * m.b1 - 10 * m.b2 + 0.5 * m.x13 + 0.5 * m.x14 -
    m.x21 + m.x22 <= 0)
m.e19 = Constraint(expr= -10 * m.b1 + 10 * m.b2 + 0.5 * m.x13 + 0.5 * m.x14 +
    m.x21 - m.x22 <= 10)
m.e20 = Constraint(expr= 5 * m.b1 - 5 * m.b2 + 0.5 * m.x17 + 0.5 * m.x18 -
    m.x24 + m.x25 <= 5)
m.e21 = Constraint(expr= 5 * m.b1 + 5 * m.b2 + 0.5 * m.x17 + 0.5 * m.x18 +
    m.x24 - m.x25 <= 10)
m.e22 = Constraint(expr= -m.x9 + m.x21 - m.x23 <= 0)
m.e23 = Constraint(expr= -m.x9 - m.x21 + m.x23 <= 0)
m.e24 = Constraint(expr= -m.x10 + m.x24 - m.x26 <= 0)
m.e25 = Constraint(expr= -m.x10 - m.x24 + m.x26 <= 0)
m.e26 = Constraint(expr= -10 * m.b3 - 10 * m.b4 + 0.5 * m.x13 + 0.5 * m.x15 -
    m.x21 + m.x23 <= 0)
m.e27 = Constraint(expr= -10 * m.b3 + 10 * m.b4 + 0.5 * m.x13 + 0.5 * m.x15 +
    m.x21 - m.x23 <= 10)
m.e28 = Constraint(expr= 5 * m.b3 - 5 * m.b4 + 0.5 * m.x17 + 0.5 * m.x19 -
    m.x24 + m.x26 <= 5)
m.e29 = Constraint(expr= 5 * m.b3 + 5 * m.b4 + 0.5 * m.x17 + 0.5 * m.x19 +
    m.x24 - m.x26 <= 10)
m.e30 = Constraint(expr= -m.x11 + m.x22 - m.x23 <= 0)
m.e31 = Constraint(expr= -m.x11 - m.x22 + m.x23 <= 0)
m.e32 = Constraint(expr= -m.x12 + m.x25 - m.x26 <= 0)
m.e33 = Constraint(expr= -m.x12 - m.x25 + m.x26 <= 0)
m.e34 = Constraint(expr= -10 * m.b5 - 10 * m.b6 + 0.5 * m.x14 + 0.5 * m.x15 -
    m.x22 + m.x23 <= 0)
m.e35 = Constraint(expr= -10 * m.b5 + 10 * m.b6 + 0.5 * m.x14 + 0.5 * m.x15 +
    m.x22 - m.x23 <= 10)
m.e36 = Constraint(expr= 5 * m.b5 - 5 * m.b6 + 0.5 * m.x18 + 0.5 * m.x19 -
    m.x25 + m.x26 <= 5)
m.e37 = Constraint(expr= 5 * m.b5 + 5 * m.b6 + 0.5 * m.x18 + 0.5 * m.x19 +
    m.x25 - m.x26 <= 10)
m.e38 = Constraint(expr= 10 / m.x13 - m.x17 <= 0)
m.e39 = Constraint(expr= 10 / m.x17 - m.x13 <= 0)
m.e40 = Constraint(expr= 15 / m.x14 - m.x18 <= 0)
m.e41 = Constraint(expr= 15 / m.x18 - m.x14 <= 0)
m.e42 = Constraint(expr= 19 / m.x15 - m.x19 <= 0)
m.e43 = Constraint(expr= 19 / m.x19 - m.x15 <= 0)
