# MINLP written by GAMS Convert at 02/17/22 17:20:42
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         2        0        2        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         2        0        0        2        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         4        0        4
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.i1 = Var(within=Integers, bounds=(0,200), initialize=1)
m.i2 = Var(within=Integers, bounds=(0,200), initialize=1)

m.obj = Objective(sense=minimize, expr= 7 * m.i1**2 + 6 * m.i2**2 - 35 * m.i1
    - 80.4 * m.i2)

m.e1 = Constraint(expr= -9 * m.i1**2 - 10 * m.i1 * m.i2 - 8 * m.i2**2 >= -583)
m.e2 = Constraint(expr= -6 * m.i1**2 - 8 * m.i1 * m.i2 - 6 * m.i2**2 >= -441)
