# MINLP written by GAMS Convert at 02/17/22 17:20:42
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         1        0        1        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        0        0        3        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         3        3        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.i1 = Var(within=Integers, bounds=(0,200), initialize=100)
m.i2 = Var(within=Integers, bounds=(0,200), initialize=100)
m.i3 = Var(within=Integers, bounds=(0,200), initialize=100)

m.obj = Objective(sense=minimize, expr= 2 * m.i1**2 - 8 * m.i1 + 2 * m.i2**2 -
    6 * m.i2 + m.i3**2 - 4 * m.i3 + 2 * m.i1 * m.i2 + 2 * m.i1 * m.i3 + 9)

m.e1 = Constraint(expr= -m.i1 - m.i2 - 2 * m.i3 >= -3)
