# NLP written by GAMS Convert at 02/17/22 17:21:46
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#       105        0        0      105        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        29       29        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       483      119      364
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.5,1), initialize=0.5)
m.x2 = Var(within=Reals, bounds=(0.5,1), initialize=0.5)
m.x3 = Var(within=Reals, bounds=(0.5,1), initialize=0.5)
m.x4 = Var(within=Reals, bounds=(0.5,1), initialize=0.5)
m.x5 = Var(within=Reals, bounds=(0.5,1), initialize=0.5)
m.x6 = Var(within=Reals, bounds=(0.5,1), initialize=0.5)
m.x7 = Var(within=Reals, bounds=(0.5,1), initialize=0.5)
m.x8 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x26 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x27 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x28 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x29 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=maximize, expr= m.x29)

m.e1 = Constraint(expr= 2 * m.x1 * m.x2 - m.x1 * m.x1 - m.x2 * m.x2 - m.x15 *
    m.x15 + 2 * m.x15 * m.x16 - m.x16 * m.x16 + m.x29 <= 0)
m.e2 = Constraint(expr= 2 * m.x1 * m.x3 - m.x1 * m.x1 - m.x3 * m.x3 - m.x15 *
    m.x15 + 2 * m.x15 * m.x17 - m.x17 * m.x17 + m.x29 <= 0)
m.e3 = Constraint(expr= 2 * m.x1 * m.x4 - m.x1 * m.x1 - m.x4 * m.x4 - m.x15 *
    m.x15 + 2 * m.x15 * m.x18 - m.x18 * m.x18 + m.x29 <= 0)
m.e4 = Constraint(expr= 2 * m.x1 * m.x5 - m.x1 * m.x1 - m.x5 * m.x5 - m.x15 *
    m.x15 + 2 * m.x15 * m.x19 - m.x19 * m.x19 + m.x29 <= 0)
m.e5 = Constraint(expr= 2 * m.x1 * m.x6 - m.x1 * m.x1 - m.x6 * m.x6 - m.x15 *
    m.x15 + 2 * m.x15 * m.x20 - m.x20 * m.x20 + m.x29 <= 0)
m.e6 = Constraint(expr= 2 * m.x1 * m.x7 - m.x1 * m.x1 - m.x7 * m.x7 - m.x15 *
    m.x15 + 2 * m.x15 * m.x21 - m.x21 * m.x21 + m.x29 <= 0)
m.e7 = Constraint(expr= 2 * m.x1 * m.x8 - m.x1 * m.x1 - m.x8 * m.x8 - m.x15 *
    m.x15 + 2 * m.x15 * m.x22 - m.x22 * m.x22 + m.x29 <= 0)
m.e8 = Constraint(expr= 2 * m.x1 * m.x9 - m.x1 * m.x1 - m.x9 * m.x9 - m.x15 *
    m.x15 + 2 * m.x15 * m.x23 - m.x23 * m.x23 + m.x29 <= 0)
m.e9 = Constraint(expr= 2 * m.x1 * m.x10 - m.x1 * m.x1 - m.x10 * m.x10 - m.x15
    * m.x15 + 2 * m.x15 * m.x24 - m.x24 * m.x24 + m.x29 <= 0)
m.e10 = Constraint(expr= 2 * m.x1 * m.x11 - m.x1 * m.x1 - m.x11 * m.x11 - m.x15
    * m.x15 + 2 * m.x15 * m.x25 - m.x25 * m.x25 + m.x29 <= 0)
m.e11 = Constraint(expr= 2 * m.x1 * m.x12 - m.x1 * m.x1 - m.x12 * m.x12 - m.x15
    * m.x15 + 2 * m.x15 * m.x26 - m.x26 * m.x26 + m.x29 <= 0)
m.e12 = Constraint(expr= 2 * m.x1 * m.x13 - m.x1 * m.x1 - m.x13 * m.x13 - m.x15
    * m.x15 + 2 * m.x15 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e13 = Constraint(expr= 2 * m.x1 * m.x14 - m.x1 * m.x1 - m.x14 * m.x14 - m.x15
    * m.x15 + 2 * m.x15 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e14 = Constraint(expr= 2 * m.x2 * m.x3 - m.x2 * m.x2 - m.x3 * m.x3 - m.x16 *
    m.x16 + 2 * m.x16 * m.x17 - m.x17 * m.x17 + m.x29 <= 0)
m.e15 = Constraint(expr= 2 * m.x2 * m.x4 - m.x2 * m.x2 - m.x4 * m.x4 - m.x16 *
    m.x16 + 2 * m.x16 * m.x18 - m.x18 * m.x18 + m.x29 <= 0)
m.e16 = Constraint(expr= 2 * m.x2 * m.x5 - m.x2 * m.x2 - m.x5 * m.x5 - m.x16 *
    m.x16 + 2 * m.x16 * m.x19 - m.x19 * m.x19 + m.x29 <= 0)
m.e17 = Constraint(expr= 2 * m.x2 * m.x6 - m.x2 * m.x2 - m.x6 * m.x6 - m.x16 *
    m.x16 + 2 * m.x16 * m.x20 - m.x20 * m.x20 + m.x29 <= 0)
m.e18 = Constraint(expr= 2 * m.x2 * m.x7 - m.x2 * m.x2 - m.x7 * m.x7 - m.x16 *
    m.x16 + 2 * m.x16 * m.x21 - m.x21 * m.x21 + m.x29 <= 0)
m.e19 = Constraint(expr= 2 * m.x2 * m.x8 - m.x2 * m.x2 - m.x8 * m.x8 - m.x16 *
    m.x16 + 2 * m.x16 * m.x22 - m.x22 * m.x22 + m.x29 <= 0)
m.e20 = Constraint(expr= 2 * m.x2 * m.x9 - m.x2 * m.x2 - m.x9 * m.x9 - m.x16 *
    m.x16 + 2 * m.x16 * m.x23 - m.x23 * m.x23 + m.x29 <= 0)
m.e21 = Constraint(expr= 2 * m.x2 * m.x10 - m.x2 * m.x2 - m.x10 * m.x10 - m.x16
    * m.x16 + 2 * m.x16 * m.x24 - m.x24 * m.x24 + m.x29 <= 0)
m.e22 = Constraint(expr= 2 * m.x2 * m.x11 - m.x2 * m.x2 - m.x11 * m.x11 - m.x16
    * m.x16 + 2 * m.x16 * m.x25 - m.x25 * m.x25 + m.x29 <= 0)
m.e23 = Constraint(expr= 2 * m.x2 * m.x12 - m.x2 * m.x2 - m.x12 * m.x12 - m.x16
    * m.x16 + 2 * m.x16 * m.x26 - m.x26 * m.x26 + m.x29 <= 0)
m.e24 = Constraint(expr= 2 * m.x2 * m.x13 - m.x2 * m.x2 - m.x13 * m.x13 - m.x16
    * m.x16 + 2 * m.x16 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e25 = Constraint(expr= 2 * m.x2 * m.x14 - m.x2 * m.x2 - m.x14 * m.x14 - m.x16
    * m.x16 + 2 * m.x16 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e26 = Constraint(expr= 2 * m.x3 * m.x4 - m.x3 * m.x3 - m.x4 * m.x4 - m.x17 *
    m.x17 + 2 * m.x17 * m.x18 - m.x18 * m.x18 + m.x29 <= 0)
m.e27 = Constraint(expr= 2 * m.x3 * m.x5 - m.x3 * m.x3 - m.x5 * m.x5 - m.x17 *
    m.x17 + 2 * m.x17 * m.x19 - m.x19 * m.x19 + m.x29 <= 0)
m.e28 = Constraint(expr= 2 * m.x3 * m.x6 - m.x3 * m.x3 - m.x6 * m.x6 - m.x17 *
    m.x17 + 2 * m.x17 * m.x20 - m.x20 * m.x20 + m.x29 <= 0)
m.e29 = Constraint(expr= 2 * m.x3 * m.x7 - m.x3 * m.x3 - m.x7 * m.x7 - m.x17 *
    m.x17 + 2 * m.x17 * m.x21 - m.x21 * m.x21 + m.x29 <= 0)
m.e30 = Constraint(expr= 2 * m.x3 * m.x8 - m.x3 * m.x3 - m.x8 * m.x8 - m.x17 *
    m.x17 + 2 * m.x17 * m.x22 - m.x22 * m.x22 + m.x29 <= 0)
m.e31 = Constraint(expr= 2 * m.x3 * m.x9 - m.x3 * m.x3 - m.x9 * m.x9 - m.x17 *
    m.x17 + 2 * m.x17 * m.x23 - m.x23 * m.x23 + m.x29 <= 0)
m.e32 = Constraint(expr= 2 * m.x3 * m.x10 - m.x3 * m.x3 - m.x10 * m.x10 - m.x17
    * m.x17 + 2 * m.x17 * m.x24 - m.x24 * m.x24 + m.x29 <= 0)
m.e33 = Constraint(expr= 2 * m.x3 * m.x11 - m.x3 * m.x3 - m.x11 * m.x11 - m.x17
    * m.x17 + 2 * m.x17 * m.x25 - m.x25 * m.x25 + m.x29 <= 0)
m.e34 = Constraint(expr= 2 * m.x3 * m.x12 - m.x3 * m.x3 - m.x12 * m.x12 - m.x17
    * m.x17 + 2 * m.x17 * m.x26 - m.x26 * m.x26 + m.x29 <= 0)
m.e35 = Constraint(expr= 2 * m.x3 * m.x13 - m.x3 * m.x3 - m.x13 * m.x13 - m.x17
    * m.x17 + 2 * m.x17 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e36 = Constraint(expr= 2 * m.x3 * m.x14 - m.x3 * m.x3 - m.x14 * m.x14 - m.x17
    * m.x17 + 2 * m.x17 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e37 = Constraint(expr= 2 * m.x4 * m.x5 - m.x4 * m.x4 - m.x5 * m.x5 - m.x18 *
    m.x18 + 2 * m.x18 * m.x19 - m.x19 * m.x19 + m.x29 <= 0)
m.e38 = Constraint(expr= 2 * m.x4 * m.x6 - m.x4 * m.x4 - m.x6 * m.x6 - m.x18 *
    m.x18 + 2 * m.x18 * m.x20 - m.x20 * m.x20 + m.x29 <= 0)
m.e39 = Constraint(expr= 2 * m.x4 * m.x7 - m.x4 * m.x4 - m.x7 * m.x7 - m.x18 *
    m.x18 + 2 * m.x18 * m.x21 - m.x21 * m.x21 + m.x29 <= 0)
m.e40 = Constraint(expr= 2 * m.x4 * m.x8 - m.x4 * m.x4 - m.x8 * m.x8 - m.x18 *
    m.x18 + 2 * m.x18 * m.x22 - m.x22 * m.x22 + m.x29 <= 0)
m.e41 = Constraint(expr= 2 * m.x4 * m.x9 - m.x4 * m.x4 - m.x9 * m.x9 - m.x18 *
    m.x18 + 2 * m.x18 * m.x23 - m.x23 * m.x23 + m.x29 <= 0)
m.e42 = Constraint(expr= 2 * m.x4 * m.x10 - m.x4 * m.x4 - m.x10 * m.x10 - m.x18
    * m.x18 + 2 * m.x18 * m.x24 - m.x24 * m.x24 + m.x29 <= 0)
m.e43 = Constraint(expr= 2 * m.x4 * m.x11 - m.x4 * m.x4 - m.x11 * m.x11 - m.x18
    * m.x18 + 2 * m.x18 * m.x25 - m.x25 * m.x25 + m.x29 <= 0)
m.e44 = Constraint(expr= 2 * m.x4 * m.x12 - m.x4 * m.x4 - m.x12 * m.x12 - m.x18
    * m.x18 + 2 * m.x18 * m.x26 - m.x26 * m.x26 + m.x29 <= 0)
m.e45 = Constraint(expr= 2 * m.x4 * m.x13 - m.x4 * m.x4 - m.x13 * m.x13 - m.x18
    * m.x18 + 2 * m.x18 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e46 = Constraint(expr= 2 * m.x4 * m.x14 - m.x4 * m.x4 - m.x14 * m.x14 - m.x18
    * m.x18 + 2 * m.x18 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e47 = Constraint(expr= 2 * m.x5 * m.x6 - m.x5 * m.x5 - m.x6 * m.x6 - m.x19 *
    m.x19 + 2 * m.x19 * m.x20 - m.x20 * m.x20 + m.x29 <= 0)
m.e48 = Constraint(expr= 2 * m.x5 * m.x7 - m.x5 * m.x5 - m.x7 * m.x7 - m.x19 *
    m.x19 + 2 * m.x19 * m.x21 - m.x21 * m.x21 + m.x29 <= 0)
m.e49 = Constraint(expr= 2 * m.x5 * m.x8 - m.x5 * m.x5 - m.x8 * m.x8 - m.x19 *
    m.x19 + 2 * m.x19 * m.x22 - m.x22 * m.x22 + m.x29 <= 0)
m.e50 = Constraint(expr= 2 * m.x5 * m.x9 - m.x5 * m.x5 - m.x9 * m.x9 - m.x19 *
    m.x19 + 2 * m.x19 * m.x23 - m.x23 * m.x23 + m.x29 <= 0)
m.e51 = Constraint(expr= 2 * m.x5 * m.x10 - m.x5 * m.x5 - m.x10 * m.x10 - m.x19
    * m.x19 + 2 * m.x19 * m.x24 - m.x24 * m.x24 + m.x29 <= 0)
m.e52 = Constraint(expr= 2 * m.x5 * m.x11 - m.x5 * m.x5 - m.x11 * m.x11 - m.x19
    * m.x19 + 2 * m.x19 * m.x25 - m.x25 * m.x25 + m.x29 <= 0)
m.e53 = Constraint(expr= 2 * m.x5 * m.x12 - m.x5 * m.x5 - m.x12 * m.x12 - m.x19
    * m.x19 + 2 * m.x19 * m.x26 - m.x26 * m.x26 + m.x29 <= 0)
m.e54 = Constraint(expr= 2 * m.x5 * m.x13 - m.x5 * m.x5 - m.x13 * m.x13 - m.x19
    * m.x19 + 2 * m.x19 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e55 = Constraint(expr= 2 * m.x5 * m.x14 - m.x5 * m.x5 - m.x14 * m.x14 - m.x19
    * m.x19 + 2 * m.x19 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e56 = Constraint(expr= 2 * m.x6 * m.x7 - m.x6 * m.x6 - m.x7 * m.x7 - m.x20 *
    m.x20 + 2 * m.x20 * m.x21 - m.x21 * m.x21 + m.x29 <= 0)
m.e57 = Constraint(expr= 2 * m.x6 * m.x8 - m.x6 * m.x6 - m.x8 * m.x8 - m.x20 *
    m.x20 + 2 * m.x20 * m.x22 - m.x22 * m.x22 + m.x29 <= 0)
m.e58 = Constraint(expr= 2 * m.x6 * m.x9 - m.x6 * m.x6 - m.x9 * m.x9 - m.x20 *
    m.x20 + 2 * m.x20 * m.x23 - m.x23 * m.x23 + m.x29 <= 0)
m.e59 = Constraint(expr= 2 * m.x6 * m.x10 - m.x6 * m.x6 - m.x10 * m.x10 - m.x20
    * m.x20 + 2 * m.x20 * m.x24 - m.x24 * m.x24 + m.x29 <= 0)
m.e60 = Constraint(expr= 2 * m.x6 * m.x11 - m.x6 * m.x6 - m.x11 * m.x11 - m.x20
    * m.x20 + 2 * m.x20 * m.x25 - m.x25 * m.x25 + m.x29 <= 0)
m.e61 = Constraint(expr= 2 * m.x6 * m.x12 - m.x6 * m.x6 - m.x12 * m.x12 - m.x20
    * m.x20 + 2 * m.x20 * m.x26 - m.x26 * m.x26 + m.x29 <= 0)
m.e62 = Constraint(expr= 2 * m.x6 * m.x13 - m.x6 * m.x6 - m.x13 * m.x13 - m.x20
    * m.x20 + 2 * m.x20 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e63 = Constraint(expr= 2 * m.x6 * m.x14 - m.x6 * m.x6 - m.x14 * m.x14 - m.x20
    * m.x20 + 2 * m.x20 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e64 = Constraint(expr= 2 * m.x7 * m.x8 - m.x7 * m.x7 - m.x8 * m.x8 - m.x21 *
    m.x21 + 2 * m.x21 * m.x22 - m.x22 * m.x22 + m.x29 <= 0)
m.e65 = Constraint(expr= 2 * m.x7 * m.x9 - m.x7 * m.x7 - m.x9 * m.x9 - m.x21 *
    m.x21 + 2 * m.x21 * m.x23 - m.x23 * m.x23 + m.x29 <= 0)
m.e66 = Constraint(expr= 2 * m.x7 * m.x10 - m.x7 * m.x7 - m.x10 * m.x10 - m.x21
    * m.x21 + 2 * m.x21 * m.x24 - m.x24 * m.x24 + m.x29 <= 0)
m.e67 = Constraint(expr= 2 * m.x7 * m.x11 - m.x7 * m.x7 - m.x11 * m.x11 - m.x21
    * m.x21 + 2 * m.x21 * m.x25 - m.x25 * m.x25 + m.x29 <= 0)
m.e68 = Constraint(expr= 2 * m.x7 * m.x12 - m.x7 * m.x7 - m.x12 * m.x12 - m.x21
    * m.x21 + 2 * m.x21 * m.x26 - m.x26 * m.x26 + m.x29 <= 0)
m.e69 = Constraint(expr= 2 * m.x7 * m.x13 - m.x7 * m.x7 - m.x13 * m.x13 - m.x21
    * m.x21 + 2 * m.x21 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e70 = Constraint(expr= 2 * m.x7 * m.x14 - m.x7 * m.x7 - m.x14 * m.x14 - m.x21
    * m.x21 + 2 * m.x21 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e71 = Constraint(expr= 2 * m.x8 * m.x9 - m.x8 * m.x8 - m.x9 * m.x9 - m.x22 *
    m.x22 + 2 * m.x22 * m.x23 - m.x23 * m.x23 + m.x29 <= 0)
m.e72 = Constraint(expr= 2 * m.x8 * m.x10 - m.x8 * m.x8 - m.x10 * m.x10 - m.x22
    * m.x22 + 2 * m.x22 * m.x24 - m.x24 * m.x24 + m.x29 <= 0)
m.e73 = Constraint(expr= 2 * m.x8 * m.x11 - m.x8 * m.x8 - m.x11 * m.x11 - m.x22
    * m.x22 + 2 * m.x22 * m.x25 - m.x25 * m.x25 + m.x29 <= 0)
m.e74 = Constraint(expr= 2 * m.x8 * m.x12 - m.x8 * m.x8 - m.x12 * m.x12 - m.x22
    * m.x22 + 2 * m.x22 * m.x26 - m.x26 * m.x26 + m.x29 <= 0)
m.e75 = Constraint(expr= 2 * m.x8 * m.x13 - m.x8 * m.x8 - m.x13 * m.x13 - m.x22
    * m.x22 + 2 * m.x22 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e76 = Constraint(expr= 2 * m.x8 * m.x14 - m.x8 * m.x8 - m.x14 * m.x14 - m.x22
    * m.x22 + 2 * m.x22 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e77 = Constraint(expr= 2 * m.x9 * m.x10 - m.x9 * m.x9 - m.x10 * m.x10 - m.x23
    * m.x23 + 2 * m.x23 * m.x24 - m.x24 * m.x24 + m.x29 <= 0)
m.e78 = Constraint(expr= 2 * m.x9 * m.x11 - m.x9 * m.x9 - m.x11 * m.x11 - m.x23
    * m.x23 + 2 * m.x23 * m.x25 - m.x25 * m.x25 + m.x29 <= 0)
m.e79 = Constraint(expr= 2 * m.x9 * m.x12 - m.x9 * m.x9 - m.x12 * m.x12 - m.x23
    * m.x23 + 2 * m.x23 * m.x26 - m.x26 * m.x26 + m.x29 <= 0)
m.e80 = Constraint(expr= 2 * m.x9 * m.x13 - m.x9 * m.x9 - m.x13 * m.x13 - m.x23
    * m.x23 + 2 * m.x23 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e81 = Constraint(expr= 2 * m.x9 * m.x14 - m.x9 * m.x9 - m.x14 * m.x14 - m.x23
    * m.x23 + 2 * m.x23 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e82 = Constraint(expr= 2 * m.x10 * m.x11 - m.x10 * m.x10 - m.x11 * m.x11 -
    m.x24 * m.x24 + 2 * m.x24 * m.x25 - m.x25 * m.x25 + m.x29 <= 0)
m.e83 = Constraint(expr= 2 * m.x10 * m.x12 - m.x10 * m.x10 - m.x12 * m.x12 -
    m.x24 * m.x24 + 2 * m.x24 * m.x26 - m.x26 * m.x26 + m.x29 <= 0)
m.e84 = Constraint(expr= 2 * m.x10 * m.x13 - m.x10 * m.x10 - m.x13 * m.x13 -
    m.x24 * m.x24 + 2 * m.x24 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e85 = Constraint(expr= 2 * m.x10 * m.x14 - m.x10 * m.x10 - m.x14 * m.x14 -
    m.x24 * m.x24 + 2 * m.x24 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e86 = Constraint(expr= 2 * m.x11 * m.x12 - m.x11 * m.x11 - m.x12 * m.x12 -
    m.x25 * m.x25 + 2 * m.x25 * m.x26 - m.x26 * m.x26 + m.x29 <= 0)
m.e87 = Constraint(expr= 2 * m.x11 * m.x13 - m.x11 * m.x11 - m.x13 * m.x13 -
    m.x25 * m.x25 + 2 * m.x25 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e88 = Constraint(expr= 2 * m.x11 * m.x14 - m.x11 * m.x11 - m.x14 * m.x14 -
    m.x25 * m.x25 + 2 * m.x25 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e89 = Constraint(expr= 2 * m.x12 * m.x13 - m.x12 * m.x12 - m.x13 * m.x13 -
    m.x26 * m.x26 + 2 * m.x26 * m.x27 - m.x27 * m.x27 + m.x29 <= 0)
m.e90 = Constraint(expr= 2 * m.x12 * m.x14 - m.x12 * m.x12 - m.x14 * m.x14 -
    m.x26 * m.x26 + 2 * m.x26 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e91 = Constraint(expr= 2 * m.x13 * m.x14 - m.x13 * m.x13 - m.x14 * m.x14 -
    m.x27 * m.x27 + 2 * m.x27 * m.x28 - m.x28 * m.x28 + m.x29 <= 0)
m.e92 = Constraint(expr= -m.x15 + m.x16 <= 0)
m.e93 = Constraint(expr= -m.x1 + m.x2 <= 0)
m.e94 = Constraint(expr= -m.x2 + m.x3 <= 0)
m.e95 = Constraint(expr= -m.x3 + m.x4 <= 0)
m.e96 = Constraint(expr= -m.x4 + m.x5 <= 0)
m.e97 = Constraint(expr= -m.x5 + m.x6 <= 0)
m.e98 = Constraint(expr= -m.x6 + m.x7 <= 0)
m.e99 = Constraint(expr= -m.x7 + m.x8 <= 0)
m.e100 = Constraint(expr= -m.x8 + m.x9 <= 0)
m.e101 = Constraint(expr= -m.x9 + m.x10 <= 0)
m.e102 = Constraint(expr= -m.x10 + m.x11 <= 0)
m.e103 = Constraint(expr= -m.x11 + m.x12 <= 0)
m.e104 = Constraint(expr= -m.x12 + m.x13 <= 0)
m.e105 = Constraint(expr= -m.x13 + m.x14 <= 0)
