# NLP written by GAMS Convert at 02/17/22 17:21:47
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        71       44        0       27        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        46       46        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       265      185       80
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,75), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,75), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,75), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,75), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,75), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,25), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,30), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,25), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,30), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x26 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x27 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x28 = Var(within=Reals, bounds=(0,25), initialize=0)
m.x29 = Var(within=Reals, bounds=(0,30), initialize=0)
m.x30 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x31 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x32 = Var(within=Reals, bounds=(0,25), initialize=0)
m.x33 = Var(within=Reals, bounds=(0,30), initialize=0)
m.x34 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x35 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x36 = Var(within=Reals, bounds=(0,25), initialize=0)
m.x37 = Var(within=Reals, bounds=(0,30), initialize=0)
m.x38 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x39 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x40 = Var(within=Reals, bounds=(0,25), initialize=0)
m.x41 = Var(within=Reals, bounds=(0,30), initialize=0)
m.x42 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x43 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x44 = Var(within=Reals, bounds=(0,25), initialize=0)
m.x45 = Var(within=Reals, bounds=(0,30), initialize=0)
m.x46 = Var(within=Reals, bounds=(0,10), initialize=0)

m.obj = Objective(sense=minimize, expr= -9 * m.x27 - 18 * m.x28 - 8 * m.x29 - 3
    * m.x30 - 13 * m.x31 - 22 * m.x32 - 12 * m.x33 - 7 * m.x34 - 14 * m.x35 -
    23 * m.x36 - 13 * m.x37 - 8 * m.x38 - 6 * m.x39 - 15 * m.x40 - 5 * m.x41 -
    11 * m.x43 - 20 * m.x44 - 10 * m.x45 - 5 * m.x46)

m.e1 = Constraint(expr= m.x27 + m.x28 + m.x29 + m.x30 <= 75)
m.e2 = Constraint(expr= m.x31 + m.x32 + m.x33 + m.x34 <= 75)
m.e3 = Constraint(expr= m.x35 + m.x36 + m.x37 + m.x38 <= 75)
m.e4 = Constraint(expr= m.x39 + m.x40 + m.x41 + m.x42 <= 75)
m.e5 = Constraint(expr= m.x43 + m.x44 + m.x45 + m.x46 <= 75)
m.e6 = Constraint(expr= m.x27 + m.x28 + m.x29 + m.x30 + m.x31 + m.x32 + m.x33
    + m.x34 <= 75)
m.e7 = Constraint(expr= m.x35 + m.x36 + m.x37 + m.x38 + m.x39 + m.x40 + m.x41
    + m.x42 + m.x43 + m.x44 + m.x45 + m.x46 <= 75)
m.e8 = Constraint(expr= m.x27 + m.x31 + m.x35 + m.x39 + m.x43 <= 10)
m.e9 = Constraint(expr= m.x28 + m.x32 + m.x36 + m.x40 + m.x44 <= 25)
m.e10 = Constraint(expr= m.x29 + m.x33 + m.x37 + m.x41 + m.x45 <= 30)
m.e11 = Constraint(expr= m.x30 + m.x34 + m.x38 + m.x42 + m.x46 <= 10)
m.e12 = Constraint(expr= -2 * m.x27 + m.x31 + m.x35 - 2 * m.x43 <= 0)
m.e13 = Constraint(expr= 3 * m.x27 - 2 * m.x31 + 2.5 * m.x35 - 0.3 * m.x43
    <= 0)
m.e14 = Constraint(expr= 0.75 * m.x27 - 0.25 * m.x31 - 0.25 * m.x35 - 0.25 *
    m.x39 + 0.75 * m.x43 <= 0)
m.e15 = Constraint(expr= -0.25 * m.x27 + 1.25 * m.x31 + 0.15 * m.x35 + 0.25 *
    m.x39 + 0.85 * m.x43 <= 0)
m.e16 = Constraint(expr= -3 * m.x28 - m.x40 - 3 * m.x44 <= 0)
m.e17 = Constraint(expr= 3.5 * m.x28 - 1.5 * m.x32 + 3 * m.x36 + 0.5 * m.x40 +
    0.2 * m.x44 <= 0)
m.e18 = Constraint(expr= 0.5 * m.x28 - 0.5 * m.x32 - 0.5 * m.x36 - 0.5 * m.x40
    + 0.5 * m.x44 <= 0)
m.e19 = Constraint(expr= -m.x28 + 0.5 * m.x32 - 0.6 * m.x36 - 0.5 * m.x40 + 0.1
    * m.x44 <= 0)
m.e20 = Constraint(expr= -0.5 * m.x29 + 2.5 * m.x33 + 2.5 * m.x37 + 1.5 * m.x41
    - 0.5 * m.x45 <= 0)
m.e21 = Constraint(expr= 0.5 * m.x29 - 4.5 * m.x33 - 2.5 * m.x41 - 2.8 * m.x45
    <= 0)
m.e22 = Constraint(expr= 0.1 * m.x29 - 0.9 * m.x33 - 0.9 * m.x37 - 0.9 * m.x41
    + 0.1 * m.x45 <= 0)
m.e23 = Constraint(expr= -0.3 * m.x29 + 1.2 * m.x33 + 0.1 * m.x37 + 0.2 * m.x41
    + 0.8 * m.x45 <= 0)
m.e24 = Constraint(expr= -2 * m.x30 + m.x34 + m.x38 - 2 * m.x46 <= 0)
m.e25 = Constraint(expr= 2 * m.x30 - 3 * m.x34 + 1.5 * m.x38 - m.x42 - 1.3 *
    m.x46 <= 0)
m.e26 = Constraint(expr= -m.x34 - m.x38 - m.x42 <= 0)
m.e27 = Constraint(expr= -1.3 * m.x30 + 0.2 * m.x34 - 0.9 * m.x38 - 0.8 * m.x42
    - 0.2 * m.x46 <= 0)
m.e28 = Constraint(expr= m.x14 + m.x15 == 1)
m.e29 = Constraint(expr= m.x16 + m.x17 + m.x18 == 1)
m.e30 = Constraint(expr= m.x19 + m.x20 + m.x21 + m.x22 == 1)
m.e31 = Constraint(expr= m.x23 + m.x24 + m.x25 + m.x26 == 1)
m.e32 = Constraint(expr= -m.x14 * m.x6 + m.x27 == 0)
m.e33 = Constraint(expr= -m.x14 * m.x7 + m.x28 == 0)
m.e34 = Constraint(expr= -m.x14 * m.x8 + m.x29 == 0)
m.e35 = Constraint(expr= -m.x14 * m.x9 + m.x30 == 0)
m.e36 = Constraint(expr= -m.x15 * m.x6 + m.x31 == 0)
m.e37 = Constraint(expr= -m.x15 * m.x7 + m.x32 == 0)
m.e38 = Constraint(expr= -m.x15 * m.x8 + m.x33 == 0)
m.e39 = Constraint(expr= -m.x15 * m.x9 + m.x34 == 0)
m.e40 = Constraint(expr= -m.x16 * m.x10 + m.x35 == 0)
m.e41 = Constraint(expr= -m.x16 * m.x11 + m.x36 == 0)
m.e42 = Constraint(expr= -m.x16 * m.x12 + m.x37 == 0)
m.e43 = Constraint(expr= -m.x16 * m.x13 + m.x38 == 0)
m.e44 = Constraint(expr= -m.x17 * m.x10 + m.x39 == 0)
m.e45 = Constraint(expr= -m.x17 * m.x11 + m.x40 == 0)
m.e46 = Constraint(expr= -m.x17 * m.x12 + m.x41 == 0)
m.e47 = Constraint(expr= -m.x17 * m.x13 + m.x42 == 0)
m.e48 = Constraint(expr= -m.x18 * m.x10 + m.x43 == 0)
m.e49 = Constraint(expr= -m.x18 * m.x11 + m.x44 == 0)
m.e50 = Constraint(expr= -m.x18 * m.x12 + m.x45 == 0)
m.e51 = Constraint(expr= -m.x18 * m.x13 + m.x46 == 0)
m.e52 = Constraint(expr= -m.x19 * m.x1 + m.x27 == 0)
m.e53 = Constraint(expr= -m.x20 * m.x1 + m.x28 == 0)
m.e54 = Constraint(expr= -m.x21 * m.x1 + m.x29 == 0)
m.e55 = Constraint(expr= -m.x22 * m.x1 + m.x30 == 0)
m.e56 = Constraint(expr= -m.x19 * m.x2 + m.x31 == 0)
m.e57 = Constraint(expr= -m.x20 * m.x2 + m.x32 == 0)
m.e58 = Constraint(expr= -m.x21 * m.x2 + m.x33 == 0)
m.e59 = Constraint(expr= -m.x22 * m.x2 + m.x34 == 0)
m.e60 = Constraint(expr= -m.x23 * m.x3 + m.x35 == 0)
m.e61 = Constraint(expr= -m.x24 * m.x3 + m.x36 == 0)
m.e62 = Constraint(expr= -m.x25 * m.x3 + m.x37 == 0)
m.e63 = Constraint(expr= -m.x26 * m.x3 + m.x38 == 0)
m.e64 = Constraint(expr= -m.x23 * m.x4 + m.x39 == 0)
m.e65 = Constraint(expr= -m.x24 * m.x4 + m.x40 == 0)
m.e66 = Constraint(expr= -m.x25 * m.x4 + m.x41 == 0)
m.e67 = Constraint(expr= -m.x26 * m.x4 + m.x42 == 0)
m.e68 = Constraint(expr= -m.x23 * m.x5 + m.x43 == 0)
m.e69 = Constraint(expr= -m.x24 * m.x5 + m.x44 == 0)
m.e70 = Constraint(expr= -m.x25 * m.x5 + m.x45 == 0)
m.e71 = Constraint(expr= -m.x26 * m.x5 + m.x46 == 0)
