# NLP written by GAMS Convert at 02/17/22 17:21:47
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        23       14        0        9        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        18       18        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        71       47       24
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,300), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,300), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,200), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,200), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x4 - 5 * m.x5 - 3 * m.x13 - 9 * m.x14
    + 6 * m.x15 + 7 * m.x17 + m.x18)

m.e1 = Constraint(expr= m.x13 + m.x14 <= 300)
m.e2 = Constraint(expr= m.x15 + m.x16 <= 50)
m.e3 = Constraint(expr= m.x17 + m.x18 <= 300)
m.e4 = Constraint(expr= m.x4 + m.x5 <= 300)
m.e5 = Constraint(expr= m.x13 + m.x14 + m.x15 + m.x16 + m.x17 + m.x18 <= 300)
m.e6 = Constraint(expr= m.x4 + m.x13 + m.x15 + m.x17 <= 100)
m.e7 = Constraint(expr= m.x5 + m.x14 + m.x16 + m.x18 <= 200)
m.e8 = Constraint(expr= -0.5 * m.x4 + 0.5 * m.x13 - 1.5 * m.x15 - 1.5 * m.x17
    <= 0)
m.e9 = Constraint(expr= 0.5 * m.x5 + 1.5 * m.x14 - 0.5 * m.x16 - 0.5 * m.x18
    <= 0)
m.e10 = Constraint(expr= m.x8 + m.x9 + m.x10 == 1)
m.e11 = Constraint(expr= m.x11 + m.x12 == 1)
m.e12 = Constraint(expr= -m.x8 * m.x6 + m.x13 == 0)
m.e13 = Constraint(expr= -m.x8 * m.x7 + m.x14 == 0)
m.e14 = Constraint(expr= -m.x9 * m.x6 + m.x15 == 0)
m.e15 = Constraint(expr= -m.x9 * m.x7 + m.x16 == 0)
m.e16 = Constraint(expr= -m.x10 * m.x6 + m.x17 == 0)
m.e17 = Constraint(expr= -m.x10 * m.x7 + m.x18 == 0)
m.e18 = Constraint(expr= -m.x11 * m.x1 + m.x13 == 0)
m.e19 = Constraint(expr= -m.x12 * m.x1 + m.x14 == 0)
m.e20 = Constraint(expr= -m.x11 * m.x2 + m.x15 == 0)
m.e21 = Constraint(expr= -m.x12 * m.x2 + m.x16 == 0)
m.e22 = Constraint(expr= -m.x11 * m.x3 + m.x17 == 0)
m.e23 = Constraint(expr= -m.x12 * m.x3 + m.x18 == 0)
