# NLP written by GAMS Convert at 02/17/22 17:21:49
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        72       40        3       29        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        46       46        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       337      265       72
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,60.98), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,161.29), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,161.29), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x26 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x27 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x28 = Var(within=Reals, bounds=(0,1), initialize=0)
m.x29 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x30 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x31 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x32 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x33 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x34 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x35 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x36 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x37 = Var(within=Reals, bounds=(0,12.5), initialize=0)
m.x38 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x39 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x40 = Var(within=Reals, bounds=(0,17.5), initialize=0)
m.x41 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x42 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x43 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x44 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x45 = Var(within=Reals, bounds=(0,5), initialize=0)
m.x46 = Var(within=Reals, bounds=(0,5), initialize=0)

m.obj = Objective(sense=minimize, expr= -180.8 * m.x3 - 128 * m.x6 - 88 * m.x7
    + 110 * m.x10 - 140.8 * m.x29 - 180.8 * m.x30 - 100.8 * m.x31 - 140.8 *
    m.x32 - 180.8 * m.x33 - 100.8 * m.x34 - 128 * m.x35 - 168 * m.x36 - 88 *
    m.x37 - 128 * m.x38 - 168 * m.x39 - 88 * m.x40 + 110 * m.x41 + 70 * m.x42
    + 150 * m.x43 + 110 * m.x44 + 70 * m.x45 + 150 * m.x46)

m.e1 = Constraint(expr= m.x3 + m.x29 + m.x30 + m.x31 + m.x32 + m.x33 + m.x34
    <= 60.98)
m.e2 = Constraint(expr= m.x6 + m.x7 + m.x35 + m.x36 + m.x37 + m.x38 + m.x39 +
    m.x40 <= 161.29)
m.e3 = Constraint(expr= m.x10 + m.x41 + m.x42 + m.x43 + m.x44 + m.x45 + m.x46
    <= 5)
m.e4 = Constraint(expr= m.x29 + m.x30 + m.x31 + m.x35 + m.x36 + m.x37 + m.x41
    + m.x42 + m.x43 <= 12.5)
m.e5 = Constraint(expr= m.x32 + m.x33 + m.x34 + m.x38 + m.x39 + m.x40 + m.x44
    + m.x45 + m.x46 <= 17.5)
m.e6 = Constraint(expr= m.x6 + m.x10 + m.x29 + m.x32 + m.x35 + m.x38 + m.x41 +
    m.x44 >= 5)
m.e7 = Constraint(expr= m.x3 + m.x30 + m.x33 + m.x36 + m.x39 + m.x42 + m.x45
    >= 5)
m.e8 = Constraint(expr= m.x7 + m.x31 + m.x34 + m.x37 + m.x40 + m.x43 + m.x46
    >= 5)
m.e9 = Constraint(expr= m.x6 + m.x10 + m.x29 + m.x32 + m.x35 + m.x38 + m.x41 +
    m.x44 <= 300)
m.e10 = Constraint(expr= m.x3 + m.x30 + m.x33 + m.x36 + m.x39 + m.x42 + m.x45
    <= 300)
m.e11 = Constraint(expr= m.x7 + m.x31 + m.x34 + m.x37 + m.x40 + m.x43 + m.x46
    <= 300)
m.e12 = Constraint(expr= -0.17 * m.x6 - 0.04 * m.x10 + 0.0299999999999999 *
    m.x29 + 0.0299999999999999 * m.x32 - 0.17 * m.x35 - 0.17 * m.x38 - 0.04 *
    m.x41 - 0.04 * m.x44 <= 0)
m.e13 = Constraint(expr= -3 * m.x6 - 3 * m.x10 - 3 * m.x35 - 3 * m.x38 - 3 *
    m.x41 - 3 * m.x44 <= 0)
m.e14 = Constraint(expr= -26.1 * m.x6 - 14.8 * m.x29 - 14.8 * m.x32 - 26.1 *
    m.x35 - 26.1 * m.x38 <= 0)
m.e15 = Constraint(expr= -15.2 * m.x6 - 8.2 * m.x29 - 8.2 * m.x32 - 15.2 *
    m.x35 - 15.2 * m.x38 <= 0)
m.e16 = Constraint(expr= 0.12 * m.x6 - 0.01 * m.x10 - 0.08 * m.x29 - 0.08 *
    m.x32 + 0.12 * m.x35 + 0.12 * m.x38 - 0.01 * m.x41 - 0.01 * m.x44 <= 0)
m.e17 = Constraint(expr= 7.09999999999999 * m.x6 - 19 * m.x10 - 4.2 * m.x29 -
    4.2 * m.x32 + 7.09999999999999 * m.x35 + 7.09999999999999 * m.x38 - 19 *
    m.x41 - 19 * m.x44 <= 0)
m.e18 = Constraint(expr= 1.5 * m.x6 - 13.7 * m.x10 - 5.5 * m.x29 - 5.5 * m.x32
    + 1.5 * m.x35 + 1.5 * m.x38 - 13.7 * m.x41 - 13.7 * m.x44 <= 0)
m.e19 = Constraint(expr= 0.0299999999999999 * m.x3 + 0.0299999999999999 * m.x30
    + 0.0299999999999999 * m.x33 - 0.17 * m.x36 - 0.17 * m.x39 - 0.04 * m.x42
    - 0.04 * m.x45 <= 0)
m.e20 = Constraint(expr= 2.1 * m.x3 + 2.1 * m.x30 + 2.1 * m.x33 - 0.9 * m.x36
    - 0.9 * m.x39 - 0.9 * m.x42 - 0.9 * m.x45 <= 0)
m.e21 = Constraint(expr= -14.8 * m.x3 - 14.8 * m.x30 - 14.8 * m.x33 - 26.1 *
    m.x36 - 26.1 * m.x39 <= 0)
m.e22 = Constraint(expr= -8.2 * m.x3 - 8.2 * m.x30 - 8.2 * m.x33 - 15.2 * m.x36
    - 15.2 * m.x39 <= 0)
m.e23 = Constraint(expr= -0.08 * m.x3 - 0.08 * m.x30 - 0.08 * m.x33 + 0.12 *
    m.x36 + 0.12 * m.x39 - 0.01 * m.x42 - 0.01 * m.x45 <= 0)
m.e24 = Constraint(expr= -3.2 * m.x3 - 3.2 * m.x30 - 3.2 * m.x33 +
    8.09999999999999 * m.x36 + 8.09999999999999 * m.x39 - 18 * m.x42 - 18 *
    m.x45 <= 0)
m.e25 = Constraint(expr= -2.5 * m.x3 - 2.5 * m.x30 - 2.5 * m.x33 + 4.5 * m.x36
    + 4.5 * m.x39 - 10.7 * m.x42 - 10.7 * m.x45 <= 0)
m.e26 = Constraint(expr= -0.17 * m.x7 + 0.0299999999999999 * m.x31 +
    0.0299999999999999 * m.x34 - 0.17 * m.x37 - 0.17 * m.x40 - 0.04 * m.x43 -
    0.04 * m.x46 <= 0)
m.e27 = Constraint(expr= -3 * m.x7 - 3 * m.x37 - 3 * m.x40 - 3 * m.x43 - 3 *
    m.x46 <= 0)
m.e28 = Constraint(expr= -26.1 * m.x7 - 14.8 * m.x31 - 14.8 * m.x34 - 26.1 *
    m.x37 - 26.1 * m.x40 <= 0)
m.e29 = Constraint(expr= -15.2 * m.x7 - 8.2 * m.x31 - 8.2 * m.x34 - 15.2 *
    m.x37 - 15.2 * m.x40 <= 0)
m.e30 = Constraint(expr= 0.12 * m.x7 - 0.08 * m.x31 - 0.08 * m.x34 + 0.12 *
    m.x37 + 0.12 * m.x40 - 0.01 * m.x43 - 0.01 * m.x46 <= 0)
m.e31 = Constraint(expr= 3.09999999999999 * m.x7 - 8.2 * m.x31 - 8.2 * m.x34 +
    3.09999999999999 * m.x37 + 3.09999999999999 * m.x40 - 23 * m.x43 - 23 *
    m.x46 <= 0)
m.e32 = Constraint(expr= -7 * m.x31 - 7 * m.x34 - 15.2 * m.x43 - 15.2 * m.x46
    <= 0)
m.e33 = Constraint(expr= m.x17 + m.x19 + m.x21 == 1)
m.e34 = Constraint(expr= m.x18 + m.x20 + m.x22 == 1)
m.e35 = Constraint(expr= m.x23 + m.x24 + m.x25 == 1)
m.e36 = Constraint(expr= m.x26 + m.x27 + m.x28 == 1)
m.e37 = Constraint(expr= -m.x17 * m.x11 + m.x29 == 0)
m.e38 = Constraint(expr= -m.x17 * m.x12 + m.x30 == 0)
m.e39 = Constraint(expr= -m.x17 * m.x13 + m.x31 == 0)
m.e40 = Constraint(expr= -m.x18 * m.x14 + m.x32 == 0)
m.e41 = Constraint(expr= -m.x18 * m.x15 + m.x33 == 0)
m.e42 = Constraint(expr= -m.x18 * m.x16 + m.x34 == 0)
m.e43 = Constraint(expr= -m.x19 * m.x11 + m.x35 == 0)
m.e44 = Constraint(expr= -m.x19 * m.x12 + m.x36 == 0)
m.e45 = Constraint(expr= -m.x19 * m.x13 + m.x37 == 0)
m.e46 = Constraint(expr= -m.x20 * m.x14 + m.x38 == 0)
m.e47 = Constraint(expr= -m.x20 * m.x15 + m.x39 == 0)
m.e48 = Constraint(expr= -m.x20 * m.x16 + m.x40 == 0)
m.e49 = Constraint(expr= -m.x21 * m.x11 + m.x41 == 0)
m.e50 = Constraint(expr= -m.x21 * m.x12 + m.x42 == 0)
m.e51 = Constraint(expr= -m.x21 * m.x13 + m.x43 == 0)
m.e52 = Constraint(expr= -m.x22 * m.x14 + m.x44 == 0)
m.e53 = Constraint(expr= -m.x22 * m.x15 + m.x45 == 0)
m.e54 = Constraint(expr= -m.x22 * m.x16 + m.x46 == 0)
m.e55 = Constraint(expr= -m.x23 * m.x1 + m.x29 == 0)
m.e56 = Constraint(expr= -m.x24 * m.x1 + m.x30 == 0)
m.e57 = Constraint(expr= -m.x25 * m.x1 + m.x31 == 0)
m.e58 = Constraint(expr= -m.x26 * m.x2 + m.x32 == 0)
m.e59 = Constraint(expr= -m.x27 * m.x2 + m.x33 == 0)
m.e60 = Constraint(expr= -m.x28 * m.x2 + m.x34 == 0)
m.e61 = Constraint(expr= -m.x23 * m.x4 + m.x35 == 0)
m.e62 = Constraint(expr= -m.x24 * m.x4 + m.x36 == 0)
m.e63 = Constraint(expr= -m.x25 * m.x4 + m.x37 == 0)
m.e64 = Constraint(expr= -m.x26 * m.x5 + m.x38 == 0)
m.e65 = Constraint(expr= -m.x27 * m.x5 + m.x39 == 0)
m.e66 = Constraint(expr= -m.x28 * m.x5 + m.x40 == 0)
m.e67 = Constraint(expr= -m.x23 * m.x8 + m.x41 == 0)
m.e68 = Constraint(expr= -m.x24 * m.x8 + m.x42 == 0)
m.e69 = Constraint(expr= -m.x25 * m.x8 + m.x43 == 0)
m.e70 = Constraint(expr= -m.x26 * m.x9 + m.x44 == 0)
m.e71 = Constraint(expr= -m.x27 * m.x9 + m.x45 == 0)
m.e72 = Constraint(expr= -m.x28 * m.x9 + m.x46 == 0)
