# NLP written by GAMS Convert at 02/17/22 17:22:28
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        36        1        8       27        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        15       15        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       110       47       63
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,None), initialize=1100.53862181846)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=1279.53722102267)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=913.955157873337)
m.x4 = Var(within=Reals, bounds=(100,None), initialize=913.955157873337)
m.x5 = Var(within=Reals, bounds=(100,None), initialize=733.692414545642)
m.x6 = Var(within=Reals, bounds=(100,None), initialize=913.955157873337)
m.x7 = Var(within=Reals, bounds=(300,None), initialize=1399.16837300491)
m.x8 = Var(within=Reals, bounds=(300,None), initialize=365.579732331283)
m.x9 = Var(within=Reals, bounds=(300,None), initialize=365.579732331283)
m.x10 = Var(within=Reals, bounds=(300,None), initialize=459.625873931453)
m.x11 = Var(within=Reals, bounds=(300,None), initialize=459.625873931453)
m.x12 = Var(within=Reals, bounds=(5,None), initialize=6.78386433964926)
m.x13 = Var(within=Reals, bounds=(5,None), initialize=10.3944267123785)
m.x14 = Var(within=Reals, bounds=(5,None), initialize=7.13617632404846)
m.x15 = Var(within=Reals, bounds=(None,None), initialize=155153.543657587)

m.obj = Objective(sense=minimize, expr= m.x15)

m.e1 = Constraint(expr= m.x1 - 1.2 * m.x4 >= 0)
m.e2 = Constraint(expr= m.x1 - 1.5 * m.x5 >= 0)
m.e3 = Constraint(expr= m.x1 - 1.1 * m.x6 >= 0)
m.e4 = Constraint(expr= m.x2 - 1.4 * m.x4 >= 0)
m.e5 = Constraint(expr= m.x2 - 1.2 * m.x6 >= 0)
m.e6 = Constraint(expr= m.x3 - m.x4 >= 0)
m.e7 = Constraint(expr= m.x3 - m.x5 >= 0)
m.e8 = Constraint(expr= m.x3 - m.x6 >= 0)
m.e9 = Constraint(expr= m.x8 - m.x9 <= 0)
m.e10 = Constraint(expr= m.x10 - m.x11 <= 0)
m.e11 = Constraint(expr= m.x8 - m.x11 <= 0)
m.e12 = Constraint(expr= -m.x8 + m.x9 == 0)
m.e13 = Constraint(expr= 592 * m.x1**0.65 + 582 * m.x2**0.39 + 1200 * m.x3**
    0.52 + 370 * m.x7**0.22 + 250 * m.x8**0.4 + 210 * m.x9**0.62 + 250 * m.x10
    **0.4 + 200 * m.x11**0.83 - m.x15 <= 0)
m.e14 = Constraint(expr= 4e+05 * m.x12 / m.x4 + 3e+05 * m.x13 / m.x5 + 1e+05 *
    m.x14 / m.x6 <= 8000)
m.e15 = Constraint(expr= 1.2 * m.x4 / m.x7 - m.x12 <= 0)
m.e16 = Constraint(expr= 1.2 * m.x4 / m.x8 - m.x12 <= 0)
m.e17 = Constraint(expr= 1.2 * m.x4 / m.x9 - m.x12 <= 0)
m.e18 = Constraint(expr= 1.4 * m.x4 / m.x10 - m.x12 <= 0)
m.e19 = Constraint(expr= 1.4 * m.x4 / m.x11 - m.x12 <= 0)
m.e20 = Constraint(expr= 1.5 * m.x5 / m.x7 - m.x13 <= 0)
m.e21 = Constraint(expr= 1.5 * m.x5 / m.x8 - m.x13 <= 0)
m.e22 = Constraint(expr= 1.5 * m.x5 / m.x9 - m.x13 <= 0)
m.e23 = Constraint(expr= 1.5 * m.x5 / m.x11 - m.x13 <= 0)
m.e24 = Constraint(expr= 1.1 * m.x6 / m.x7 - m.x14 <= 0)
m.e25 = Constraint(expr= 1.1 * m.x6 / m.x8 - m.x14 <= 0)
m.e26 = Constraint(expr= 1.1 * m.x6 / m.x9 - m.x14 <= 0)
m.e27 = Constraint(expr= 1.2 * m.x6 / m.x10 - m.x14 <= 0)
m.e28 = Constraint(expr= 1.2 * m.x6 / m.x11 - m.x14 <= 0)
m.e29 = Constraint(expr= 1.2 * m.x4 / m.x7 + 1.2 * m.x4 / m.x8 - m.x12 <= -3)
m.e30 = Constraint(expr= 1.2 * m.x4 / m.x9 + 1.4 * m.x4 / m.x10 - m.x12 <= -1)
m.e31 = Constraint(expr= 1.4 * m.x4 / m.x11 - m.x12 <= -4)
m.e32 = Constraint(expr= 1.5 * m.x5 / m.x7 + 1.5 * m.x5 / m.x8 - m.x13 <= -6)
m.e33 = Constraint(expr= 1.5 * m.x5 / m.x11 - m.x13 <= -8)
m.e34 = Constraint(expr= 1.1 * m.x6 / m.x7 + 1.1 * m.x6 / m.x8 - m.x14 <= -2)
m.e35 = Constraint(expr= 1.1 * m.x6 / m.x9 + 1.2 * m.x6 / m.x10 - m.x14 <= -2)
m.e36 = Constraint(expr= 1.2 * m.x6 / m.x11 - m.x14 <= -4)
