# NLP written by GAMS Convert at 02/17/22 17:22:28
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        22        0        0       22        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        20       20        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       120      112        8
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.2,None), initialize=0.5942)
m.x2 = Var(within=Reals, bounds=(0.2,None), initialize=1.6167)
m.x3 = Var(within=Reals, bounds=(0.2,None), initialize=1.31077)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=352)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=430)
m.x6 = Var(within=Reals, bounds=(0,None), initialize=222)
m.x7 = Var(within=Reals, bounds=(0,None), initialize=292)
m.x8 = Var(within=Reals, bounds=(0,None), initialize=0.130670360422406)
m.x9 = Var(within=Reals, bounds=(0,None), initialize=0.130670360422406)
m.x10 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,None), initialize=500.14934)
m.x20 = Var(within=Reals, bounds=(0,None), initialize=638.25084)

m.obj = Objective(sense=minimize, expr= -m.x4 * m.x1 - m.x5 * m.x1 - m.x6 *
    m.x3 - m.x7 * m.x3 + 3712 * m.x8 + 5000 * m.x9)

m.e1 = Constraint(expr= m.x4 + m.x5 - 0.94 * m.x10 - 0.94 * m.x11 - 0.94 *
    m.x12 + 0.244 * m.x16 + 0.244 * m.x17 + 0.244 * m.x18 <= 0)
m.e2 = Constraint(expr= 0.064 * m.x10 + 0.064 * m.x11 + 0.064 * m.x12 - 0.58 *
    m.x13 - 0.58 * m.x14 - 0.58 * m.x15 + 0.172 * m.x16 + 0.172 * m.x17 + 0.172
    * m.x18 <= 0)
m.e3 = Constraint(expr= m.x6 + m.x7 + 0.048 * m.x10 + 0.048 * m.x11 + 0.048 *
    m.x12 + 0.247 * m.x13 + 0.247 * m.x14 + 0.247 * m.x15 - 0.916 * m.x16 -
    0.916 * m.x17 - 0.916 * m.x18 <= 0)
m.e4 = Constraint(expr= m.x10 + 1.2 * m.x11 + 0.8 * m.x12 + 2 * m.x13 + 1.8 *
    m.x14 + 2.4 * m.x15 + 3 * m.x16 + 2.7 * m.x17 + 3.2 * m.x18 <= 3712)
m.e5 = Constraint(expr= 2 * m.x10 + 1.8 * m.x11 + 2.2 * m.x12 + 3 * m.x13 + 3.5
    * m.x14 + 2.3 * m.x15 + 3 * m.x16 + 3.2 * m.x17 + 2.7 * m.x18 <= 5000)
m.e6 = Constraint(expr= 356.474947137148 * m.x1 + 53.7083537310174 * m.x3 +
    m.x4 - 0.564264890180399 * m.x19 <= 352)
m.e7 = Constraint(expr= 339.983422262764 * m.x1 + 43.5418249774113 * m.x3 +
    m.x5 - 0.405939876920766 * m.x20 <= 430)
m.e8 = Constraint(expr= 106.946746119538 * m.x1 + 145.018955433089 * m.x3 +
    m.x6 - 0.507117039797071 * m.x19 <= 222)
m.e9 = Constraint(expr= 173.929713444361 * m.x1 + 203.031384299627 * m.x3 +
    m.x7 - 0.578889145413521 * m.x20 <= 292)
m.e10 = Constraint(expr= m.x4 * m.x1 + m.x6 * m.x3 - m.x19 <= 0)
m.e11 = Constraint(expr= m.x5 * m.x1 + m.x7 * m.x3 - m.x20 <= 0)
m.e12 = Constraint(expr= -3340.8 * m.x8 - 500 * m.x9 + m.x19 <= 0)
m.e13 = Constraint(expr= -371.2 * m.x8 - 4500 * m.x9 + m.x20 <= 0)
m.e14 = Constraint(expr= 0.94 * m.x1 - 0.064 * m.x2 - 0.048 * m.x3 - m.x8 - 2 *
    m.x9 <= 0)
m.e15 = Constraint(expr= 0.94 * m.x1 - 0.064 * m.x2 - 0.048 * m.x3 - 1.2 * m.x8
    - 1.8 * m.x9 <= 0)
m.e16 = Constraint(expr= 0.94 * m.x1 - 0.064 * m.x2 - 0.048 * m.x3 - 0.8 * m.x8
    - 2.2 * m.x9 <= 0)
m.e17 = Constraint(expr= 0.58 * m.x2 - 0.247 * m.x3 - 2 * m.x8 - 3 * m.x9 <= 0)
m.e18 = Constraint(expr= 0.58 * m.x2 - 0.247 * m.x3 - 1.8 * m.x8 - 3.5 * m.x9
    <= 0)
m.e19 = Constraint(expr= 0.58 * m.x2 - 0.247 * m.x3 - 2.4 * m.x8 - 2.3 * m.x9
    <= 0)
m.e20 = Constraint(expr= -0.244 * m.x1 - 0.172 * m.x2 + 0.916 * m.x3 - 3 * m.x8
    - 3 * m.x9 <= 0)
m.e21 = Constraint(expr= -0.244 * m.x1 - 0.172 * m.x2 + 0.916 * m.x3 - 2.7 *
    m.x8 - 3.2 * m.x9 <= 0)
m.e22 = Constraint(expr= -0.244 * m.x1 - 0.172 * m.x2 + 0.916 * m.x3 - 3.2 *
    m.x8 - 2.7 * m.x9 <= 0)
