# NLP written by GAMS Convert at 02/17/22 17:22:32
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         0        0        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         2        2        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         0        0        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(-10,5), initialize=-1.2)
m.x2 = Var(within=Reals, bounds=(-10,10), initialize=1)

m.obj = Objective(sense=minimize, expr= 100 * (-m.x1**2 + m.x2)**2 + (1 - m.x1)
    **2)

