# MINLP written by GAMS Convert at 02/17/22 17:22:40
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        31       22        5        4        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        29       27        2        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        88       76       12
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,50), initialize=10)
m.x2 = Var(within=Reals, bounds=(0,50), initialize=2.5)
m.x3 = Var(within=Reals, bounds=(0,50), initialize=4)
m.x4 = Var(within=Reals, bounds=(0,50), initialize=14)
m.x5 = Var(within=Reals, bounds=(0,25), initialize=8)
m.x6 = Var(within=Reals, bounds=(0,25), initialize=25)
m.x7 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,50), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,1), initialize=0.1)
m.x26 = Var(within=Reals, bounds=(0,1), initialize=0.1)
m.x27 = Var(within=Reals, bounds=(0,1), initialize=0.1)
m.b28 = Var(within=Binary, bounds=(0,1), initialize=0.5)
m.b29 = Var(within=Binary, bounds=(0,1), initialize=0.5)

m.obj = Objective(sense=minimize, expr= -35 * m.x1 - 30 * m.x4 + 10 * m.x5 + 8
    * m.x6 + m.x9 + m.x10 + 4 * m.x11 + 4 * m.x12 + 50 * m.b28 + 2 * m.b29)

m.e1 = Constraint(expr= -0.55 * m.x5 - 0.5 * m.x6 + m.x7 == 0)
m.e2 = Constraint(expr= -0.45 * m.x5 - 0.5 * m.x6 + m.x8 == 0)
m.e3 = Constraint(expr= -m.x25 * m.x7 + m.x9 == 0)
m.e4 = Constraint(expr= -m.x25 * m.x8 + m.x10 == 0)
m.e5 = Constraint(expr= -m.x26 * m.x7 + m.x11 == 0)
m.e6 = Constraint(expr= -m.x26 * m.x8 + m.x12 == 0)
m.e7 = Constraint(expr= -m.x27 * m.x7 + m.x13 == 0)
m.e8 = Constraint(expr= -m.x27 * m.x8 + m.x14 == 0)
m.e9 = Constraint(expr= -m.x7 + m.x9 + m.x11 + m.x13 + m.x15 == 0)
m.e10 = Constraint(expr= -m.x8 + m.x10 + m.x12 + m.x14 + m.x16 == 0)
m.e11 = Constraint(expr= -0.85 * m.x9 + m.x17 == 0)
m.e12 = Constraint(expr= -0.2 * m.x10 + m.x18 == 0)
m.e13 = Constraint(expr= -0.15 * m.x9 + m.x19 == 0)
m.e14 = Constraint(expr= -0.8 * m.x10 + m.x20 == 0)
m.e15 = Constraint(expr= -0.975 * m.x11 + m.x21 == 0)
m.e16 = Constraint(expr= -0.05 * m.x12 + m.x22 == 0)
m.e17 = Constraint(expr= -0.025 * m.x11 + m.x23 == 0)
m.e18 = Constraint(expr= -0.95 * m.x12 + m.x24 == 0)
m.e19 = Constraint(expr= m.x1 - m.x13 - m.x17 - m.x21 == 0)
m.e20 = Constraint(expr= m.x2 - m.x14 - m.x18 - m.x22 == 0)
m.e21 = Constraint(expr= m.x3 - m.x15 - m.x19 - m.x23 == 0)
m.e22 = Constraint(expr= m.x4 - m.x16 - m.x20 - m.x24 == 0)
m.e23 = Constraint(expr= m.x9 + m.x10 - 2.5 * m.b29 >= 0)
m.e24 = Constraint(expr= m.x9 + m.x10 - 25 * m.b29 <= 0)
m.e25 = Constraint(expr= m.x11 + m.x12 - 2.5 * m.b28 >= 0)
m.e26 = Constraint(expr= m.x11 + m.x12 - 25 * m.b28 <= 0)
m.e27 = Constraint(expr= m.x1 - 4 * m.x2 >= 0)
m.e28 = Constraint(expr= -3 * m.x3 + m.x4 >= 0)
m.e29 = Constraint(expr= m.x1 + m.x2 <= 15)
m.e30 = Constraint(expr= m.x3 + m.x4 <= 18)
m.e31 = Constraint(expr= m.b28 + m.b29 >= 1)
