# NLP written by GAMS Convert at 02/17/22 17:22:52
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         1        0        0        1        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         6        6        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         6        6        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,99), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,99), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,99), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,99), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,99), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,99), initialize=0)

m.obj = Objective(sense=minimize, expr= -1.5 * m.x1**2 + 10.5 * m.x1 - m.x2**2
    - 3.95 * m.x2 - m.x3**2 + 3 * m.x3 - 2 * m.x4**2 + 5 * m.x4 - m.x5**2 +
    1.5 * m.x5 - 2.5 * m.x6**2 - 1.5 * m.x6)

m.e1 = Constraint(expr= m.x1 + m.x2 + m.x3 + m.x4 + m.x5 + m.x6 <= 1e+10)
