# NLP written by GAMS Convert at 02/17/22 17:22:52
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         2        1        1        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         4        4        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         5        2        3
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,15.1), initialize=0)
m.x2 = Var(within=Reals, bounds=(14.7,94.2), initialize=14.7)
m.x3 = Var(within=Reals, bounds=(0,5371), initialize=0)
m.x4 = Var(within=Reals, bounds=(-459.67,80), initialize=0)

m.obj = Objective(sense=minimize, expr= 400 * m.x1**0.9 + 22 * (-14.7 + m.x2)**
    1.2 + m.x3 + 1000)

m.e1 = Constraint(expr= m.x3 * m.x1 + 144 * m.x4 >= 11520)
m.e2 = Constraint(expr= -exp(-3950 / (460 + m.x4) + 11.86) + m.x2 == 0)
