# NLP written by GAMS Convert at 02/17/22 17:22:52
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         3        3        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         5        5        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#         7        3        4
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,15834), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,36250), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,1e+04), initialize=0)
m.x4 = Var(within=Reals, bounds=(100,300), initialize=100)
m.x5 = Var(within=Reals, bounds=(100,400), initialize=100)

m.obj = Objective(sense=minimize, expr= m.x1 + m.x2 + m.x3)

m.e1 = Constraint(expr= -120 * m.x1 * (300 - m.x4) + 1e+05 * m.x4 == 1e+07)
m.e2 = Constraint(expr= -80 * m.x2 * (400 - m.x5) + 1e+05 * m.x5 - 1e+05 * m.x4
    == 0)
m.e3 = Constraint(expr= -4000 * m.x3 - 1e+05 * m.x5 == -5e+07)
