# NLP written by GAMS Convert at 02/17/22 17:22:53
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         9        9        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        12       12        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        30       16       14
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x9 = Var(within=Reals, bounds=(100,290), initialize=100)
m.x10 = Var(within=Reals, bounds=(100,310), initialize=100)
m.x11 = Var(within=Reals, bounds=(100,290), initialize=100)
m.x12 = Var(within=Reals, bounds=(100,330), initialize=100)

m.obj = Objective(sense=minimize, expr= 1200 * (800 / (2.5 * (0.666666666666667
    * ((320 - m.x10) * (300 - m.x9))**0.5 - 0.166666666666667 * m.x9 -
    0.166666666666667 * m.x10) + 258.333333333333))**0.6 + 1200 * (5000 / (
    0.666666666666667 * ((340 - m.x12) * (300 - m.x11))**0.5 -
    0.166666666666667 * m.x11 - 0.166666666666667 * m.x12 + 106.666666666667))
    **0.6)

m.e1 = Constraint(expr= m.x1 + m.x2 == 10)
m.e2 = Constraint(expr= m.x1 - m.x3 + m.x6 == 0)
m.e3 = Constraint(expr= m.x2 - m.x4 + m.x5 == 0)
m.e4 = Constraint(expr= -m.x3 + m.x5 + m.x7 == 0)
m.e5 = Constraint(expr= -m.x4 + m.x6 + m.x8 == 0)
m.e6 = Constraint(expr= m.x12 * m.x6 - m.x9 * m.x3 + 100 * m.x1 == 0)
m.e7 = Constraint(expr= m.x10 * m.x5 - m.x11 * m.x4 + 100 * m.x2 == 0)
m.e8 = Constraint(expr= m.x3 * (-m.x9 + m.x10) == 800)
m.e9 = Constraint(expr= m.x4 * (-m.x11 + m.x12) == 1000)
