# NLP written by GAMS Convert at 02/17/22 17:22:53
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         1        0        0        1        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         4        4        0        0        0        0        0        0
# FX      2
#
# Nonzero counts
#     Total    const       NL
#         2        2        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,100), initialize=0)
m.x3 = Var(within=Reals, bounds=(1,1), initialize=1)
m.x4 = Var(within=Reals, bounds=(1,1), initialize=1)

m.obj = Objective(sense=minimize, expr= (-1.9837 + m.x3 + m.x4)**2 + (m.x3 *
    exp(-m.x1) + m.x4 * exp(-m.x2) - 0.8393)**2 + (m.x3 * exp(-2 * m.x1) + m.x4
    * exp(-2 * m.x2) - 0.4305)**2 + (m.x3 * exp(-3 * m.x1) + m.x4 * exp(-3 *
    m.x2) - 0.2441)**2 + (m.x3 * exp(-4 * m.x1) + m.x4 * exp(-4 * m.x2) -
    0.1248)**2 + (m.x3 * exp(-5 * m.x1) + m.x4 * exp(-5 * m.x2) - 0.0981)**2 +
    (m.x3 * exp(-6 * m.x1) + m.x4 * exp(-6 * m.x2) - 0.0549)**2 + (m.x3 * exp(
    -7 * m.x1) + m.x4 * exp(-7 * m.x2) - 0.0174)**2 + (m.x3 * exp(-8 * m.x1) +
    m.x4 * exp(-8 * m.x2) - 0.0249)**2 + (m.x3 * exp(-9 * m.x1) + m.x4 * exp(-9
    * m.x2) - 0.0154)**2 + (m.x3 * exp(-10 * m.x1) + m.x4 * exp(-10 * m.x2) -
    0.0127)**2)

m.e1 = Constraint(expr= m.x1 - m.x2 <= 0)
