# NLP written by GAMS Convert at 02/17/22 17:22:56
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         5        0        0        5        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         3        3        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        15       15        0
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=minimize, expr= -m.x1**2 - m.x2**2 - m.x3**2 + 2 * m.x3)

m.e1 = Constraint(expr= m.x1 + m.x2 - m.x3 <= 0)
m.e2 = Constraint(expr= -m.x1 + m.x2 - m.x3 <= 0)
m.e3 = Constraint(expr= 12 * m.x1 + 5 * m.x2 + 12 * m.x3 <= 22.8)
m.e4 = Constraint(expr= 12 * m.x1 + 12 * m.x2 + 7 * m.x3 <= 17.1)
m.e5 = Constraint(expr= -6 * m.x1 + m.x2 + m.x3 <= 1.9)
