# MINLP written by GAMS Convert at 02/17/22 17:22:58
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#       101       10       22       69        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        60       40       20        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       241      235        6
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,40), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,40), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,30), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,30), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x26 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x27 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x28 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x29 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x30 = Var(within=Reals, bounds=(0,None), initialize=0)
m.b31 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b32 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b33 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b34 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b35 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b36 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b37 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b38 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b39 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b40 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b41 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b42 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b43 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b44 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b45 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b46 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b47 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b48 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b49 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b50 = Var(within=Binary, bounds=(0,1), initialize=0)
m.x51 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x52 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x53 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x54 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x55 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x56 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x57 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x58 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x59 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x60 = Var(within=Reals, bounds=(None,None), initialize=0)

m.obj = Objective(sense=maximize, expr= -m.x1 - m.x2 + 5 * m.x13 + 10 * m.x14
    - 2 * m.x23 - m.x24 + 80 * m.x25 + 90 * m.x26 + 285 * m.x27 + 390 * m.x28
    + 290 * m.x29 + 405 * m.x30 - 5 * m.b41 - 4 * m.b42 - 8 * m.b43 - 7 *
    m.b44 - 6 * m.b45 - 9 * m.b46 - 10 * m.b47 - 9 * m.b48 - 6 * m.b49 - 10 *
    m.b50)

m.e1 = Constraint(expr= m.x1 - m.x3 - m.x5 == 0)
m.e2 = Constraint(expr= m.x2 - m.x4 - m.x6 == 0)
m.e3 = Constraint(expr= -m.x7 - m.x9 + m.x11 == 0)
m.e4 = Constraint(expr= -m.x8 - m.x10 + m.x12 == 0)
m.e5 = Constraint(expr= m.x11 - m.x13 - m.x15 == 0)
m.e6 = Constraint(expr= m.x12 - m.x14 - m.x16 == 0)
m.e7 = Constraint(expr= m.x15 - m.x17 - m.x19 - m.x21 == 0)
m.e8 = Constraint(expr= m.x16 - m.x18 - m.x20 - m.x22 == 0)
m.e9 = Constraint(expr= -log(1 + m.x3) + m.x7 + m.b31 <= 1)
m.e10 = Constraint(expr= -log(1 + m.x4) + m.x8 + m.b32 <= 1)
m.e11 = Constraint(expr= m.x3 - 40 * m.b31 <= 0)
m.e12 = Constraint(expr= m.x4 - 40 * m.b32 <= 0)
m.e13 = Constraint(expr= m.x7 - 3.71357206670431 * m.b31 <= 0)
m.e14 = Constraint(expr= m.x8 - 3.71357206670431 * m.b32 <= 0)
m.e15 = Constraint(expr= -1.2 * log(1 + m.x5) + m.x9 + m.b33 <= 1)
m.e16 = Constraint(expr= -1.2 * log(1 + m.x6) + m.x10 + m.b34 <= 1)
m.e17 = Constraint(expr= m.x5 - 40 * m.b33 <= 0)
m.e18 = Constraint(expr= m.x6 - 40 * m.b34 <= 0)
m.e19 = Constraint(expr= m.x9 - 4.45628648004517 * m.b33 <= 0)
m.e20 = Constraint(expr= m.x10 - 4.45628648004517 * m.b34 <= 0)
m.e21 = Constraint(expr= -0.75 * m.x17 + m.x25 + m.b35 <= 1)
m.e22 = Constraint(expr= -0.75 * m.x18 + m.x26 + m.b36 <= 1)
m.e23 = Constraint(expr= -0.75 * m.x17 + m.x25 - m.b35 >= -1)
m.e24 = Constraint(expr= -0.75 * m.x18 + m.x26 - m.b36 >= -1)
m.e25 = Constraint(expr= m.x17 - 4.45628648004517 * m.b35 <= 0)
m.e26 = Constraint(expr= m.x18 - 4.45628648004517 * m.b36 <= 0)
m.e27 = Constraint(expr= m.x25 - 3.34221486003388 * m.b35 <= 0)
m.e28 = Constraint(expr= m.x26 - 3.34221486003388 * m.b36 <= 0)
m.e29 = Constraint(expr= -1.5 * log(1 + m.x19) + m.x27 + m.b37 <= 1)
m.e30 = Constraint(expr= -1.5 * log(1 + m.x20) + m.x28 + m.b38 <= 1)
m.e31 = Constraint(expr= m.x19 - 4.45628648004517 * m.b37 <= 0)
m.e32 = Constraint(expr= m.x20 - 4.45628648004517 * m.b38 <= 0)
m.e33 = Constraint(expr= m.x27 - 2.54515263975353 * m.b37 <= 0)
m.e34 = Constraint(expr= m.x28 - 2.54515263975353 * m.b38 <= 0)
m.e35 = Constraint(expr= -m.x21 + m.x29 + m.b39 <= 1)
m.e36 = Constraint(expr= -m.x22 + m.x30 + m.b40 <= 1)
m.e37 = Constraint(expr= -m.x21 + m.x29 - m.b39 >= -1)
m.e38 = Constraint(expr= -m.x22 + m.x30 - m.b40 >= -1)
m.e39 = Constraint(expr= -0.5 * m.x23 + m.x29 + m.b39 <= 1)
m.e40 = Constraint(expr= -0.5 * m.x24 + m.x30 + m.b40 <= 1)
m.e41 = Constraint(expr= -0.5 * m.x23 + m.x29 - m.b39 >= -1)
m.e42 = Constraint(expr= -0.5 * m.x24 + m.x30 - m.b40 >= -1)
m.e43 = Constraint(expr= m.x21 - 4.45628648004517 * m.b39 <= 0)
m.e44 = Constraint(expr= m.x22 - 4.45628648004517 * m.b40 <= 0)
m.e45 = Constraint(expr= m.x23 - 30 * m.b39 <= 0)
m.e46 = Constraint(expr= m.x24 - 30 * m.b40 <= 0)
m.e47 = Constraint(expr= m.x29 - 15 * m.b39 <= 0)
m.e48 = Constraint(expr= m.x30 - 15 * m.b40 <= 0)
m.e49 = Constraint(expr= 5 * m.b41 + m.x51 <= 0)
m.e50 = Constraint(expr= 4 * m.b42 + m.x52 <= 0)
m.e51 = Constraint(expr= 8 * m.b43 + m.x53 <= 0)
m.e52 = Constraint(expr= 7 * m.b44 + m.x54 <= 0)
m.e53 = Constraint(expr= 6 * m.b45 + m.x55 <= 0)
m.e54 = Constraint(expr= 9 * m.b46 + m.x56 <= 0)
m.e55 = Constraint(expr= 10 * m.b47 + m.x57 <= 0)
m.e56 = Constraint(expr= 9 * m.b48 + m.x58 <= 0)
m.e57 = Constraint(expr= 6 * m.b49 + m.x59 <= 0)
m.e58 = Constraint(expr= 10 * m.b50 + m.x60 <= 0)
m.e59 = Constraint(expr= 5 * m.b41 + m.x51 >= 0)
m.e60 = Constraint(expr= 4 * m.b42 + m.x52 >= 0)
m.e61 = Constraint(expr= 8 * m.b43 + m.x53 >= 0)
m.e62 = Constraint(expr= 7 * m.b44 + m.x54 >= 0)
m.e63 = Constraint(expr= 6 * m.b45 + m.x55 >= 0)
m.e64 = Constraint(expr= 9 * m.b46 + m.x56 >= 0)
m.e65 = Constraint(expr= 10 * m.b47 + m.x57 >= 0)
m.e66 = Constraint(expr= 9 * m.b48 + m.x58 >= 0)
m.e67 = Constraint(expr= 6 * m.b49 + m.x59 >= 0)
m.e68 = Constraint(expr= 10 * m.b50 + m.x60 >= 0)
m.e69 = Constraint(expr= m.b31 - m.b32 <= 0)
m.e70 = Constraint(expr= m.b33 - m.b34 <= 0)
m.e71 = Constraint(expr= m.b35 - m.b36 <= 0)
m.e72 = Constraint(expr= m.b37 - m.b38 <= 0)
m.e73 = Constraint(expr= m.b39 - m.b40 <= 0)
m.e74 = Constraint(expr= m.b41 + m.b42 <= 1)
m.e75 = Constraint(expr= m.b41 + m.b42 <= 1)
m.e76 = Constraint(expr= m.b43 + m.b44 <= 1)
m.e77 = Constraint(expr= m.b43 + m.b44 <= 1)
m.e78 = Constraint(expr= m.b45 + m.b46 <= 1)
m.e79 = Constraint(expr= m.b45 + m.b46 <= 1)
m.e80 = Constraint(expr= m.b47 + m.b48 <= 1)
m.e81 = Constraint(expr= m.b47 + m.b48 <= 1)
m.e82 = Constraint(expr= m.b49 + m.b50 <= 1)
m.e83 = Constraint(expr= m.b49 + m.b50 <= 1)
m.e84 = Constraint(expr= m.b31 - m.b41 <= 0)
m.e85 = Constraint(expr= -m.b31 + m.b32 - m.b42 <= 0)
m.e86 = Constraint(expr= m.b33 - m.b43 <= 0)
m.e87 = Constraint(expr= -m.b33 + m.b34 - m.b44 <= 0)
m.e88 = Constraint(expr= m.b35 - m.b45 <= 0)
m.e89 = Constraint(expr= -m.b35 + m.b36 - m.b46 <= 0)
m.e90 = Constraint(expr= m.b37 - m.b47 <= 0)
m.e91 = Constraint(expr= -m.b37 + m.b38 - m.b48 <= 0)
m.e92 = Constraint(expr= m.b39 - m.b49 <= 0)
m.e93 = Constraint(expr= -m.b39 + m.b40 - m.b50 <= 0)
m.e94 = Constraint(expr= m.b31 + m.b33 == 1)
m.e95 = Constraint(expr= m.b32 + m.b34 == 1)
m.e96 = Constraint(expr= m.b31 + m.b33 - m.b35 >= 0)
m.e97 = Constraint(expr= m.b32 + m.b34 - m.b36 >= 0)
m.e98 = Constraint(expr= m.b31 + m.b33 - m.b37 >= 0)
m.e99 = Constraint(expr= m.b32 + m.b34 - m.b38 >= 0)
m.e100 = Constraint(expr= m.b31 + m.b33 - m.b39 >= 0)
m.e101 = Constraint(expr= m.b32 + m.b34 - m.b40 >= 0)
