# MINLP written by GAMS Convert at 02/17/22 17:23:01
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        14        1        0       13        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        11        6        5        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        37       33        4
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0,2), initialize=0)
m.x2 = Var(within=Reals, bounds=(0,2), initialize=0)
m.x3 = Var(within=Reals, bounds=(0,2), initialize=0)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,3), initialize=0)
m.b7 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b8 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b9 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b10 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b11 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= exp(m.x1) - 10 * m.x1 + exp(0.833333 *
    m.x2) - 15 * m.x2 - 60 * log(1 + m.x4 + m.x5) + 15 * m.x4 + 5 * m.x5 - 15 *
    m.x3 - 20 * m.x6 + 5 * m.b7 + 8 * m.b8 + 6 * m.b9 + 10 * m.b10 + 6 * m.b11
    + 140)

m.e1 = Constraint(expr= -log(1 + m.x4 + m.x5) <= 0)
m.e2 = Constraint(expr= exp(m.x1) - 10 * m.b7 <= 1)
m.e3 = Constraint(expr= exp(0.833333 * m.x2) - 10 * m.b8 <= 1)
m.e4 = Constraint(expr= 1.25 * m.x3 - 10 * m.b9 <= 0)
m.e5 = Constraint(expr= m.x4 + m.x5 - 10 * m.b10 <= 0)
m.e6 = Constraint(expr= -2 * m.x3 + 2 * m.x6 - 10 * m.b11 <= 0)
m.e7 = Constraint(expr= -m.x1 - m.x2 - 2 * m.x3 + m.x4 + 2 * m.x6 <= 0)
m.e8 = Constraint(expr= -m.x1 - m.x2 - 0.75 * m.x3 + m.x4 + 2 * m.x6 <= 0)
m.e9 = Constraint(expr= m.x3 - m.x6 <= 0)
m.e10 = Constraint(expr= 2 * m.x3 - m.x4 - 2 * m.x6 <= 0)
m.e11 = Constraint(expr= -0.5 * m.x4 + m.x5 <= 0)
m.e12 = Constraint(expr= -0.2 * m.x4 - m.x5 <= 0)
m.e13 = Constraint(expr= m.b7 + m.b8 == 1)
m.e14 = Constraint(expr= m.b10 + m.b11 <= 1)
