# NLP written by GAMS Convert at 02/17/22 17:23:51
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#         6        6        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#         6        6        0        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        20       10       10
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(None,None), initialize=1)
m.x2 = Var(within=Reals, bounds=(0,None), initialize=1)
m.x3 = Var(within=Reals, bounds=(0,None), initialize=1)
m.x4 = Var(within=Reals, bounds=(0,None), initialize=1)
m.x5 = Var(within=Reals, bounds=(0,None), initialize=1)
m.x6 = Var(within=Reals, bounds=(0,None), initialize=1)

m.obj = Objective(sense=minimize, expr= m.x1)

m.e1 = Constraint(expr= m.x1 * m.x2 == 1)
m.e2 = Constraint(expr= m.x3 / (m.x4 * m.x1) == 4.8)
m.e3 = Constraint(expr= m.x5 / (m.x6 * m.x2) == 0.98)
m.e4 = Constraint(expr= m.x6 * m.x4 == 1)
m.e5 = Constraint(expr= m.x1 - m.x2 + 1e-07 * m.x3 - 1e-05 * m.x5 == 0)
m.e6 = Constraint(expr= 2 * m.x1 - 2 * m.x2 + 1e-07 * m.x3 - 0.01 * m.x4 -
    1e-05 * m.x5 + 0.01 * m.x6 == 0)
