# MINLP written by GAMS Convert at 02/17/22 17:23:51
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        30       29        0        1        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        52       25       27        0        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#       176       68      108
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.x1 = Var(within=Reals, bounds=(0.1,0.9), initialize=0.1)
m.x2 = Var(within=Reals, bounds=(0.1,0.9), initialize=0.1)
m.x3 = Var(within=Reals, bounds=(0.1,0.9), initialize=0.1)
m.x4 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x5 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x6 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x7 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x8 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x9 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x10 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x11 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x12 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x13 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x14 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x15 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x16 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x17 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x18 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x19 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x20 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x21 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x22 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x23 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x24 = Var(within=Reals, bounds=(0,10), initialize=0)
m.x25 = Var(within=Reals, bounds=(0,10), initialize=0)
m.b26 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b27 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b28 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b29 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b30 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b31 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b32 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b33 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b34 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b35 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b36 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b37 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b38 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b39 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b40 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b41 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b42 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b43 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b44 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b45 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b46 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b47 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b48 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b49 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b50 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b51 = Var(within=Binary, bounds=(0,1), initialize=0)
m.b52 = Var(within=Binary, bounds=(0,1), initialize=0)

m.obj = Objective(sense=minimize, expr= m.x16)

m.e1 = Constraint(expr= m.x4 <= 0.0675)
m.e2 = Constraint(expr= m.x6 - m.x7 + m.x8 == 0)
m.e3 = Constraint(expr= m.x9 - m.x10 + m.x11 == 0)
m.e4 = Constraint(expr= m.x12 - m.x13 + m.x14 == 0)
m.e5 = Constraint(expr= m.x17 - m.x18 + m.x19 == 0)
m.e6 = Constraint(expr= m.x20 - m.x21 + m.x22 == 0)
m.e7 = Constraint(expr= m.x23 - m.x24 + m.x25 == 0)
m.e8 = Constraint(expr= m.x7 * m.x1**0.29 - m.x8 == 0)
m.e9 = Constraint(expr= m.x10 * m.x2**0.13 - m.x11 == 0)
m.e10 = Constraint(expr= m.x13 * m.x3**0.06 - m.x14 == 0)
m.e11 = Constraint(expr= m.x18 * m.x1**0.74 - m.x19 == 0)
m.e12 = Constraint(expr= m.x21 * m.x2**0.79 - m.x22 == 0)
m.e13 = Constraint(expr= m.x24 * m.x3**0.71 - m.x25 == 0)
m.e14 = Constraint(expr= m.b26 * m.x6 + m.b29 * m.x8 + m.b32 * m.x9 + m.b35 *
    m.x11 + m.b38 * m.x12 + m.b41 * m.x14 - m.x7 + 0.675 * m.b44 == 0)
m.e15 = Constraint(expr= m.b27 * m.x6 + m.b30 * m.x8 + m.b33 * m.x9 + m.b36 *
    m.x11 + m.b39 * m.x12 + m.b42 * m.x14 - m.x10 + 0.675 * m.b45 == 0)
m.e16 = Constraint(expr= m.b28 * m.x6 + m.b31 * m.x8 + m.b34 * m.x9 + m.b37 *
    m.x11 + m.b40 * m.x12 + m.b43 * m.x14 - m.x13 + 0.675 * m.b46 == 0)
m.e17 = Constraint(expr= m.b26 * m.x17 + m.b29 * m.x19 + m.b32 * m.x20 + m.b35
    * m.x22 + m.b38 * m.x23 + m.b41 * m.x25 - m.x18 + 0.649 * m.b44 == 0)
m.e18 = Constraint(expr= m.b27 * m.x17 + m.b30 * m.x19 + m.b33 * m.x20 + m.b36
    * m.x22 + m.b39 * m.x23 + m.b42 * m.x25 - m.x21 + 0.649 * m.b45 == 0)
m.e19 = Constraint(expr= m.b28 * m.x17 + m.b31 * m.x19 + m.b34 * m.x20 + m.b37
    * m.x22 + m.b40 * m.x23 + m.b43 * m.x25 - m.x24 + 0.649 * m.b46 == 0)
m.e20 = Constraint(expr= m.b47 * m.x6 + m.b48 * m.x9 + m.b49 * m.x12 - m.x4
    == 0)
m.e21 = Constraint(expr= m.b47 * m.x17 + m.b48 * m.x20 + m.b49 * m.x23 - m.x15
    == 0)
m.e22 = Constraint(expr= m.b50 * m.x8 + m.b51 * m.x11 + m.b52 * m.x14 - m.x5
    == 0)
m.e23 = Constraint(expr= m.b50 * m.x19 + m.b51 * m.x22 + m.b52 * m.x25 - m.x16
    == 0)
m.e24 = Constraint(expr= m.b26 + m.b27 + m.b28 + m.b47 == 1)
m.e25 = Constraint(expr= m.b32 + m.b33 + m.b34 + m.b48 == 1)
m.e26 = Constraint(expr= m.b38 + m.b39 + m.b40 + m.b49 == 1)
m.e27 = Constraint(expr= m.b29 + m.b30 + m.b31 + m.b50 == 1)
m.e28 = Constraint(expr= m.b35 + m.b36 + m.b37 + m.b51 == 1)
m.e29 = Constraint(expr= m.b41 + m.b42 + m.b43 + m.b52 == 1)
m.e30 = Constraint(expr= m.b44 + m.b45 + m.b46 == 1)
