# MINLP written by GAMS Convert at 02/17/22 17:24:02
#
# Equation counts
#     Total        E        G        L        N        X        C        B
#        13       13        0        0        0        0        0        0
#
# Variable counts
#                  x        b        i      s1s      s2s       sc       si
#     Total     cont   binary  integer     sos1     sos2    scont     sint
#        14       11        0        3        0        0        0        0
# FX      0
#
# Nonzero counts
#     Total    const       NL
#        35       13       22
#
# Reformulation has removed 1 variable and 1 equation

from pyomo.environ import *

model = m = ConcreteModel()

m.i1 = Var(within=Integers, bounds=(1,10), initialize=1.3)
m.i2 = Var(within=Integers, bounds=(1,100), initialize=15.4)
m.x3 = Var(within=Reals, bounds=(None,None), initialize=1.5)
m.x4 = Var(within=Reals, bounds=(None,None), initialize=1)
m.i5 = Var(within=Integers, bounds=(1,100), initialize=2.8)
m.x6 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x7 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x8 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x9 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x10 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x11 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x12 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x13 = Var(within=Reals, bounds=(None,None), initialize=0)
m.x14 = Var(within=Reals, bounds=(0.8,None), initialize=0.8)

m.obj = Objective(sense=minimize, expr= m.x12 * m.x12 + m.x13 * m.x13)

m.e1 = Constraint(expr= -12 * m.i1 + m.i2 == 0)
m.e2 = Constraint(expr= -12.566370616 / m.i2 + m.x3 == 0)
m.e3 = Constraint(expr= -0.25 * m.i2 + m.x4 == 0)
m.e4 = Constraint(expr= -m.x4 + m.i5 == -1)
m.e5 = Constraint(expr= m.i1 * sin(0.5 * m.x3) * m.x6 - sin(0.5 * m.i1 * m.x3)
    == 0)
m.e6 = Constraint(expr= -sin(1.570796327 * m.i5 / m.x4) + m.x9 == 0)
m.e7 = Constraint(expr= -m.x9 * m.x6 + m.x14 == 0)
m.e8 = Constraint(expr= m.i1 * sin(1.5 * m.x3) * m.x7 - sin(1.5 * m.i1 * m.x3)
    == 0)
m.e9 = Constraint(expr= -sin(4.712388981 * m.i5 / m.x4) + m.x10 == 0)
m.e10 = Constraint(expr= -m.x10 * m.x7 + m.x12 == 0)
m.e11 = Constraint(expr= m.i1 * sin(2.5 * m.x3) * m.x8 - sin(2.5 * m.i1 * m.x3)
    == 0)
m.e12 = Constraint(expr= -sin(7.853981635 * m.i5 / m.x4) + m.x11 == 0)
m.e13 = Constraint(expr= -m.x11 * m.x8 + m.x13 == 0)
